(TeX-add-style-hook "adjustbox"
 (lambda ()
    (LaTeX-add-environments
     '("adjnofloat" 1))
    (LaTeX-add-labels
     "#1")
    (TeX-add-symbols
     '("stackbox" ["argument"] 0)
     '("lapbox" ["argument"] 1)
     '("bgimagebox" ["argument"] 1)
     '("innersidebox" ["argument"] 0)
     '("outersidebox" ["argument"] 0)
     '("rightalignbox" ["argument"] 0)
     '("leftalignbox" ["argument"] 0)
     '("centerbox" ["argument"] 0)
     '("adjincludegraphics" ["argument"] 1)
     '("splitbox" 2)
     '("phantombox" 3)
     '("adjustimage" 2)
     '("adjustbox" 1)
     "adjustboxset"
     "newadjustboxkey"
     "renewadjustboxkey"
     "provideadjustboxkey"
     "defadjustboxkey"
     "minsizebox"
     "maxsizebox"
     "adjbox"
     "splitboxnewline"
     "splitboxlastnewline"
     "pagebreakbox"
     "pagebreakboxoffset"
     "includegraphics"
     "Width"
     "Height"
     "Depth"
     "Totalheight"
     "innersidebox"
     "adjboxvtop"
     "adjboxvcenter"
     "adjboxvbottom"
     "setlength"
     "splitboxcmd")
    (TeX-run-style-hooks
     "varwidth"
     "ifoddpage"
     "collectbox"
     "graphicx"
     "trimclip"
     "calc"
     "pgf"
     "adjcalc"
     "xkeyval"
     "")))

