(TeX-add-style-hook "amsbook"
 (lambda ()
    (LaTeX-add-environments
     "theindex"
     "titlepage"
     '("thebibliography" 1)
     "abstract"
     "verse"
     "quotation"
     "quote"
     "description"
     "xcb"
     "figure"
     "table"
     "proof"
     "pf")
    (TeX-add-symbols
     "endsplit"
     "enddescription"
     "enditemize"
     "endenumerate"
     "endquote"
     "endquotation"
     "endverse"
     '("subjclass" ["argument"] 1)
     '("urladdr" ["argument"] 1)
     '("email" ["argument"] 1)
     '("curraddr" ["argument"] 1)
     '("address" ["argument"] 1)
     '("numberwithin" ["argument"] 2)
     '("smaller" ["argument"] 0)
     '("larger" ["argument"] 0)
     '("newswitch" ["argument"] 1)
     '("pushQED" 1)
     '("newtheoremstyle" 9)
     '("theoremstyle" 1)
     '("seealso" 2)
     '("see" 2)
     '("seeonly" 2)
     '("MR" 1)
     '("tocappendix" 3)
     '("tocsection" 3)
     '("descriptionlabel" 1)
     '("copyrightinfo" 2)
     '("nxandlist" 4)
     '("xandlist" 4)
     '("uppercasenonmath" 1)
     '("forany" 1)
     '("for" 1)
     '("except" 1)
     '("setTrue" 1)
     '("setFalse" 1)
     "Tiny"
     "SMALL"
     "Small"
     "small"
     "large"
     "Large"
     "LARGE"
     "huge"
     "Huge"
     "linespacing"
     "normalparindent"
     "normaltopskip"
     "upchars"
     "today"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "andify"
     "abstractname"
     "keywordsname"
     "subjclassname"
     "datename"
     "listisep"
     "mathindent"
     "appendixname"
     "bibliofont"
     "URL"
     "indexintro"
     "fps"
     "abovecaptionskip"
     "belowcaptionskip"
     "captionindent"
     "seeonlyname"
     "seename"
     "alsoname"
     "printindex"
     "textprime"
     "relax"
     "qed"
     "popQED"
     "qedhere"
     "openbox"
     "textsquare"
     "qedsymbol"
     "proofname"
     "Declare"
     "nopunct"
     "frenchspacing"
     "dateposted"
     "footnotesize"
     "scriptsize"
     "baselinestretch"
     "partmark"
     "chaptermark"
     "sectionname"
     "subsectionname"
     "subsubsectionname"
     "paragraphname"
     "subparagraphname"
     "leftmark"
     "rightmark"
     "markboth"
     "sectionmark"
     "subsectionmark"
     "subsubsectionmark"
     "paragraphmark"
     "cleardoublepage"
     "ss"
     "i"
     "j"
     "ae"
     "oe"
     "o"
     "aa"
     "l"
     "Mc"
     "altucnm"
     "uppercasenonmath"
     "MakeUppercase"
     "shortauthors"
     "authors"
     "addresses"
     "thankses"
     "curraddrname"
     "emailaddrname"
     "urladdrname"
     "author"
     "address"
     "curraddr"
     "email"
     "urladdr"
     "dedicatory"
     "keywords"
     "translname"
     "translator"
     "copyrightyear"
     "copyrightholder"
     "thanks"
     "trivlist"
     "makelabel"
     "upn"
     "thesection"
     "partname"
     "specialsection"
     "part"
     "partrunhead"
     "chapterrunhead"
     "sectionrunhead"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "frontmatter"
     "mainmatter"
     "backmatter"
     "aufm"
     "chapter"
     "appendix"
     "chaptername"
     "thechapter"
     "secdef"
     "contentsname"
     "listfigurename"
     "listtablename"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "indentlabel"
     "tocsubsection"
     "tocsubsubsection"
     "tocparagraph"
     "tocsubparagraph"
     "tocpart"
     "tocchapter"
     "refname"
     "bibname"
     "bibliographystyle"
     "bibsetup"
     "bysame"
     "newblock"
     "MRhref"
     "URLhref"
     "indexchap"
     "item"
     "indexname"
     "subitem"
     "subsubitem"
     "indexspace"
     "footnoterule"
     "sloppy"
     "figurename"
     "tablename"
     "nonbreakingspace"
     "citeform"
     "fullwidthdisplay"
     "maketitle"
     "and"
     "swappedhead"
     "thmname"
     "thmnumber"
     "thmnote"
     "nonslanted"
     "swapnumbers"
     "thmheadnl"
     "thmhead"
     "mathqed"
     "eqno"
     "leqno"
     "veqno"
     "markleft"
     "protect"
     "label"
     "index"
     "glossary"
     "calclayout"
     "tiny"
     "defaultfont"
     "rom")
    (TeX-run-style-hooks
     "amsfonts"
     "amsmath"
     "amstex"
     "")))

