(TeX-add-style-hook "amsdtx"
 (lambda ()
    (LaTeX-add-index-entries
     "#1\\ifcodeline@index\\encapchar usage\\fi"
     "\"!@{\\ntt\\bslchar\\qcbang}"
     "\"@@{\\ntt\\bslchar\\qcat}"
     "#1\\actualchar\\string\\texttt{#1} environment\\encapchar usage"
     "%
        environments:\\levelchar#1%
        \\actualchar\\string\\texttt{#1}%
        \\encapchar usage")
    (LaTeX-add-environments
     "histnote"
     "ctab")
    (TeX-add-symbols
     '("arg" 1)
     '("qc" 1)
     '("secref" 1)
     '("env" 1)
     '("cs" 1)
     '("indexcs" 1)
     '("autoindex" 1)
     '("qq" 1)
     '("url" 1)
     "mdash"
     "ndash"
     "ntt"
     "bslchar"
     "addbslash"
     "nobslash"
     "cls"
     "pkg"
     "opt"
     "fn"
     "bst"
     "cnt"
     "fnt"
     "Textures"
     "qcat"
     "qcamp"
     "qcbang"
     "cnbang"
     "cnat"
     "errexa"
     "errexpl"
     "arrayargpatch"
     "urlsetup"
     "urlbreak"
     "urlfix"
     "cn"
     "allowtthyphens"
     "AmS"
     "latex"
     "amslatex"
     "tex"
     "amstex"
     "bibtex"
     "makeindx"
     "xypic"
     "ncn"
     "index"
     "chaptermark"
     "sectionmark"
     "thanks"
     "maketitle"
     "autoindex"
     "item"
     "noexpand"
     "AltMacroFont"
     "SpecialEnvIndex"
     "DescribeOption"
     "PrintDescribeOption"
     "option"
     "SpecialMainEnvIndex"
     "SpecialMainOptionIndex"
     "SpecialOptionIndex"
     "hDocInput"
     "filename"
     "skipfileheader"
     "hGetFileInfo")
    (TeX-run-style-hooks
     "doc"
     "url"
     "bk10"
     "book"
     "")))

