(TeX-add-style-hook "amsldoc"
 (lambda ()
    (LaTeX-add-index-entries
     "#1\\ifcodeline@index\\encapchar usage\\fi"
     "#1"
     "\"!@{\\ntt\\bslchar\\qcbang}"
     "\"@@{\\ntt\\bslchar\\qcat}")
    (LaTeX-add-environments
     "histnote"
     "error"
     "ctab")
    (TeX-add-symbols
     '("errora" 1)
     '("arg" 1)
     '("qc" 1)
     '("secref" 1)
     '("gloss" 1)
     '("cs" 1)
     '("indexcs" 1)
     '("autoindex" 1)
     '("qq" 1)
     '("url" 1)
     "mdash"
     "ndash"
     "ntt"
     "bslchar"
     "addbslash"
     "nobslash"
     "cls"
     "pkg"
     "opt"
     "env"
     "fn"
     "bst"
     "cnt"
     "fnt"
     "Textures"
     "qcat"
     "qcamp"
     "qcbang"
     "openbox"
     "qedsymbol"
     "cnbang"
     "cnat"
     "errorbullet"
     "errexa"
     "errexpl"
     "arrayargpatch"
     "urlsetup"
     "urlbreak"
     "urlfix"
     "actualchar"
     "quotechar"
     "levelchar"
     "encapchar"
     "verbatimchar"
     "cn"
     "allowtthyphens"
     "AmS"
     "latex"
     "amslatex"
     "tex"
     "amstex"
     "bibtex"
     "makeindx"
     "xypic"
     "mail"
     "ncn"
     "index"
     "chaptermark"
     "sectionmark"
     "autoindex"
     "item"
     "activevert"
     "noexpand")
    (TeX-run-style-hooks
     "url"
     "bk10"
     "book"
     "")))

