(TeX-add-style-hook "cnx"
 (lambda ()
    (LaTeX-add-environments
     "cnxmodule"
     "ccontent"
     "csection"
     "csubsection"
     "csubsubsection"
     "cpara"
     "cnote"
     "cequation"
     "cquote"
     "cexample"
     "cexercise"
     "cproblem"
     "csolution"
     "crule"
     "statement"
     "proof"
     "definition"
     "cmeaning"
     "metadata"
     "authorlist"
     "maintainerlist"
     "keywordlist"
     "cnxabstract")
    (LaTeX-add-labels
     "#2")
    (TeX-add-symbols
     '("maintainer" ["argument"] 0)
     '("cnxauthor" ["argument"] 0)
     '("ccite" ["argument"] 1)
     '("cfigure" ["argument"] 2)
     '("link" ["argument"] 1)
     '("cnxn" ["argument"] 1)
     '("litem" ["argument"] 1)
     '("keyword" 1)
     '("term" 1))
    (TeX-run-style-hooks
     "graphicx"
     "sref"
     ""
     "size10")))

