(TeX-add-style-hook "cool"
 (lambda ()
    (TeX-add-symbols
     '("IdentityMatrix" ["argument"] 0)
     '("Tr" ["argument"] 1)
     '("pderiv" ["argument"] 2)
     '("D" ["argument"] 2)
     '("MeijerG" ["argument"] 5)
     '("RegHypergeometric" ["argument"] 5)
     '("Hypergeometric" ["argument"] 5)
     '("Signature" ["argument"] 1)
     '("LeviCivita" ["argument"] 1)
     '("KroneckerDelta" ["argument"] 1)
     '("Log" ["argument"] 1)
     '("inap" ["argument"] 1)
     '("inbr" ["argument"] 1)
     '("inb" ["argument"] 1)
     '("inp" ["argument"] 1)
     '("Det" 1)
     '("Dagger" 1)
     '("Transpose" 1)
     '("Laplacian" 1)
     '("Curl" 1)
     '("Grad" 1)
     '("Div" 1)
     '("Cross" 2)
     '("DotProduct" 2)
     '("Prod" 2)
     '("Sum" 2)
     '("Int" 2)
     '("Integrate" 2)
     '("UnitStep" 1)
     '("HeavisideStep" 1)
     '("DiracDelta" 1)
     '("DigitCount" 2)
     '("CarmichaelLambda" 1)
     '("JacobiSymbol" 2)
     '("MoebiusMu" 1)
     '("EulerPhi" 1)
     '("DivisorSigma" 2)
     '("PrimePi" 1)
     '("Prime" 1)
     '("Divisors" 1)
     '("Factors" 1)
     '("FactorInteger" 1)
     '("Sign" 1)
     '("Imag" 1)
     '("Real" 1)
     '("Conj" 1)
     '("Conjugate" 1)
     '("Arg" 1)
     '("Abs" 1)
     '("MathieuCharisticExp" 2)
     '("MathieuCharacteristicExponent" 2)
     '("MathieuCharisticB" 2)
     '("MathieuCharacteristicB" 2)
     '("MathieuCharisticA" 2)
     '("MathieuCharacteristicA" 2)
     '("MathieuS" 3)
     '("MathieuC" 3)
     '("DiLog" 1)
     '("PolyLog" 1)
     '("LerchPhi" 3)
     '("StieltjesGamma" 1)
     '("RiemannSiegelZ" 1)
     '("RiemannSiegelTheta" 1)
     '("Zeta" 1)
     '("HurwitzZeta" 2)
     '("RiemannZeta" 1)
     '("ELog" 2)
     '("EllipticLog" 2)
     '("EExp" 2)
     '("EllipticExp" 2)
     '("AGM" 2)
     '("ArithGeoMean" 2)
     '("EllipticNomeQInv" 1)
     '("EllipticNomeQ" 1)
     '("ModularLambda" 1)
     '("KleinInvariantJ" 1)
     '("DedekindEta" 1)
     '("JacobiSNInv" 2)
     '("JacobiSN" 2)
     '("JacobiSDInv" 2)
     '("JacobiSD" 2)
     '("JacobiSCInv" 2)
     '("JacobiSC" 2)
     '("JacobiNSInv" 2)
     '("JacobiNS" 2)
     '("JacobiNDInv" 2)
     '("JacobiND" 2)
     '("JacobiNCInv" 2)
     '("JacobiNC" 2)
     '("JacobiDSInv" 2)
     '("JacobiDS" 2)
     '("JacobiDNInv" 2)
     '("JacobiDN" 2)
     '("JacobiDCInv" 2)
     '("JacobiDC" 2)
     '("JacobiCSInv" 2)
     '("JacobiCS" 2)
     '("JacobiCNInv" 2)
     '("JacobiCN" 2)
     '("JacobiCDInv" 2)
     '("JacobiCD" 2)
     '("JacobiAmplitude" 2)
     '("WeiZetaHalfPeriodVal" 1)
     '("WeierstrassZetaHalfPeriodValues" 1)
     '("WeiPHalfPeriodVal" 1)
     '("WeierstrassPHalfPeriodValues" 1)
     '("WeiInvars" 1)
     '("WeierstrassInvariants" 1)
     '("WeiHalfPeriods" 1)
     '("WeierstrassHalfPeriods" 1)
     '("WeiZeta" 2)
     '("WeierstrassZeta" 2)
     '("AssocWeierstrassSigma" 4)
     '("WeiSigma" 2)
     '("WeierstrassSigma" 2)
     '("WeierstrassPGenInv" 4)
     '("WeiPInv" 2)
     '("WeierstrassPInv" 2)
     '("WeiP" 2)
     '("WeierstrassP" 2)
     '("NevilleThetaS" 2)
     '("NevilleThetaN" 2)
     '("NevilleThetaD" 2)
     '("NevilleThetaC" 2)
     '("JacobiTheta" 3)
     '("EllipticTheta" 3)
     '("JacobiZeta" 2)
     '("IncEllipticPi" 3)
     '("IncEllipticE" 2)
     '("IncEllipticF" 2)
     '("EllipticF" 1)
     '("EllipticPi" 1)
     '("EllipticE" 1)
     '("EllipticK" 1)
     '("SixJSymbol" 2)
     '("ThreeJSymbol" 3)
     '("ClebschGordon" 3)
     '("HypergeometricU" 3)
     '("AppellFOne" 4)
     '("CoshInt" 1)
     '("SinhInt" 1)
     '("CosInt" 1)
     '("SinInt" 1)
     '("LogInt" 1)
     '("ExpIntEi" 1)
     '("ExpIntE" 2)
     '("FresnelC" 1)
     '("FresnelS" 1)
     '("Erfi" 1)
     '("ErfcInv" 1)
     '("Erfc" 1)
     '("GenErfInv" 2)
     '("GenErf" 2)
     '("ErfInv" 1)
     '("Erf" 1)
     '("GenRegIncBetaInv" 4)
     '("GenRegIncBeta" 4)
     '("BetaRegInv" 1)
     '("RegIncBetaInv" 3)
     '("InverseBetaRegularized" 1)
     '("BetaReg" 1)
     '("RegIncBeta" 3)
     '("BetaRegularized" 1)
     '("GenIncBeta" 4)
     '("IncBeta" 3)
     '("Beta" 1)
     '("HarmNum" 1)
     '("PolyGamma" 2)
     '("DiGamma" 1)
     '("LogGamma" 1)
     '("Pochhammer" 2)
     '("GenRegIncGammaInv" 3)
     '("GenRegIncGamma" 3)
     '("GammaRegInv" 1)
     '("RegIncGammaInv" 2)
     '("InverseGammaRegularized" 1)
     '("GammaReg" 1)
     '("RegIncGamma" 2)
     '("GammaRegularized" 1)
     '("GenIncGamma" 3)
     '("IncGamma" 2)
     '("GammaFunc" 1)
     '("Multinomial" 1)
     '("Binomial" 2)
     '("DblFactorial" 1)
     '("Factorial" 1)
     '("BernoulliB" 2)
     '("EulerE" 2)
     '("FibonacciF" 2)
     '("CyclotomicC" 2)
     '("SpHarmY" 4)
     '("SphericalHarmY" 4)
     '("SphericalHarmonicY" 4)
     '("GegenbauerC" 3)
     '("AssocLegendreQ" 3)
     '("AssocLegendreP" 3)
     '("JacobiP" 4)
     '("ChebyshevU" 2)
     '("ChebyshevT" 2)
     '("LegendreQ" 1)
     '("LegendreP" 1)
     '("LaugerreL" 1)
     '("HermiteH" 2)
     '("DiscreteDelta" 1)
     '("PartitionsQ" 1)
     '("PartitionsP" 1)
     '("StirlingSTwo" 2)
     '("StirlingSOne" 2)
     '("Bernoulli" 1)
     '("Euler" 1)
     '("Fibonacci" 1)
     '("LCM" 1)
     '("EGCD" 2)
     '("ExtendedGCD" 2)
     '("GCD" 1)
     '("Quotient" 2)
     '("Mod" 2)
     '("FractionalPart" 1)
     '("fPart" 1)
     '("IntegerPart" 1)
     '("iPart" 1)
     '("Round" 1)
     '("Ceiling" 1)
     '("Floor" 1)
     '("StruveL" 2)
     '("StruveH" 2)
     '("AiryBi" 1)
     '("AiryAi" 1)
     '("BesselK" 2)
     '("BesselI" 2)
     '("BesselY" 2)
     '("BesselJ" 2)
     '("Min" 1)
     '("Max" 1)
     '("ProductLog" 1)
     '("LambertW" 1)
     '("ArcCoth" 1)
     '("ArcSech" 1)
     '("ArcCsch" 1)
     '("ArcTanh" 1)
     '("ArcCosh" 1)
     '("ArcSinh" 1)
     '("Coth" 1)
     '("Sech" 1)
     '("Csch" 1)
     '("Tanh" 1)
     '("Cosh" 1)
     '("Sinh" 1)
     '("ArcCot" 1)
     '("ArcSec" 1)
     '("ArcCsc" 1)
     '("ArcTan" 1)
     '("ArcCos" 1)
     '("ArcSin" 1)
     '("Cot" 1)
     '("Sec" 1)
     '("Csc" 1)
     '("Tan" 1)
     '("Cos" 1)
     '("Sin" 1)
     '("Exp" 1)
     '("DirInfty" 1)
     '("DirectedInfinity" 1)
     '("UseStyleFile" 1)
     '("Style" 1)
     '("nop" 1)
     "COOL"
     "I"
     "E"
     "PI"
     "GoldenRatio"
     "EulerGamma"
     "Catalan"
     "Glaisher"
     "Khinchin"
     "Infinity"
     "Indeterminant"
     "ComplexInfinity"
     "CInfty")
    (TeX-run-style-hooks
     "bbm"
     "amssymb"
     "amsmath"
     "forloop"
     "coolstr"
     "coollist"
     "ifthen"
     "")))

