(TeX-add-style-hook "emulateapj"
 (lambda ()
    (LaTeX-add-environments
     '("deluxetable" 1)
     "deluxetable")
    (TeX-add-symbols
     "enddata"
     '("tablerefs" 1)
     '("tablecomments" 1)
     '("tablecolumns" 1)
     '("dlap" 1)
     '("ulap" 1)
     '("anchor" 2)
     '("ion" 2)
     '("phm" 1)
     '("figurenum" 1)
     '("plotfiddle" 7)
     '("plottwo" 2)
     '("plotone" 1)
     '("epsscale" 1)
     '("sidehead" 1)
     '("cutinhead" 1)
     "bibstyle"
     "bibindent"
     "figcaption"
     "dataset"
     "facility"
     "object"
     "objectname"
     "phn"
     "phd"
     "phs"
     "sq"
     "arcdeg"
     "arcmin"
     "arcsec"
     "fd"
     "fh"
     "fm"
     "fs"
     "fdg"
     "fp"
     "micron"
     "onehalf"
     "onethird"
     "twothirds"
     "onequarter"
     "threequarters"
     "ubvr"
     "ub"
     "bv"
     "ur"
     "nodata"
     "diameter"
     "degr"
     "Sun"
     "Sol"
     "sun"
     "Mercury"
     "Venus"
     "Earth"
     "Terra"
     "earth"
     "Mars"
     "Jupiter"
     "Saturn"
     "Uranus"
     "Neptune"
     "Pluto"
     "Moon"
     "Luna"
     "Aries"
     "VEq"
     "Taurus"
     "Gemini"
     "Cancer"
     "Leo"
     "Virgo"
     "Libra"
     "AEq"
     "Scorpius"
     "Sagittarius"
     "Capricornus"
     "Aquarius"
     "Pisces"
     "sbond"
     "dbond"
     "tbond"
     "aj"
     "araa"
     "apjl"
     "apjs"
     "apss"
     "aap"
     "aapr"
     "aaps"
     "azh"
     "baas"
     "icarus"
     "jrasc"
     "memras"
     "mnras"
     "pasp"
     "pasj"
     "qjras"
     "skytel"
     "solphys"
     "sovast"
     "ssr"
     "zap"
     "iaucirc"
     "aplett"
     "apspr"
     "bain"
     "fcp"
     "gca"
     "grl"
     "jgr"
     "jqsrt"
     "memsai"
     "nphysa"
     "physrep"
     "physscr"
     "planss"
     "procspie"
     "lastrowheight"
     "apjsecfont"
     "AppendixApjSectionMarkInTitle"
     "blankaffiliation"
     "arraystretch"
     "BeginEnvironment"
     "EndEnvironment"
     "IfUnDef"
     "NullCom"
     "begin"
     "SaveBegEnd"
     "end"
     "BeforeBegin"
     "BeforeEnd"
     "AfterBegin"
     "AfterEnd"
     "tighten"
     "tightenlines"
     "singlespace"
     "doublespace"
     "eqsecnum"
     "lefthead"
     "righthead"
     "shorttitle"
     "shortauthors"
     "affil"
     "altaffilmark"
     "altaffiltext"
     "abstractname"
     "and"
     "subjectheadings"
     "lastpagefootnotes"
     "lastpagefootnote"
     "footnoterule"
     "notetoeditor"
     "placetable"
     "placefigure"
     "footnotetext"
     "footnotemark"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "thesubsection"
     "thesubsubsection"
     "theparagraph"
     "acknowledgments"
     "acknowledgements"
     "ApjSectionpenalty"
     "thesection"
     "theequation"
     "ApjSectionMarkInTitle"
     "section"
     "refpar"
     "baselinestretch"
     "reference"
     "submitted"
     "journalinfo"
     "subtitle"
     "slugcomment"
     "eqnarray"
     "footnote"
     "thempfn"
     "tabcaption"
     "thefigure"
     "la"
     "ga"
     "farcm"
     "farcs"
     "astap"
     "apjlett"
     "apjsupp"
     "applopt"
     "tablenum"
     "thetable"
     "label"
     "tabletypesize"
     "tablefontsize"
     "tablecaption"
     "tablenotemark"
     "startdata"
     "tablehead"
     "colhead"
     "tablewidth"
     "tableline"
     "LongTables"
     "tablenotetext"
     "nl"
     "caption"
     "tableheadfrac")
    (TeX-run-style-hooks
     "epsf"
     "longtable"
     "amssymb"
     "graphicx"
     "latexsym"
     "")))

