(TeX-add-style-hook "fixme"
 (lambda ()
    (LaTeX-add-index-entries
     "***@\\fixmeindexname:%
      !\\@nameuse{@fx#1key}@\\fxnotesname{#1}:%
      !\\@nameuse{thefx#1count}: #3: #2"
     "***#3@\\fixmeindexname{} (#3):%
      !\\@nameuse{@fx#1key}@\\fxnotesname{#1}:%
      !\\@nameuse{thefx#1count}: #2"
     "***@\\fixmeindexname:%
      !\\@nameuse{@fx#1key}@\\fxnotesname{#1}:%
      !\\@nameuse{thefx#1count}: #2")
    (LaTeX-add-environments
     "afixme")
    (TeX-add-symbols
     '("fxsetup" 1)
     '("fxusetheme" 1)
     '("FXProvidesTheme" 1)
     '("fxnotesname" 1)
     '("fxnotename" 1)
     '("FXRegisterAuthor" 3)
     '("FXLogFatal" 1)
     '("FXLogError" 1)
     '("FXLogWarning" 1)
     '("FXLogNote" 1)
     '("fxusetargetlayout" 1)
     '("fxloadtargetlayouts" 1)
     '("FXTargetLayoutPlain" 2)
     '("FXRegisterTargetLayout" 2)
     '("FXProvidesTargetLayout" 1)
     '("fxuseenvlayout" 1)
     '("fxloadenvlayouts" 1)
     '("FXEnvLayoutSignatureEnd" 2)
     '("FXEnvLayoutSignatureBegin" 2)
     '("FXEnvLayoutPlainEnd" 2)
     '("FXEnvLayoutPlainBegin" 2)
     '("FXRegisterEnvLayout" 3)
     '("FXProvidesEnvLayout" 1)
     '("fxuselayouts" 1)
     '("fxloadlayouts" 1)
     '("FXLayoutContentsLine" 3)
     '("FXLayoutIndex" 3)
     '("FXLayoutInline" 3)
     '("FXLayoutFootnote" 3)
     '("FXLayoutMarginClue" 3)
     '("FXLayoutMargin" 3)
     '("FXProvidesLayout" 1)
     '("fxsetface" 2)
     '("fxaddcontentsline" 1)
     '("fxcontentsline" 2)
     "fixmelogo"
     "lox"
     "FXRegisterLayout"
     "fixmeindexname"
     "fxenglishnotename"
     "fxenglishnotesname"
     "fxenglishwarningname"
     "fxenglishwarningsname"
     "fxenglisherrorname"
     "fxenglisherrorsname"
     "fxenglishfatalname"
     "fxenglishfatalsname"
     "englishlistfixmename"
     "fxfrenchnotename"
     "fxfrenchnotesname"
     "fxfrenchwarningname"
     "fxfrenchwarningsname"
     "fxfrencherrorname"
     "fxfrencherrorsname"
     "fxfrenchfatalname"
     "fxfrenchfatalsname"
     "frenchlistfixmename"
     "fxspanishnotename"
     "fxspanishnotesname"
     "fxspanishwarningname"
     "fxspanishwarningsname"
     "fxspanisherrorname"
     "fxspanisherrorsname"
     "fxspanishfatalname"
     "fxspanishfatalsname"
     "spanishlistfixmename"
     "fxitaliannotename"
     "fxitaliannotesname"
     "fxitalianwarningname"
     "fxitalianwarningsname"
     "fxitalianerrorname"
     "fxitalianerrorsname"
     "fxitalianfatalname"
     "fxitalianfatalsname"
     "italianlistfixmename"
     "fxgermannotename"
     "fxgermannotesname"
     "fxgermanwarningname"
     "fxgermanwarningsname"
     "fxgermanerrorname"
     "fxgermanerrorsname"
     "fxgermanfatalname"
     "fxgermanfatalsname"
     "germanlistfixmename"
     "fxdanishnotename"
     "fxdanishnotesname"
     "fxdanishwarningname"
     "fxdanishwarningsname"
     "fxdanisherrorname"
     "fxdanisherrorsname"
     "fxdanishfatalname"
     "fxdanishfatalsname"
     "danishlistfixmename"
     "fxcroatiannotename"
     "fxcroatiannotesname"
     "fxcroatianwarningname"
     "fxcroatianwarningsname"
     "fxcroatianerrorname"
     "fxcroatianerrorsname"
     "fxcroatianfatalname"
     "fxcroatianfatalsname"
     "croatianlistfixmename"
     "FXRequireLayouts"
     "FXRequireEnvLayout"
     "FXRequireTargetLayout"
     "listoffixmes")
    (TeX-run-style-hooks
     "xkeyval"
     "verbatim"
     "ifthen"
     "")))

