(TeX-add-style-hook "fontawesome"
 (lambda ()
    (TeX-add-symbols
     '("faicon" 1)
     "faGlass"
     "faMusic"
     "faSearch"
     "faEnvelope"
     "faHeart"
     "faStar"
     "faStarEmpty"
     "faUser"
     "faFilm"
     "faThumbnailsLarge"
     "faThumbnails"
     "faThumbnailsList"
     "faOk"
     "faRemove"
     "faZoomIn"
     "faZoomOut"
     "faOff"
     "faSignal"
     "faCog"
     "faTrash"
     "faHome"
     "faFile"
     "faTime"
     "faRoad"
     "faDownloadAlt"
     "faDownload"
     "faUpload"
     "faInbox"
     "faPlayCircle"
     "faRepeat"
     "faRefresh"
     "faListAlt"
     "faLock"
     "faFlag"
     "faHeadphones"
     "faVolumeOff"
     "faVolumeDown"
     "faVolumeUp"
     "faQRcode"
     "faBarcode"
     "faTag"
     "faTags"
     "faBook"
     "faBookmark"
     "faPrint"
     "faCamera"
     "faFont"
     "faBold"
     "faItalic"
     "faTextHeight"
     "faTextWidth"
     "faAlignLeft"
     "faAlignCenter"
     "faAlignRight"
     "faAlignJustify"
     "faList"
     "faIndentLeft"
     "faIndentRight"
     "faFacetimeVideo"
     "faPicture"
     "faPencil"
     "faMapMarker"
     "faAdjust"
     "faTint"
     "faEdit"
     "faShare"
     "faCheck"
     "faMove"
     "faStepBackward"
     "faFastBackward"
     "faBackward"
     "faPlay"
     "faPause"
     "faStop"
     "faForward"
     "faFastForward"
     "faStepForward"
     "faEject"
     "faChevronLeft"
     "faChevronRight"
     "faPlusSign"
     "faMinusSign"
     "faRemoveSign"
     "faOkSign"
     "faQuestionSign"
     "faInfoSign"
     "faScreenshot"
     "faRemoveCircle"
     "faOkCircle"
     "faBanCircle"
     "faArrowLeft"
     "faArrowRight"
     "faArrowUp"
     "faArrowDown"
     "faShareAlt"
     "faResizeFull"
     "faResizeSmall"
     "faPlus"
     "faMinus"
     "faAsterisk"
     "faExclamationSign"
     "faGift"
     "faLeaf"
     "faFire"
     "faEyeOpen"
     "faEyeClose"
     "faWarningSign"
     "faPlane"
     "faCalendar"
     "faRandom"
     "faComment"
     "faMagnet"
     "faChevronUp"
     "faChevronDown"
     "faRetweet"
     "faShoppingCart"
     "faFolderClose"
     "faFolderOpen"
     "faResizeVertical"
     "faResizeHorizontal"
     "faBarChart"
     "faTwitterSign"
     "faFacebookSign"
     "faCameraRetro"
     "faKey"
     "faCogs"
     "faComments"
     "faThumbsUp"
     "faThumbsDown"
     "faStarHalf"
     "faHeartEmpty"
     "faSignout"
     "faLinkedinSign"
     "faPushpin"
     "faExternalLink"
     "faSignin"
     "faTrophy"
     "faGithubSign"
     "faUploadAlt"
     "faLemon"
     "faPhone"
     "faCheckEmpty"
     "faBookmarkEmpty"
     "faPhoneSign"
     "faTwitter"
     "faFacebook"
     "faGithub"
     "faUnlock"
     "faCreditCard"
     "faRSS"
     "faHDD"
     "faBullhorn"
     "faBell"
     "faCertificate"
     "faHandLeft"
     "faHandRight"
     "faHandUp"
     "faHandDown"
     "faCircleArrowLeft"
     "faCircleArrowRight"
     "faCircleArrowUp"
     "faCircleArrowDown"
     "faGlobe"
     "faWrench"
     "faTasks"
     "faFilter"
     "faBriefcase"
     "faFullscreen"
     "faGroup"
     "faLink"
     "faCloud"
     "faBeaker"
     "faCut"
     "faCopy"
     "faPaperClip"
     "faSave"
     "faSignBlank"
     "faReorder"
     "faListUL"
     "faListOL"
     "faStrikethrough"
     "faUnderline"
     "faTable"
     "faMagic"
     "faTruck"
     "faPinterest"
     "faPinterestSign"
     "faGooglePlusSign"
     "faGooglePlus"
     "faMoney"
     "faCaretDown"
     "faCaretUp"
     "faCaretLeft"
     "faCaretRight"
     "faColumns"
     "faSort"
     "faSortDown"
     "faSortUp"
     "faEnvelopeAlt"
     "faLinkedin"
     "faUndo"
     "faLegal"
     "faDashboard"
     "faCommentAlt"
     "faCommentsAlt"
     "faBolt"
     "faSitemap"
     "faUmbrella"
     "faPaste"
     "faLightbulb"
     "faExchange"
     "faCloudDownload"
     "faCloudUpload"
     "faUserMD"
     "faStethoscope"
     "faSuitcase"
     "faBellAlt"
     "faCoffee"
     "faFood"
     "faFileAlt"
     "faBuilding"
     "faHospital"
     "faAmbulance"
     "faMedicalKit"
     "faFighterJet"
     "faBeer"
     "faHospitalSign"
     "faMedicalSign"
     "faDoubleAngleLeft"
     "faDoubleAngleRight"
     "faDoubleAngleUp"
     "faDoubleAngleDown"
     "faAngleLeft"
     "faAngleRight"
     "faAngleUp"
     "faAngleDown"
     "faDesktop"
     "faLaptop"
     "faTablet"
     "faMobilePhone"
     "faCircleBlank"
     "faQuoteLeft"
     "faQuoteRight"
     "faSpinner"
     "faCircle"
     "faReply"
     "faGithubAlt"
     "faFolderOpenAlt"
     "faFolderCloseAlt")
    (TeX-run-style-hooks
     "fontspec"
     "")))

