(TeX-add-style-hook "gmdoc"
 (lambda ()
    (LaTeX-add-index-entries
     "#1\\actualchar#2")
    (LaTeX-add-environments
     "oldmc"
     "macrocode"
     "macro"
     "theglossary"
     "gmlonely"
     "copyrnote"
     "enumargs")
    (TeX-add-symbols
     '("skipgmlonely" ["argument"] 0)
     '("changes" ["argument"] 3)
     '("DeclareDOXHead" ["argument"] 1)
     '("thanks" 1)
     '("date" 1)
     '("author" 1)
     '("title" 1)
     '("ModuleVerb" 1)
     '("Module" 1)
     '("resetlinecountwith" 1)
     '("DocInput" 1)
     "settexcodehangi"
     "CodeTopsep"
     "MacroTopsep"
     "NonUniformSkips"
     "chunkskip"
     "nostanza"
     "gmd"
     "printlinenumber"
     "hyperlabel"
     "relax"
     "finish"
     "Declare"
     "quoted"
     "HLPrefix"
     "IndexMin"
     "GlossaryMin"
     "step"
     "ltxPageLayout"
     "ltxLookSetup"
     "olddocIncludes"
     "gmdocIncludes"
     "titlesetup"
     "PrintFilesAuthors"
     "SkipFilesAuthors"
     "FileInfo"
     "catother"
     "catactive"
     "catletter"
     "gmboxedspace"
     "ds"
     "CDAnd"
     "CDPerc"
     "AlsoImplementation"
     "CodeDelim"
     "UniformSkips"
     "AtEndInput"
     "AtBegInput"
     "tableofcontents"
     "AtBegInputOnce"
     "EOFMark"
     "CodeSpacesGrey"
     "skiplines"
     "ilrr"
     "ilju"
     "verbcodecorr"
     "LineNumFont"
     "QueerUFont"
     "QueerCharOne"
     "StraightEOL"
     "QueerEOL"
     "AddtoPrivateOthers"
     "verbatimfont"
     "codett"
     "ResultsIn"
     "CodeEscapeChar"
     "MakePrivateLetters"
     "MakePrivateOthers"
     "doprivateothers"
     "DeclareDefining"
     "UnDef"
     "UnPdef"
     "HideDef"
     "relaxen"
     "ResumeDef"
     "DeclareKVOFam"
     "HideAllDefining"
     "ResumeAllDefining"
     "HideDefining"
     "ResumeDefining"
     "IndexPrefix"
     "gmdindexrefcs"
     "gmdindexpagecs"
     "CommonEntryCmd"
     "DefIndex"
     "CodeUsgIndex"
     "CodeCommonIndex"
     "TextUsgIndex"
     "TextCommonIndex"
     "CodeMarginize"
     "Define"
     "CodeUsage"
     "index"
     "TextUsage"
     "gmdmarginpar"
     "marginpartt"
     "OldMacrocodes"
     "macrocode"
     "DoIndex"
     "UndoDefaultIndexExclusions"
     "DoNotIndex"
     "IndexPrologue"
     "indexdiv"
     "AtDIPrologue"
     "IndexLinksBlack"
     "IndexParms"
     "subitem"
     "subsubitem"
     "indexspace"
     "PrintIndex"
     "ModuleVerbClose"
     "changes"
     "MakeGlossaryControls"
     "ChangesGeneral"
     "ChangesStart"
     "generalname"
     "RecordChanges"
     "item"
     "GlossaryPrologue"
     "GlossaryParms"
     "PrintChanges"
     "CheckSum"
     "EOLwasQueer"
     "currentfile"
     "fullcurrentfile"
     "maketitle"
     "aalph"
     "thefilediv"
     "filesep"
     "filekey"
     "SetFileDiv"
     "SelfInclude"
     "InclMaketitle"
     "and"
     "thanks"
     "GetFileInfo"
     "filename"
     "fileinfo"
     "ProvideFileInfo"
     "ProvideSelfInfo"
     "edefInfo"
     "FileInfoFromName"
     "GeneralName"
     "BundleInfoFromName"
     "gmBundleFile"
     "gmdnoindent"
     "inverbpenalty"
     "breakablevisspace"
     "breakbslash"
     "breaklbrace"
     "inenv"
     "incmd"
     "inhash"
     "division"
     "subdivision"
     "subsubdivision"
     "AfterMacrocode"
     "mcdiagOn"
     "mcdiagOff"
     "mand"
     "opt"
     "CharacterTable"
     "DescribeMacro"
     "DescribeEnv"
     "Describe"
     "MacroFont"
     "MacroIndent"
     "MacrocodeTopsep"
     "SpecialEscapechar"
     "CodelineNumbered"
     "CodelineIndex"
     "PageIndex"
     "EnableCrossrefs"
     "DisableCrossrefs"
     "OnlyDescription"
     "StopEventually"
     "SpecialMainIndex"
     "SpecialMainEnvIndex"
     "SpecialIndex"
     "SpecialUsageIndex"
     "SpecialEnvIndex"
     "SortIndex"
     "verbatimchar"
     "DefEntry"
     "UsgEntry"
     "MakePercentIgnore"
     "MakePercentComment"
     "OldDocInput"
     "NoEOF"
     "EOF")
    (TeX-run-style-hooks
     "multicol"
     "makeidx"
     "gmverb"
     "gmiflink"
     "hyperref"
     "pdfpagemode=UseNone"
     "pdfview=FitBH"
     "pdfstartview=FitH"
     "filecolor=blue"
     "urlcolor=blue"
     "linkcolor=deepblue"
     "colorlinks=true"
     "xcolor"
     "xkeyval"
     "gmutils"
     ""
     "latex2e"
     "gmdocc10"
     "gmdocc"
     "fontspec=quiet"
     "cursor"
     "trebuchet"
     "pagella"
     "mwrep"
     "debug"
     "outeroff"
     "codespacesgrey"
     "countalllines")))

