(TeX-add-style-hook "hitec"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "description"
     "abstract"
     "verse"
     "quotation"
     "quote"
     "titlepage"
     "figure"
     "table"
     "theindex")
    (TeX-add-symbols
     '("descriptionlabel" 1)
     '("settextfraction" 1)
     '("fullcenter" 1)
     '("confidential" 1)
     '("company" 1)
     "footruleskip"
     "leftmarginwidth"
     "fullwidth"
     "emptyfoottopmargin"
     "emptyheadtopmargin"
     "part"
     "secshape"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "appendix"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "tableofcontents"
     "l"
     "listoffigures"
     "listoftables"
     "bibindent"
     "newblock"
     "subitem"
     "subsubitem"
     "indexspace"
     "contentsname"
     "listfigurename"
     "listtablename"
     "refname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "appendixname"
     "abstractname"
     "sectionmark"
     "subsectionmark"
     "footnotesize"
     "footnoterule"
     "thanks"
     "maketitle"
     "title"
     "author"
     "date"
     "and"
     "makelabel"
     "item"
     "longrule"
     "longthickrule"
     "today")
    (TeX-run-style-hooks
     "leqno"
     "fleqn")))

