(TeX-add-style-hook "html"
 (lambda ()
    (LaTeX-add-environments
     "segment"
     "makeimage"
     "tex"
     "latexonly")
    (TeX-add-symbols
     "endgroup"
     '("segmentcolor" ["argument"] 1)
     '("segmentpagecolor" ["argument"] 0)
     '("htmlinfostar" ["argument"] 0)
     '("tableofchildlinksstar" ["argument"] 0)
     '("htmllanguagestyle" ["argument"] 1)
     '("htmladdtostyle" ["argument"] 2)
     '("htmlsetstyle" ["argument"] 2)
     '("htmlhead" ["argument"] 2)
     '("internal" ["argument"] 1)
     '("HTMLsetenv" ["argument"] 2)
     '("HTMLset" ["argument"] 2)
     '("HTML" ["argument"] 1)
     '("HTMLcode" ["argument"] 1)
     '("htmlciteext" ["argument"] 0)
     '("htmlciteext" ["argument"] 1)
     '("htmlrefext" ["argument"] 1)
     '("htmladdTOClink" ["argument"] 3)
     '("DumpPtr" 2)
     '("htmlbase" 1)
     '("htmlcitedef" 1)
     '("htmlrefext" 3)
     '("htmlrefdef" 2)
     '("htmlrefdef" 1)
     '("htmladdnamedlink" 3)
     '("htmladdnonamedlink" 2)
     '("htmladdnamedlinkfoot" 3)
     '("htmladdnonamedlinkfoot" 2)
     '("strikeout" 1)
     '("htmltracenv" 1)
     '("htmltracing" 1)
     '("latex" 1)
     '("html" 1)
     '("htmlreexcludecomment" 1)
     '("htmladdtonavigation" 1)
     '("htmlborder" 1)
     '("htmlimage" 1)
     '("htmlcite" 2)
     '("hypercitenocite" 2)
     '("hypercitedef" 4)
     '("hyperrefnoref" 3)
     '("hyperrefpageref" 4)
     '("hyperrefdef" 4)
     '("hyperrefhyper" 4)
     '("bodytext" 1)
     '("htmlrulestar" 1)
     '("externalref" 1)
     '("externallabels" 2)
     "latextohtml"
     "externalcite"
     "htmlrule"
     "HTMLrule"
     "htmlclear"
     "htmlbody"
     "hypercite"
     "htmlnohead"
     "startdocument"
     "tableofchildlinks"
     "htmlinfo"
     "H"
     "htmlstyloaded"
     "pdfunknown"
     "htmladdnormallinkfoot"
     "htmladdnormallink"
     "htmladdimg"
     "hyperrefhyper"
     "hyperrefi"
     "hyperrefref"
     "hyperrefpage"
     "hyperrefno"
     "hyperrefhtml"
     "hypercitei"
     "emptyopt"
     "hypercitenocitex"
     "hypercitecite"
     "hyperciteint"
     "htmlref"
     "makeinnocent"
     "csarg"
     "ThrowAwayComment"
     "CurrentComment"
     "test"
     "htmlincludecomment"
     "htmlexcludecomment"
     "expansionhead"
     "expansiontail"
     "expansionheadii"
     "expansiontailii"
     "expansionmidii"
     "latexhtml"
     "htmlurlx"
     "includecomment"
     "excludecomment"
     "htmlurl"
     "hyperciteno"
     "hyperciteext"
     "htmlbase"
     "thechapter"
     "Hchapter"
     "Hpart"
     "Hsection"
     "Hsubsection"
     "Hsubsubsection"
     "Hparagraph"
     "Hsubparagraph"
     "Hsubsubparagraph"
     "chapter"
     "subsubparagraph"
     "empty"
     "resetsections"
     "resetsubsections"
     "resetsubsubsections"
     "resetparagraphs"
     "resetsubparagraphs"
     "resetsubsubparagraphs"
     "dummy"
     "ctr"
     "DumpCounters"
     "protect"
     "loadcitestatus"
     "dumpcitestatus"
     "pagecolor"
     "segmentcolor"
     "dumpcurrentcolor"
     "thiscol"
     "loadsegmentcolors"
     "tmp"
     "tmpB"
     "realendgroup"
     "model"
     "noexpand")
    (TeX-run-style-hooks
     "hyperref"
     "")))

