(TeX-add-style-hook "letteracdp"
 (lambda ()
    (LaTeX-add-environments
     '("baseletter" 2)
     "customletter"
     "letter"
     "foldedletter"
     "letterhead"
     "foldedletterhead"
     "sender"
     "addressee"
     "subject"
     "presentation"
     "normalpresentation"
     "foldedpresentation"
     "signatureenv"
     "enclosures"
     "baseenclosures"
     "baselabels"
     "labels"
     "labelgroup"
     "description"
     "verse"
     "quotation"
     "quote")
    (TeX-add-symbols
     '("encl" ["argument"] 0)
     '("makebottomdate" ["argument"] 0)
     '("foldingfilbreak" ["argument"] 0)
     '("foldingbreak" ["argument"] 0)
     '("makeandcclabel" ["argument"] 0)
     '("descriptionlabel" 1)
     '("mlabel" 2)
     '("basemlabel" 2)
     '("telephone" 1)
     '("place" 1)
     "Coordinamento"
     "CoordinamentoWWW"
     "subjectnamegap"
     "closingindentation"
     "signaturealignment"
     "computelongindentation"
     "checkfoldedheight"
     "standardvertspaces"
     "automark"
     "usermark"
     "name"
     "makelabels"
     "cleardoubleemptypage"
     "stopbreaks"
     "startbreaks"
     "makeandvspace"
     "ifemptyblock"
     "makesender"
     "makeaddressee"
     "x"
     "y"
     "makesubject"
     "iffoldedallowed"
     "makepresentation"
     "makenormalpresentation"
     "makefoldedpresentation"
     "makedate"
     "maketopdate"
     "makesignature"
     "makeopening"
     "opening"
     "makeclosing"
     "closing"
     "cc"
     "ps"
     "PS"
     "stopletter"
     "returnaddress"
     "skipemptylabels"
     "labeltab"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "subjectname"
     "registeredname"
     "registeredRRname"
     "andccname"
     "ccname"
     "enclname"
     "PSname"
     "headtoname"
     "lettername"
     "today"
     "date"
     "thesendername"
     "thesendersignature"
     "thesenderaddress"
     "thesenderlocation"
     "thesenderphone"
     "protect"
     "theaddresseeaddress"
     "thesubject"
     "theaddresseename"
     "voidisOK"
     "andcc"
     "registered"
     "registeredRR"
     "presubject"
     "vspace"
     "and"
     "ifactuallabel"
     "startaddrlabel"
     "stopaddrlabel"
     "makelabel")
    (TeX-run-style-hooks
     "eepic"
     ""
     "leqno"
     "fleqn")))

