(TeX-add-style-hook "lhelp"
 (lambda ()
    (LaTeX-add-environments
     "ensuretwocolumn"
     "ensureonecolumn"
     '("narrowpars" 1)
     "enumerateshort"
     "itemizeshort")
    (TeX-add-symbols
     "endEitemize"
     "endEenumerate"
     '("placeEPS" ["argument"] 3)
     '("xyfparbox" ["argument"] 3)
     '("fparbox" ["argument"] 0)
     '("placepos" 3)
     '("labelhangindent" 1)
     '("Eitemize" 1)
     '("Eenumerate" 1)
     '("listlabelleftindent" 1)
     '("listlabelleft" 4)
     '("addEPSopt" 1)
     '("ifinclude" 1)
     '("includelower" 3)
     '("nnotes" 1)
     '("notes" 1)
     '("rblap" 1)
     '("rtlap" 1)
     '("tblap" 1)
     '("blap" 1)
     '("tlap" 1)
     '("lrlap" 1)
     '("lineout" 1)
     '("ulbf" 1)
     '("textsubscript" 1)
     '("luunitbox" 1)
     '("lunitbox" 1)
     "muunit"
     "g"
     "kg"
     "mm"
     "mum"
     "cm"
     "m"
     "ml"
     "mL"
     "ns"
     "mus"
     "ms"
     "s"
     "degree"
     "Degree"
     "celsius"
     "fahren"
     "muA"
     "muH"
     "muV"
     "muW"
     "ohm"
     "kohm"
     "Mohm"
     "ac"
     "dc"
     "rms"
     "Vac"
     "Vdc"
     "VLL"
     "kVLL"
     "draftmark"
     "add"
     "draftname"
     "draftfont"
     "putdraftmarkps"
     "cref"
     "Cref"
     "sref"
     "Sref"
     "aref"
     "Aref"
     "fref"
     "Fref"
     "tref"
     "Tref"
     "pgref"
     "Pgref"
     "phref"
     "Phref"
     "month"
     "ddmonthyyyy"
     "yyyymmdd"
     "hour"
     "minute"
     "todayaddtime"
     "HUGE"
     "veryhuge"
     "veryHuge"
     "veryHUGE"
     "selectD"
     "selectNZ"
     "selectUK"
     "selectUSA"
     "ul"
     "larr"
     "rarr"
     "bs"
     "PP"
     "MM"
     "PM"
     "about"
     "eg"
     "ie"
     "etc"
     "ca"
     "resp"
     "Discuss"
     "Edit"
     "Mark"
     "diameter"
     "careof"
     "vnull"
     "vnul"
     "hrulenull"
     "bnotemark"
     "enotemark"
     "notesfont"
     "listshort"
     "clearoddpage"
     "clearevenpage"
     "clearthispage"
     "newoddpage"
     "newevenpage"
     "hanghere"
     "thinthinspace"
     "setTBstruts"
     "PSadjust"
     "packagedate"
     "packageversion"
     "packagesummary"
     "lhelpxspace"
     "EPSopt"
     "EPSfileext"
     "today"
     "tableofcontents"
     "addvspace"
     "w"
     "h"
     "makelabel"
     "ensurecolumnend"
     "absval"
     "gobble"
     "gobbletwo"
     "T"
     "B")
    (TeX-run-style-hooks
     "lhelpx"
     "color"
     "graphics"
     "")))

