(TeX-add-style-hook "lineno"
 (lambda ()
    (LaTeX-add-environments
     "internallinenumbers"
     "linenomath"
     "nolinenumbers"
     "pagewiselinenumbers"
     "runninglinenumbers"
     "linenumbers"
     "code"
     "numquote"
     "numquotation"
     "bframe")
    (TeX-add-symbols
     '("linerefr" ["argument"] 1)
     '("linerefp" ["argument"] 1)
     '("resetlinenumber" ["argument"] 0)
     '("firstlinenumber" 1)
     "linenopenalty"
     "linenopenaltypar"
     "stepLineNumber"
     "linenoprevgraf"
     "linenomathNonumbers"
     "linenomathWithnumbers"
     "linenumberdisplaymath"
     "nolinenumberdisplaymath"
     "linelabel"
     "linenumbersep"
     "linenumberwidth"
     "modulolinenumbers"
     "internallinenumberpar"
     "makeinternalLinenumbers"
     "lineref"
     "quotelinenumbers"
     "quotelinenumbersep"
     "numquotelist"
     "bframerule"
     "bframesep"
     "lessthan"
     "old"
     "LineNoTest"
     "LineNoLaTeXOutput"
     "MakeLineNo"
     "noexpand"
     "linenumberpar"
     "WriteLineNo"
     "makeLineNumberLeft"
     "makeLineNumberRight"
     "switchlinenumbers"
     "setmakelinenumbers"
     "makeLineNumberRunning"
     "makeLineNumberOdd"
     "makeLineNumberEven"
     "leftlinenumbers"
     "rightlinenumbers"
     "makeRunningLineNumber"
     "setrunninglinenumbers"
     "setpagewiselinenumbers"
     "theLineNumber"
     "makePagewiseLineNumber"
     "logtheLineNumber"
     "LastNumberedPage"
     "testLastNumberedPage"
     "testFirstNumberedPage"
     "testNumberedPage"
     "lastLN"
     "firstLN"
     "pageLN"
     "nextLN"
     "testNextNumberedPage"
     "NumberedPageCache"
     "getLineNumber"
     "gotNumberedPage"
     "runningpagewiselinenumbers"
     "realpagewiselinenumbers"
     "subtractlinenumberoffset"
     "thePagewiseLineNumber"
     "getpagewiselinenumber"
     "themodulolinenumber"
     "LineNumber"
     "quotelinenumberfont"
     "linenumberfont"
     "makeLineNumber"
     "PostponeVadjust"
     "PassVadjustList"
     "vadjust")
    (TeX-run-style-hooks
     "edtable"
     "ednmath0"
     "vplref"
     "")))

