(TeX-add-style-hook "mandi"
 (lambda ()
    (LaTeX-add-environments
     "usebaseunit"
     "usedrvdunit"
     "usetradunit"
     "x")
    (LaTeX-add-labels
     "#1")
    (TeX-add-symbols
     '("inframe" ["argument"] 0)
     '("logb" ["argument"] 0)
     '("dstar" ["argument"] 0)
     '("Dstar" ["argument"] 0)
     '("magstar" ["argument"] 0)
     '("Magstar" ["argument"] 0)
     '("fstar" ["argument"] 0)
     '("Fstar" ["argument"] 0)
     '("Mstar" ["argument"] 0)
     '("Rstar" ["argument"] 0)
     '("Tstar" ["argument"] 0)
     '("Lstar" ["argument"] 0)
     '("chkphysicsquantity" 1)
     '("sneakyone" 1)
     '("image" 2)
     '("Tsub" 1)
     '("Fsub" 1)
     '("brelatedto" 2)
     '("lrelatedto" 1)
     '("rrelatedto" 1)
     '("pwordoperator" 2)
     '("wordoperator" 2)
     '("ooopx" 1)
     '("ooomx" 1)
     '("oosqrtomx" 1)
     '("oosqrtomxs" 1)
     '("frelgamma" 1)
     '("relgamma" 1)
     '("ffifthroot" 1)
     '("ffourthroot" 1)
     '("fcuberoot" 1)
     '("fsqrt" 1)
     '("fifthroot" 1)
     '("fourthroot" 1)
     '("cuberoot" 1)
     '("naxis" 1)
     '("levicivita" 1)
     '("msud" 3)
     '("msup" 2)
     '("msub" 2)
     '("ssud" 3)
     '("ssup" 2)
     '("ssub" 2)
     '("longitudeW" 1)
     '("longitudeE" 1)
     '("longitude" 1)
     '("latitudeS" 1)
     '("latitudeN" 1)
     '("latitude" 1)
     '("hms" 3)
     '("dms" 3)
     '("EE" 2)
     '("ee" 2)
     '("Changein" 1)
     '("changein" 1)
     '("bquant" 1)
     '("quant" 1)
     '("unitsof" 1)
     '("dimsof" 1)
     '("magof" 1)
     '("abs" 1)
     '("scripty" 1)
     '("diracdelta" 1)
     '("ppbyp" 2)
     '("pbyp" 2)
     '("DDbyD" 2)
     '("ddbyd" 2)
     '("DbyD" 2)
     '("dbyd" 2)
     '("closedlineIntegral" 2)
     '("closedlineintegral" 2)
     '("openlineIntegral" 2)
     '("openlineintegral" 2)
     '("closedsurfIntegral" 2)
     '("closedsurfintegral" 2)
     '("opensurfIntegral" 2)
     '("opensurfintegral" 2)
     '("evaluatedat" 1)
     '("evalat" 2)
     '("evalfromto" 3)
     '("dx" 1)
     '("guk" 1)
     '("gk" 1)
     '("euk" 1)
     '("uek" 1)
     '("ek" 1)
     '("DervectdoteDpos" 2)
     '("dervectdotedpos" 2)
     '("DervectdotsDpos" 2)
     '("dervectdotsdpos" 2)
     '("DervectdoteDvect" 3)
     '("dervectdotedvect" 3)
     '("DervectdotsDvect" 3)
     '("dervectdotsdvect" 3)
     '("Dervectdotepos" 2)
     '("dervectdotepos" 2)
     '("Dervectdotspos" 2)
     '("dervectdotspos" 2)
     '("vectdoteDervect" 3)
     '("vectdotedervect" 3)
     '("vectdotsDervect" 3)
     '("vectdotsdervect" 3)
     '("Dervectdotevect" 3)
     '("dervectdotevect" 3)
     '("Dervectdotsvect" 3)
     '("dervectdotsvect" 3)
     '("vectsubdoteDpos" 2)
     '("vectsubdotedpos" 2)
     '("vectsubdotsDpos" 2)
     '("vectsubdotsdpos" 2)
     '("vectsubdoteDvect" 3)
     '("vectsubdotedvect" 3)
     '("vectsubdotsDvect" 3)
     '("vectsubdotsdvect" 3)
     '("vectsubdoteDvectsub" 4)
     '("vectsubdotedvectsub" 4)
     '("vectsubdotsDvectsub" 4)
     '("vectsubdotsdvectsub" 4)
     '("vectsubdotevectsub" 4)
     '("vectsubdotsvectsub" 4)
     '("vectdoteDpos" 1)
     '("vectdotedpos" 1)
     '("vectdotsDpos" 1)
     '("vectdotsdpos" 1)
     '("vectdoteDvect" 2)
     '("vectdotedvect" 2)
     '("vectdotsDvect" 2)
     '("vectdotsdvect" 2)
     '("vectdotepos" 1)
     '("vectdotspos" 1)
     '("vectdotevect" 2)
     '("vectdotsvect" 2)
     '("vectdotvect" 2)
     '("relfor" 1)
     '("relmom" 1)
     '("relvel" 1)
     '("relpos" 1)
     '("scompsDerpossub" 2)
     '("scompsderpossub" 2)
     '("compDerpossub" 3)
     '("compderpossub" 3)
     '("scompsDpossub" 1)
     '("scompsdpossub" 1)
     '("compDpossub" 2)
     '("compdpossub" 2)
     '("scompspossub" 1)
     '("comppossub" 2)
     '("scompsDervectsub" 3)
     '("scompsdervectsub" 3)
     '("compDervectsub" 4)
     '("compdervectsub" 4)
     '("magDervectsub" 3)
     '("magdervectsub" 3)
     '("Dervectsub" 3)
     '("dervectsub" 3)
     '("Dermagvectsub" 3)
     '("dermagvectsub" 3)
     '("scompsDvectsub" 2)
     '("scompsdvectsub" 2)
     '("compDvectsub" 3)
     '("compdvectsub" 3)
     '("Dvectsub" 2)
     '("dvectsub" 2)
     '("dirvectsub" 2)
     '("magvectsubscomps" 2)
     '("magvectsub" 2)
     '("scompsvectsub" 2)
     '("compvectsub" 3)
     '("vectsub" 2)
     '("compDerpos" 2)
     '("compderpos" 2)
     '("scompsDerpos" 1)
     '("scompsderpos" 1)
     '("compDpos" 1)
     '("compdpos" 1)
     '("comppos" 1)
     '("Dermagvect" 2)
     '("dermagvect" 2)
     '("magDervect" 2)
     '("magdervect" 2)
     '("scompsDervect" 2)
     '("scompsdervect" 2)
     '("compDervect" 3)
     '("compdervect" 3)
     '("Dervect" 2)
     '("dervect" 2)
     '("scompsDvect" 1)
     '("scompsdvect" 1)
     '("compDvect" 2)
     '("compdvect" 2)
     '("magDvect" 1)
     '("magdvect" 1)
     '("Ddirvect" 1)
     '("ddirvect" 1)
     '("dirDvect" 1)
     '("dirdvect" 1)
     '("Dvect" 1)
     '("dvect" 1)
     '("magvectscomps" 1)
     '("scompsvect" 1)
     '("compvect" 2)
     '("dirvect" 1)
     '("Dmagvect" 1)
     '("dmagvect" 1)
     '("magvect" 1)
     '("vect" 1)
     '("gamman" 1)
     '("velocityc" 1)
     '("inAU" 1)
     '("ineV" 1)
     '("inarcseconds" 1)
     '("inarcminutes" 1)
     '("indegrees" 1)
     '("innerdefinewhatsoeverquantity" 8)
     '("innerdefinewhatsoeverquantityfork" 3)
     '("hereusetradunit" 1)
     '("hereusedrvdunit" 1)
     '("hereusebaseunit" 1)
     '("selecttradunit" 3)
     '("selectdrvdunit" 3)
     '("selectbaseunit" 3)
     '("reciprocalquartic" 1)
     '("reciprocalcubic" 1)
     '("reciprocalsquare" 1)
     '("reciprocal" 1)
     '("quartic" 1)
     '("cubic" 1)
     '("square" 1)
     '("unit" 2)
     "lstvpython"
     "per"
     "usk"
     "ampere"
     "arcminute"
     "arcsecond"
     "atomicmassunit"
     "candela"
     "coulomb"
     "degree"
     "electronvolt"
     "farad"
     "henry"
     "hertz"
     "hour"
     "joule"
     "kelvin"
     "kilogram"
     "metre"
     "minute"
     "mole"
     "newton"
     "ohm"
     "pascal"
     "radian"
     "second"
     "siemens"
     "steradian"
     "tesla"
     "volt"
     "watt"
     "weber"
     "C"
     "F"
     "J"
     "N"
     "Pa"
     "rad"
     "sr"
     "T"
     "V"
     "W"
     "squared"
     "cubed"
     "quarted"
     "reciprocaled"
     "reciprocalsquared"
     "reciprocalcubed"
     "reciprocalquarted"
     "mi"
     "perpusebaseunit"
     "perpusedrvdunit"
     "perpusetradunit"
     "newphysicsquantity"
     "redefinephysicsquantity"
     "newphysicsconstant"
     "redefinephysicsconstant"
     "m"
     "kg"
     "s"
     "A"
     "K"
     "mol"
     "cd"
     "lv"
     "rv"
     "symvect"
     "ncompsvect"
     "zerovect"
     "ncompszerovect"
     "scompspos"
     "scompsdpos"
     "scompsDpos"
     "ezero"
     "eone"
     "etwo"
     "ethree"
     "efour"
     "e"
     "uezero"
     "ueone"
     "uetwo"
     "uethree"
     "uefour"
     "ue"
     "ezerozero"
     "eoneone"
     "eonetwo"
     "eonethree"
     "eonefour"
     "etwoone"
     "etwotwo"
     "etwothree"
     "etwofour"
     "ethreeone"
     "ethreetwo"
     "ethreethree"
     "ethreefour"
     "efourone"
     "efourtwo"
     "efourthree"
     "efourfour"
     "euzero"
     "euone"
     "eutwo"
     "euthree"
     "eufour"
     "eu"
     "euzerozero"
     "euoneone"
     "euonetwo"
     "euonethree"
     "euonefour"
     "eutwoone"
     "eutwotwo"
     "eutwothree"
     "eutwofour"
     "euthreeone"
     "euthreetwo"
     "euthreethree"
     "euthreefour"
     "eufourone"
     "eufourtwo"
     "eufourthree"
     "eufourfour"
     "gzero"
     "gone"
     "gtwo"
     "gthree"
     "gfour"
     "g"
     "gzerozero"
     "goneone"
     "gonetwo"
     "gonethree"
     "gonefour"
     "gtwoone"
     "gtwotwo"
     "gtwothree"
     "gtwofour"
     "gthreeone"
     "gthreetwo"
     "gthreethree"
     "gthreefour"
     "gfourone"
     "gfourtwo"
     "gfourthree"
     "gfourfour"
     "guzero"
     "guone"
     "gutwo"
     "guthree"
     "gufour"
     "gu"
     "guzerozero"
     "guoneone"
     "guonetwo"
     "guonethree"
     "guonefour"
     "gutwoone"
     "gutwotwo"
     "gutwothree"
     "gutwofour"
     "guthreeone"
     "guthreetwo"
     "guthreethree"
     "guthreefour"
     "gufourone"
     "gufourtwo"
     "gufourthree"
     "gufourfour"
     "kboltznev"
     "plancknev"
     "planckbarnev"
     "clightnfn"
     "lightyear"
     "Lightyear"
     "cyear"
     "cyr"
     "yyear"
     "yr"
     "parsec"
     "Lsolar"
     "Tsolar"
     "Rsolar"
     "Msolar"
     "FSun"
     "fSun"
     "Fsolar"
     "fsolar"
     "Magsolar"
     "magsolar"
     "Dsolar"
     "dsolar"
     "onehalf"
     "onethird"
     "onefourth"
     "onefifth"
     "onesixth"
     "oneseventh"
     "oneeighth"
     "oneninth"
     "onetenth"
     "twothirds"
     "twofifths"
     "twosevenths"
     "twoninths"
     "threehalves"
     "threefourths"
     "threefifths"
     "threesevenths"
     "threeeighths"
     "threetenths"
     "fourthirds"
     "seriesfofx"
     "seriesexpx"
     "seriessinx"
     "seriescosx"
     "seriestanx"
     "seriesatox"
     "serieslnoneplusx"
     "binomialseries"
     "gradient"
     "divergence"
     "curl"
     "laplacian"
     "dalembertian"
     "eV"
     "ev"
     "cB"
     "newpi"
     "clockreading"
     "xaxis"
     "yaxis"
     "zaxis"
     "xyplane"
     "yzplane"
     "zxplane"
     "yxplane"
     "zyplane"
     "xzplane"
     "isequals"
     "definedas"
     "associated"
     "adjustedby"
     "earlierthan"
     "laterthan"
     "forevery"
     "pdefinedas"
     "passociated"
     "padjustedby"
     "pearlierthan"
     "platerthan"
     "pforevery"
     "defines"
     "associates"
     "becomes"
     "momprinciple"
     "LHSmomprinciple"
     "RHSmomprinciple"
     "energyprinciple"
     "LHSenergyprinciple"
     "RHSenergyprinciple"
     "angularmomprinciple"
     "LHSangularmomprinciple"
     "RHSangularmomprinciple"
     "gravinteraction"
     "elecinteraction"
     "Bfieldofparticle"
     "Efieldofparticle"
     "Esys"
     "DEsys"
     "DUs"
     "DUg"
     "DUe"
     "DKtrans"
     "DKrot"
     "DEparticle"
     "DEinternal"
     "DErest"
     "DEchem"
     "DEtherm"
     "DEvib"
     "DEphoton"
     "Usfinal"
     "Usinitial"
     "Ugfinal"
     "Uginitial"
     "Uefinal"
     "Ueinitial"
     "ks"
     "Fnet"
     "Fnetext"
     "Fnetsys"
     "Tnet"
     "Tnetext"
     "Tnetsys"
     "vpythonline"
     "vpythonfile"
     "checkpoint"
     "selectunit"
     "skipper")
    (TeX-run-style-hooks
     "calligra"
     "ifthen"
     "xspace"
     "xparse"
     "xargs"
     "suffix"
     "mdframed"
     "framemethod=TikZ"
     "listings"
     "letltxmacro"
     "textcomp"
     "epstopdf"
     "graphicx"
     "fontenc"
     "T1"
     "extarrows"
     "filehook"
     "etoolbox"
     "environ"
     "xcolor"
     "dvipsnames"
     "changebar"
     "color"
     "leftbars"
     "cancel"
     "bigints"
     "amssymb"
     "amsmath"
     "")))

