(TeX-add-style-hook "moderncv"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "cvcolumns")
    (LaTeX-add-labels
     "lastpage")
    (TeX-add-symbols
     '("enclosure" ["argument"] 1)
     '("cvcolumn" ["argument"] 2)
     '("emaillink" ["argument"] 1)
     '("httplink" ["argument"] 1)
     '("link" ["argument"] 1)
     '("cvitemwithcomment" ["argument"] 3)
     '("cventry" ["argument"] 6)
     '("cvlistdoubleitem" ["argument"] 2)
     '("cvlistitem" ["argument"] 1)
     '("cvdoubleitem" ["argument"] 4)
     '("cvitem" ["argument"] 2)
     '("phone" ["argument"] 1)
     '("closing" 1)
     '("opening" 1)
     '("recipient" 2)
     '("descriptionlabel" 1)
     '("bibliographyhead" 1)
     '("cvcolumncell" 1)
     '("pagenumberstyle" 1)
     '("hintstyle" 1)
     '("subsectionstyle" 1)
     '("sectionstyle" 1)
     '("quotestyle" 1)
     '("addressstyle" 1)
     '("titlestyle" 1)
     '("namestyle" 1)
     '("quote" 1)
     '("moderncvicons" 1)
     '("moderncvcolor" 1)
     '("moderncvstyle" 1)
     '("extrainfo" 1)
     '("homepage" 1)
     '("email" 1)
     '("name" 2)
     "pdfpagemode"
     "nopagenumbers"
     "listitemsymbol"
     "addresssymbol"
     "mobilephonesymbol"
     "fixedphonesymbol"
     "faxphonesymbol"
     "emailsymbol"
     "homepagesymbol"
     "linkedinsocialsymbol"
     "twittersocialsymbol"
     "githubsocialsymbol"
     "refname"
     "enclname"
     "makefooter"
     "recomputelengths"
     "namefont"
     "titlefont"
     "addressfont"
     "quotefont"
     "sectionfont"
     "subsectionfont"
     "hintfont"
     "pagenumberfont"
     "recomputecvlengths"
     "makenewline"
     "makecvtitle"
     "makecvfooter"
     "bibliographyitemlabel"
     "newblock"
     "recomputeletterlengths"
     "makelettertitle"
     "makeletterfooter"
     "makeletterclosing"
     "today")
    (TeX-run-style-hooks
     "moderncvcompatibility"
     "moderncvcollection"
     "microtype"
     "xparse"
     "calc"
     "tweaklist"
     "fancyhdr"
     "graphicx"
     "hyperref"
     "unicode"
     "url"
     "lmodern"
     "fontenc"
     "T1"
     "ifluatex"
     "ifxetex"
     "xcolor"
     "ifthen"
     "etoolbox"
     "")))

