(TeX-add-style-hook "mtcoff"
 (lambda ()
    (LaTeX-add-environments
     "mtchideinmaintoc"
     "mtchideinmainlof"
     "mtchideinmainlot")
    (TeX-add-symbols
     '("mtcfixnomenclature" ["argument"] 0)
     '("mtcfixindex" ["argument"] 0)
     '("mtcfixglossary" ["argument"] 0)
     '("mtcaddpart" ["argument"] 0)
     '("mtcaddsection" ["argument"] 0)
     '("mtcaddchapter" ["argument"] 0)
     '("adjuststc" ["argument"] 0)
     '("adjustmtc" ["argument"] 0)
     '("adjustptc" ["argument"] 0)
     "mtcindent"
     "mtcskipamount"
     "ptcindent"
     "stcindent"
     "mtcgapbeforeheads"
     "mtcgapafterheads"
     "kernafterparttoc"
     "kernafterpartlof"
     "kernafterpartlot"
     "kernaftersecttoc"
     "kernaftersectlof"
     "kernaftersectlot"
     "kernafterminitoc"
     "kernafterminilof"
     "kernafterminilot"
     "ptcoffset"
     "plfoffset"
     "pltoffset"
     "stcoffset"
     "sltoffset"
     "mtcoffset"
     "slfoffset"
     "mltoffset"
     "faketableofcontents"
     "fakelistoffigures"
     "fakelistoftables"
     "mtcskip"
     "decrementptc"
     "incrementptc"
     "decrementmtc"
     "incrementmtc"
     "decrementstc"
     "incrementstc"
     "partend"
     "partbegin"
     "chapterend"
     "chapterbegin"
     "sectend"
     "sectbegin"
     "doparttoc"
     "dopartlof"
     "dopartlot"
     "parttoc"
     "partlof"
     "partlot"
     "dominitoc"
     "dominilof"
     "dominilot"
     "minitoc"
     "minilof"
     "minilot"
     "dosecttoc"
     "dosectlof"
     "dosectlot"
     "secttoc"
     "sectlof"
     "sectlot"
     "mtcprepare"
     "appendixmtc"
     "xchapter"
     "pchapter"
     "psect"
     "xpart"
     "xsect"
     "ptcfont"
     "ptcCfont"
     "ptcSfont"
     "ptcSSfont"
     "ptcSSSfont"
     "ptcPfont"
     "ptcSPfont"
     "plffont"
     "plfSfont"
     "pltfont"
     "pltSfont"
     "ptifont"
     "mtcfont"
     "mtcSfont"
     "mtcSSfont"
     "mtcSSSfont"
     "mtcPfont"
     "mtcSPfont"
     "mlffont"
     "mlfSfont"
     "mltfont"
     "mltSfont"
     "mtifont"
     "stcfont"
     "stcSSfont"
     "stcSSSfont"
     "stcPfont"
     "stcSPfont"
     "slffont"
     "slfSfont"
     "sltfont"
     "sltSfont"
     "stifont"
     "coffeefont"
     "mtcsetdepth"
     "mtcsetoffset"
     "mtcsetfont"
     "mtcsettitlefont"
     "mtcsettitle"
     "mtcsetformat"
     "mtcsetfeature"
     "mtcsetpagenumbers"
     "mtcsetrules"
     "firstpartis"
     "firstchapteris"
     "firstsectionis"
     "mtcselectlanguage"
     "mtcloadmlo"
     "ptcrule"
     "noptcrule"
     "mtcrule"
     "nomtcrule"
     "stcrule"
     "nostcrule"
     "plfrule"
     "noplfrule"
     "mlfrule"
     "nomlfrule"
     "slfrule"
     "noslfrule"
     "pltrule"
     "nopltrule"
     "mltrule"
     "nomltrule"
     "sltrule"
     "nosltrule"
     "mtcpagenumbers"
     "nomtcpagenumbers"
     "stcpagenumbers"
     "nostcpagenumbers"
     "ptcpagenumbers"
     "noptcpagenumbers"
     "mlfpagenumbers"
     "nomlfpagenumbers"
     "slfpagenumbers"
     "noslfpagenumbers"
     "plfpagenumbers"
     "noplfpagenumbers"
     "mltpagenumbers"
     "nomltpagenumbers"
     "sltpagenumbers"
     "nosltpagenumbers"
     "pltpagenumbers"
     "nopltpagenumbers"
     "beforeparttoc"
     "beforepartlof"
     "beforepartlot"
     "afterparttoc"
     "afterpartlof"
     "afterpartlot"
     "openparttoc"
     "openpartlof"
     "openpartlot"
     "closeparttoc"
     "closepartlof"
     "closepartlot"
     "thispageparttocstyle"
     "thispagepartlofstyle"
     "thispagepartlotstyle"
     "beforeminitoc"
     "beforeminilof"
     "beforeminilot"
     "afterminitoc"
     "afterminilof"
     "afterminilot"
     "openminitoc"
     "openminilof"
     "openminilot"
     "closeminitoc"
     "closeminilof"
     "closeminilot"
     "thispageminitocstyle"
     "thispageminilofstyle"
     "thispageminilotstyle"
     "beforesecttoc"
     "beforesectlof"
     "beforesectlot"
     "aftersecttoc"
     "aftersectlof"
     "aftersectlot"
     "opensecttoc"
     "opensectlof"
     "opensectlot"
     "closesecttoc"
     "closesectlof"
     "closesectlot"
     "thispagesecttocstyle"
     "thispagesectlofstyle"
     "thispagesectlotstyle"
     "addcoffeeline"
     "coffeeline"
     "addstarredpart"
     "addstarredchapter"
     "addstarredsection")
    (TeX-run-style-hooks
     "mtcmess"
     "")))

