(TeX-add-style-hook "paper"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "keywords"
     "abstract"
     "description"
     "verse"
     "quotation"
     "quote"
     "example"
     "describe"
     "titlepage"
     "figure"
     "table"
     "theindex")
    (TeX-add-symbols
     '("descriptionlabel" 1)
     "hours"
     "minutes"
     "part"
     "journalpart"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "appendix"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "l"
     "bibindent"
     "newblock"
     "subitem"
     "subsubitem"
     "indexspace"
     "contentsname"
     "listfigurename"
     "listtablename"
     "refname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "appendixname"
     "abstractname"
     "figureshortname"
     "tableshortname"
     "keywordname"
     "draftname"
     "today"
     "filename"
     "SetTime"
     "now"
     "partfont"
     "sectionfont"
     "subsectionfont"
     "subsubsectionfont"
     "paragraphfont"
     "subparagraphfont"
     "titlefont"
     "subtitlefont"
     "authorfont"
     "institutionfont"
     "theoremheaderfont"
     "theorembodyfont"
     "itemfont"
     "examplefont"
     "headingstextfont"
     "pagenumberfont"
     "captionheaderfont"
     "captionbodyfont"
     "figurefont"
     "tablefont"
     "noparskip"
     "evenrunhead"
     "oddrunhead"
     "sectionmark"
     "subsectionmark"
     "clap"
     "subtitle"
     "institution"
     "shortauthor"
     "shorttitle"
     "and"
     "footnotesize"
     "footnoterule"
     "thanks"
     "maketitle"
     "makelabel"
     "review"
     "revauthor"
     "thefootnote"
     "marginlabel"
     "attention"
     "seealso"
     "rb"
     "tablerule"
     "thicktablerule"
     "doubletablerule"
     "thickhline"
     "doublehline"
     "journalcontents"
     "smalltableofcontents"
     "tableofcontents"
     "smalllistoffigures"
     "listoffigures"
     "smalllistoftables"
     "listoftables"
     "bibliography"
     "item")
    (TeX-run-style-hooks
     "leqno"
     "fleqn")))

