(TeX-add-style-hook "pbsheet"
 (lambda ()
    (LaTeX-add-environments
     "thm"
     "cor"
     "prop"
     "lem"
     "defi"
     "xpl"
     "exo"
     "hyp"
     "eur"
     "pro"
     "rem")
    (LaTeX-add-labels
     "code:#1"
     "fi:#1")
    (TeX-add-symbols
     '("PT" ["argument"] 0)
     '("Bimatrix" 2)
     '("Vector" 2)
     '("BIMATRIX" 1)
     '("VECTOR" 1)
     '("SR" 2)
     '("DSFRAC" 2)
     '("ds" 1)
     '("SSK" 1)
     '("INT" 1)
     '("ADH" 1)
     '("adher" 1)
     '("inter" 1)
     '("Hess" 1)
     '("HESS" 1)
     '("ddisop" 1)
     '("disop" 1)
     '("isop" 1)
     '("SGQ" 2)
     '("SGQf" 1)
     '("SG" 2)
     '("SGf" 1)
     '("DIAM" 1)
     '("RG" 1)
     '("KER" 1)
     '("SIG" 1)
     '("DET" 1)
     '("DIAG" 1)
     '("TR" 1)
     '("Det" 1)
     '("lebb" 1)
     '("leb" 2)
     '("Cib" 1)
     '("Cnb" 2)
     '("Cnc" 2)
     '("Cic" 1)
     '("Ci" 1)
     '("Cn" 2)
     '("Cc" 1)
     '("Cb" 1)
     '("C" 1)
     '("lik" 1)
     '("vrs" 1)
     '("K" 1)
     '("bvar" 2)
     '("var" 2)
     '("varf" 1)
     '("RANGE" 1)
     '("DIM" 1)
     '("supp" 1)
     '("bcov" 3)
     '("cov" 3)
     '("covf" 1)
     '("corr" 3)
     '("corrf" 1)
     '("bmoy" 2)
     '("econd" 2)
     '("moy" 2)
     '("moyf" 1)
     '("fishm" 1)
     '("fish" 1)
     '("fcr" 1)
     '("imut" 1)
     '("ene" 2)
     '("enef" 1)
     '("rent" 2)
     '("ient" 2)
     '("ientf" 1)
     '("ent" 2)
     '("entf" 1)
     '("eent" 1)
     '("bent" 2)
     '("bentf" 1)
     '("sent" 1)
     '("WH" 1)
     '("LIP" 1)
     '("VT" 1)
     '("SBRA" 1)
     '("PD" 2)
     '("BABS" 1)
     '("BPAR" 1)
     '("PAR" 1)
     '("OSC" 1)
     '("NI" 1)
     '("NRM" 1)
     '("DP" 1)
     '("BRA" 1)
     '("ABS" 1)
     '("p" 4)
     '("gt" 1)
     '("limAS" 1)
     '("limPS" 1)
     '("mylim" 2)
     '("limn" 1)
     '("limL" 1)
     '("limP" 1)
     '("limW" 1)
     '("limE" 1)
     '("limLeb" 2)
     '("NB" 1)
     '("DOIFPDF" 2)
     '("MEL" 1)
     '("WEB" 1)
     '("ETABLISSEMENT" 1)
     '("ANNEE" 1)
     '("FORMATION" 1)
     '("DATE" 1)
     '("AUTEUR" 1)
     '("TITRE" 1)
     '("FIG" 4)
     '("FFIG" 5)
     '("SCIFILE" 1)
     '("SCEFILE" 1)
     '("MFILE" 1)
     "phantomsection"
     "toclevel"
     "PREMIEREPAGE"
     "EngineName"
     "EM"
     "timenow"
     "dA"
     "dB"
     "dC"
     "dD"
     "dE"
     "dF"
     "dG"
     "dH"
     "dI"
     "dJ"
     "dK"
     "dL"
     "dM"
     "dN"
     "dO"
     "dP"
     "dQ"
     "dR"
     "dS"
     "dT"
     "dU"
     "dV"
     "dW"
     "dX"
     "dY"
     "dZ"
     "rA"
     "rB"
     "rC"
     "rD"
     "rE"
     "rF"
     "rG"
     "rH"
     "rI"
     "rJ"
     "rK"
     "rL"
     "rM"
     "rN"
     "rO"
     "rP"
     "rQ"
     "rR"
     "rS"
     "rT"
     "rU"
     "rV"
     "rW"
     "rX"
     "rY"
     "rZ"
     "cA"
     "cB"
     "cC"
     "cD"
     "cE"
     "cF"
     "cG"
     "cH"
     "cI"
     "cJ"
     "cK"
     "cL"
     "cM"
     "cN"
     "cO"
     "cP"
     "cQ"
     "cR"
     "cS"
     "cT"
     "cU"
     "cV"
     "cW"
     "cX"
     "cY"
     "cZ"
     "bA"
     "bB"
     "bC"
     "bD"
     "bE"
     "bF"
     "bG"
     "bH"
     "bI"
     "bJ"
     "bK"
     "bL"
     "bM"
     "bN"
     "bO"
     "bP"
     "bQ"
     "bR"
     "bS"
     "bT"
     "bU"
     "bV"
     "bW"
     "bX"
     "bY"
     "bZ"
     "al"
     "be"
     "De"
     "de"
     "ga"
     "Ga"
     "g"
     "gn"
     "la"
     "La"
     "lan"
     "na"
     "Om"
     "om"
     "ph"
     "Si"
     "si"
     "Te"
     "te"
     "ta"
     "Ups"
     "veps"
     "vphi"
     "bul"
     "pd"
     "sentf"
     "eentf"
     "rentf"
     "entr"
     "imutf"
     "fcrf"
     "fishf"
     "fishmf"
     "suppf"
     "DIMF"
     "RANGEF"
     "Kf"
     "Tr"
     "ID"
     "Id"
     "Mo"
     "Vo"
     "CD"
     "GA"
     "GD"
     "GI"
     "GR"
     "GIV"
     "GIB"
     "LA"
     "ROT"
     "DIV"
     "isopf"
     "HAM"
     "POT"
     "PF"
     "DOM"
     "laV"
     "DOML"
     "DOMB"
     "DOMV"
     "GAV"
     "D"
     "DOTIMES"
     "DOPLUS"
     "CARD"
     "bs"
     "Inf"
     "Sup"
     "eg"
     "fdefeq"
     "edefeq"
     "defeq"
     "equ"
     "ex"
     "imp"
     "ssi"
     "tout"
     "tq"
     "st"
     "Ieme")
    (TeX-run-style-hooks
     "listings"
     "color"
     "babel"
     "francais"
     "xspace"
     "moreverb"
     "rotating"
     "geometry"
     "portrait"
     "latexsym"
     "amsthm"
     "amssymb"
     "amsfonts"
     "amsmath"
     "aeguill"
     "hyperref"
     "colorlinks"
     "a4paper"
     "bookmarks"
     "pdftex"
     "graphicx"
     "dvips"
     "url"
     "fontenc"
     "T1"
     "inputenc"
     "latin1"
     "art10"
     "article"
     "")))

