(TeX-add-style-hook "pdfwin"
 (lambda ()
    (LaTeX-add-environments
     "verbatim")
    (TeX-add-symbols
     '("AddButton" ["argument"] 1)
     '("ThreeDimBox" 3)
     '("inithighlight" 1)
     '("initreveal" 1)
     '("store" 1)
     '("copycolor" 2)
     '("SetPaneltext" 1)
     '("SetMargins" 4)
     "InitLayout"
     "LastPageString"
     "ChapterNumber"
     "LastPage"
     "AbstractPage"
     "ContentsPage"
     "IndexPage"
     "PDFWinFightsBabelSuccessfully"
     "SetButtonTextStyle"
     "SetPageInfoStyle"
     "SetTocNTextStyle"
     "SetTocHTextStyle"
     "SetChapterTextStyle"
     "SetChapterTitelStyle"
     "revealnext"
     "highlightnext"
     "NormalButtonCol"
     "FirstButtonCol"
     "LastButtonCol"
     "AbstractButtonCol"
     "ContentsButtonCol"
     "IndexButtonCol"
     "btl"
     "btr"
     "PanelContents"
     "DrawNavigationPanel"
     "ChapterBox"
     "Big"
     "Small"
     "Test"
     "My"
     "paneltitlepagename"
     "panelabstractname"
     "panelcontentsname"
     "panelindexname"
     "panelhomepagename"
     "panelfullscreenname"
     "panelgobackname"
     "panelgoforwardname"
     "panelsearchname"
     "panelquitname"
     "panelclosename"
     "panelpagename"
     "panelofname"
     "section"
     "emptystring"
     "SetUnderTextWin"
     "SetOverTextWin"
     "SetPanelContents"
     "SetUserContents"
     "SetScreen"
     "SetLogo"
     "SetButtons"
     "SetPanelTOC"
     "SetWindow"
     "NewWindow"
     "pagenumbering"
     "tempa"
     "tempb"
     "newpage"
     "thepage"
     "computeincpage"
     "DrawLogo"
     "DrawPanelTOC"
     "DrawPanelText"
     "ShowEmptyPageInfo"
     "ShowPageInfo"
     "GoToPageButton"
     "HomePageButton"
     "TitlePageButton"
     "AbstractPageButton"
     "ContentsPageButton"
     "IndexPageButton"
     "FirstLastButton"
     "PrevNextButton"
     "BackForwardButton"
     "BackButton"
     "ForwardButton"
     "FullScreenButton"
     "SearchButton"
     "CloseButton"
     "QuitButton"
     "sectionstring"
     "chapterstring"
     "AddPanelTocEntry"
     "numberline"
     "contentsline"
     "PTocEntry"
     "shipout"
     "protect")
    (TeX-run-style-hooks
     "truncate"
     "breakall"
     "color"
     "graphicx"
     "keyval"
     "amssymb"
     "")))

