(TeX-add-style-hook "probsoln"
 (lambda ()
    (LaTeX-add-environments
     "defproblem"
     "onlysolution"
     "onlyproblem"
     "PSNitem"
     "solution"
     "textenum")
    (TeX-add-symbols
     '("foreachsolution" ["argument"] 1)
     '("foreachproblem" ["argument"] 1)
     '("loadrandomexcept" ["argument"] 3)
     '("loadrandomproblems" ["argument"] 2)
     '("loadexceptproblems" ["argument"] 2)
     '("loadselectedproblems" ["argument"] 2)
     '("loadallproblems" ["argument"] 1)
     '("useproblem" ["argument"] 1)
     '("setprobargs" ["argument"] 2)
     '("ExcludePreviousFile" ["argument"] 1)
     '("incorrectitemformat" 1)
     '("correctitemformat" 1)
     '("selectrandomly" 2)
     '("selectallproblems" 1)
     '("doforrandN" 4)
     '("shuffle" 2)
     '("random" 3)
     '("PSNrandom" 2)
     '("PSNgetrandseed" 1)
     '("PSNrandseed" 1)
     '("foreachdataset" 2)
     '("DTLifinlist" 4)
     '("moveproblem" 3)
     '("usedproblem" 3)
     '("previousproblem" 3)
     '("ClearUsedFile" 1)
     '("SetUsedFileName" 1)
     '("SetStartMonth" 1)
     '("SetStartYear" 1)
     '("draftproblemlabel" 2)
     "prob"
     "ProbSolnFragileExt"
     "ProbSolnFragileFile"
     "GetStartYear"
     "close"
     "psn"
     "PSN"
     "PSNuseoldrandom"
     "newproblem"
     "solutionname"
     "correctitem"
     "incorrectitem"
     "showanswers"
     "hideanswers"
     "ExcludePreviousFile"
     "ClearUsedFile"
     "noexpand"
     "thisproblemargs"
     "PSNrand")
    (TeX-run-style-hooks
     "xkeyval"
     "etoolbox"
     "amsmath"
     "ifthen"
     "")))

