(TeX-add-style-hook "refrep"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "description"
     "abstract"
     "verse"
     "quotation"
     "quote"
     "example"
     "titlepage"
     "figure"
     "table"
     "theindex"
     "maxipage"
     "fullpage")
    (TeX-add-symbols
     '("attention" ["argument"] 0)
     '("seealso" 1)
     '("marginlabel" 1)
     '("descriptionlabel" 1)
     '("chaptermark" 1)
     '("settextfraction" 1)
     "ref"
     "leftmarginwidth"
     "fullwidth"
     "emptyfoottopmargin"
     "emptyheadtopmargin"
     "part"
     "chapter"
     "secshape"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "appendix"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "tableofcontents"
     "l"
     "listoffigures"
     "listoftables"
     "bibindent"
     "newblock"
     "subitem"
     "subsubitem"
     "indexspace"
     "attentionsymbol"
     "pageperchapter"
     "contentsname"
     "listfigurename"
     "listtablename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "chaptername"
     "appendixname"
     "abstractname"
     "ifpdfoutput"
     "chaptermark"
     "sectionmark"
     "footnotesize"
     "footnoterule"
     "footnote"
     "thanks"
     "maketitle"
     "title"
     "author"
     "date"
     "and"
     "makelabel"
     "item"
     "longrule"
     "longthickrule"
     "marginpar"
     "condbreak"
     "noparskip"
     "twocolumn"
     "ppthepage"
     "ppc"
     "today")
    (TeX-run-style-hooks
     "leqno"
     "fleqn")))

