(TeX-add-style-hook "scrartcl"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     '("captionofbeside" 1)
     "titlepage"
     "abstract"
     "captionbeside"
     "figure"
     "table"
     "theindex"
     "description"
     "labeling"
     "verse"
     "quotation"
     "quote"
     "addmargin")
    (TeX-add-symbols
     '("deffootnote" ["argument"] 3)
     '("setfootnoterule" ["argument"] 1)
     '("setcapwidth" ["argument"] 1)
     '("dictum" ["argument"] 1)
     '("maketitle" ["argument"] 0)
     '("changefontsizes" ["argument"] 1)
     '("newbibstyle" ["argument"] 2)
     '("labelinglabel" 1)
     '("descriptionlabel" 1)
     '("setindexpreamble" 1)
     '("BreakBibliography" 1)
     '("setbibpreamble" 1)
     '("addtocentrydefault" 3)
     '("footref" 1)
     '("deffootnotemark" 1)
     '("captionof" 1)
     '("marginline" 1)
     '("textsubscript" 1)
     '("dictumauthorformat" 1)
     '("minisec" 1)
     '("addsubparagraphtocentry" 2)
     '("addparagraphtocentry" 2)
     '("addsubsectiontocentry" 2)
     '("addsectiontocentry" 2)
     '("addparttocentry" 2)
     '("othersectionlevelsformat" 3)
     '("dedication" 1)
     '("lowertitleback" 1)
     '("uppertitleback" 1)
     '("publishers" 1)
     '("subtitle" 1)
     '("subject" 1)
     '("titlehead" 1)
     '("extratitle" 1)
     '("cleardoublepageusingstyle" 1)
     '("cleardoubleevenpageusingstyle" 1)
     '("cleardoubleoddpageusingstyle" 1)
     '("setparsizes" 3)
     "KOMAClassName"
     "ClassName"
     "x"
     "scr"
     "f"
     "default"
     "size"
     "chapterheadstartvskip"
     "chapterheadendvskip"
     "cleardoubleoddemptypage"
     "cleardoubleoddplainpage"
     "cleardoubleevenstandardpage"
     "cleardoubleevenemptypage"
     "cleardoubleevenplainpage"
     "cleardoublestandardpage"
     "cleardoubleemptypage"
     "cleardoubleplainpage"
     "scap"
     "float"
     "bib"
     "idx"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "sfb"
     "cal"
     "mit"
     "parindent"
     "parskip"
     "parfillskip"
     "add"
     "titlefont"
     "appendix"
     "autodot"
     "partformat"
     "sectionmarkformat"
     "subsectionmarkformat"
     "partname"
     "abstractname"
     "appendixname"
     "partheadstartvskip"
     "partheadmidvskip"
     "partheadendvskip"
     "part"
     "addpart"
     "addsec"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "sectfont"
     "l"
     "raggedsectionentry"
     "bprot"
     "dictumrule"
     "dictumwidth"
     "raggeddictum"
     "raggeddictumtext"
     "raggeddictumauthor"
     "new"
     "is"
     "ifthispageodd"
     "set"
     "pnumfont"
     "headfont"
     "footfont"
     "pagemark"
     "ps"
     "titlepagestyle"
     "indexpagestyle"
     "captionformat"
     "c"
     "capfont"
     "caplabelfont"
     "setcapindent"
     "setcaphanging"
     "cap"
     "setcapmargin"
     "fs"
     "floatc"
     "captionaboveof"
     "captionbelowof"
     "figurename"
     "tablename"
     "figureformat"
     "fps"
     "ftype"
     "ext"
     "fnum"
     "tableformat"
     "ftn"
     "ftnm"
     "ftntm"
     "FN"
     "multiplefootnoteseparator"
     "multfootsep"
     "multiplefootnotemarker"
     "numberline"
     "last"
     "before"
     "after"
     "contentsname"
     "listoftocname"
     "toc"
     "tableofcontents"
     "listfigurename"
     "listoflofname"
     "listoflofentryname"
     "listtablename"
     "listoflotname"
     "listoflotentryname"
     "listoffigures"
     "listoftables"
     "refname"
     "bibindent"
     "no"
     "AfterBibliographyPreamble"
     "AtEndBibliography"
     "index"
     "subitem"
     "subsubitem"
     "indexspace"
     "indexname"
     "descfont"
     "KOMAScript"
     "tocbasicversion"
     "cleardoublepage"
     "cleardoubleoddpage"
     "cleardoubleevenpage"
     "cleardoubleoddstandardpage"
     "newblock"
     "FamilyElseValues"
     "today"
     "footnotesize"
     "footnoterule"
     "thanks"
     "maketitle"
     "author"
     "title"
     "extratitle"
     "titlehead"
     "subject"
     "publishers"
     "uppertitleback"
     "lowertitleback"
     "dedication"
     "date"
     "and"
     "footnote"
     "partmark"
     "raggedsection"
     "raggedpart"
     "arabic"
     "aftergroup"
     "noexpand"
     "captionabove"
     "captionbelow"
     "captionof"
     "caption"
     "thefootnotemark"
     "bibpreamble"
     "item"
     "makelabel")
    (TeX-run-style-hooks
     "typearea"
     "tocbasic"
     "scrkbase"
     ""
     "leqno"
     "fleqn")))

