(TeX-add-style-hook "statements"
 (lambda ()
    (LaTeX-add-environments
     "assertion"
     "STtheoremAssEnv"
     "STlemmaAssEnv"
     "STpropositionAssEnv"
     "STcorollaryAssEnv"
     "STconjectureAssEnv"
     "STfalseconjectureAssEnv"
     "STpostulateAssEnv"
     "STobligationAssEnv"
     "STassumptionAssEnv"
     "STobservationAssEnv"
     "STexampleEnv"
     "STaxiomEnv"
     "symboldec"
     "definition"
     "STdefinitionEnv"
     "STnotationEnv")
    (TeX-add-symbols
     '("atwinref" ["argument"] 3)
     '("twinref" ["argument"] 2)
     '("atwindefalt" ["argument"] 4)
     '("twindefalt" ["argument"] 3)
     '("definalt" ["argument"] 2)
     '("atwindef" ["argument"] 3)
     '("twindef" ["argument"] 2)
     '("defin" ["argument"] 1)
     '("trefiii" ["argument"] 3)
     '("trefii" ["argument"] 2)
     '("trefi" ["argument"] 1)
     '("atrefiii" ["argument"] 4)
     '("atrefii" ["argument"] 3)
     '("atrefi" ["argument"] 2)
     '("termref" ["argument"] 1)
     '("inlinedef" ["argument"] 1)
     '("inlineex" ["argument"] 1)
     '("adefiii" ["argument"] 4)
     '("defiii" ["argument"] 3)
     '("adefii" ["argument"] 3)
     '("defii" ["argument"] 2)
     '("adefi" ["argument"] 2)
     '("defi" ["argument"] 1)
     '("notatiendum" ["argument"] 1)
     '("definiendum" ["argument"] 1)
     '("symref" 2)
     '("stDMemph" 1)
     '("defemph" 1)
     '("termemph" 1)
     '("symtype" 2)
     '("STpresent" 1)
     "notemph")
    (TeX-run-style-hooks
     "ntheorem"
     "hyperref"
     "modules"
     "omtext"
     "")))

