(TeX-add-style-hook "stepv13"
 (lambda ()
    (LaTeX-add-index-entries
     "#1"
     "#1 (entity)"
     "#1 (enumeration)"
     "#1 (function)"
     "#1 (procedure)"
     "#1 (rule)"
     "#1 (subtype\\_constraint)"
     "#1 (schema)"
     "#1 (select)"
     "#1 (type)")
    (LaTeX-add-environments
     '("tspec" 1)
     '("sspec" 1)
     '("rspec" 1)
     '("fspec" 1)
     '("espec" 1)
     "specific"
     "dtext"
     "ecode"
     "eicode"
     "excode"
     "expdesc"
     "attrlist"
     "fproplist"
     "iproplist"
     "enumlist"
     "arglist"
     "Introduction"
     "majorsublist")
    (LaTeX-add-labels
     ";ssne"
     ";sior"
     ";seg"
     ";spics"
     ";std"
     ";sex"
     "bibidefo"
     "bibidefix")
    (TeX-add-symbols
     '("STEPcover" 1)
     '("altemail" 1)
     '("altfax" 1)
     '("alttelephone" 1)
     '("altaddress" 1)
     '("altowner" 1)
     '("email" 1)
     '("fax" 1)
     '("telephone" 1)
     '("address" 1)
     '("owner" 1)
     '("comread" 1)
     '("keywords" 1)
     '("abstract" 1)
     '("olddocnumber" 1)
     '("oldwg" 1)
     '("docdate" 1)
     '("docnumber" 1)
     '("wg" 1)
     '("expurls" 2)
     '("schemareg" 6)
     '("docreg" 1)
     '("aschemaidhead" 1)
     '("afunctionhead" 1)
     '("functionhead" 1)
     '("singlefunctionhead" 2)
     '("arulehead" 1)
     '("rulehead" 1)
     '("singlerulehead" 2)
     '("anentityhead" 1)
     '("entityhead" 2)
     '("singleentityhead" 2)
     '("atypehead" 1)
     '("typehead" 1)
     '("singletypehead" 2)
     '("schemaintro" 1)
     '("refdefhead" 1)
     '("stepparttitle" 1)
     '("sptitle" 1)
     '("ixtype" 1)
     '("ixselect" 1)
     '("ixschema" 1)
     '("ixsc" 1)
     '("ixrule" 1)
     '("ixproc" 1)
     '("ixfun" 1)
     '("ixenum" 1)
     '("ixent" 1)
     '("expdesclabel" 1)
     '("mnote" 1)
     '("xword" 1)
     '("nexp" 1)
     '("BG" 1)
     '("E" 1)
     '("B" 1)
     '("ix" 1)
     '("ballotcycle" 1)
     '("doctitle" 1)
     '("series" 1)
     '("partno" 1)
     "st"
     "Express"
     "ExpressG"
     "ExpressI"
     "ExpressX"
     "HASH"
     "LT"
     "LE"
     "NE"
     "INE"
     "GE"
     "GT"
     "CAT"
     "HAT"
     "QUES"
     "BS"
     "IEQ"
     "INEQ"
     "pbre"
     "nopbre"
     "ehe"
     "scivm"
     "stepc"
     "thisp"
     "Foreword"
     "steptrid"
     "fwdshortlist"
     "majorsubname"
     "partidefhead"
     "otherdefhead"
     "introsubhead"
     "fcandasubhead"
     "shortnamehead"
     "objreghead"
     "docidhead"
     "schemaidhead"
     "expresshead"
     "listingshead"
     "expressghead"
     "picshead"
     "techdischead"
     "exampleshead"
     "expressgdef"
     "maptableorspec"
     "shortnames"
     "nrefasni"
     "nrefparti"
     "nrefpartxi"
     "nrefpartxii"
     "nrefpartxxi"
     "nrefpartxxii"
     "nrefpartxxxi"
     "nrefpartxxxii"
     "nrefpartxli"
     "nrefpartxlia"
     "nrefpartxlii"
     "nrefpartxliia"
     "nrefpartxliii"
     "nrefpartxliiia"
     "bibidefo"
     "brefidefo"
     "bibidefix"
     "bibieeeidefix"
     "brefidefix"
     "drawcoversheet"
     "undef"
     "draftctr"
     "stepemptystring"
     "makelabel"
     "schemahead"
     "wg"
     "docnumber"
     "oldwg"
     "olddocnumber"
     "abstract"
     "keywords"
     "comread"
     "owner"
     "address"
     "telephone"
     "fax"
     "email"
     "altowner"
     "altaddress"
     "alttelephone"
     "altfax"
     "altemail")
    (TeX-run-style-hooks
     "stppdlst"
     "bpfs1"
     "bpfir1"
     "bpfir2"
     "bpfir3"
     "bpfs2"
     "bpfs3")))

