(TeX-add-style-hook "texpower"
 (lambda ()
    (LaTeX-add-environments
     "equation"
     "eqnarray"
     "presentbox"
     "stepcapsule"
     "fragilesteps")
    (TeX-add-symbols
     '("fullscreenbutton" ["argument"] 0)
     '("nextfullpagebutton" ["argument"] 0)
     '("nextpagebutton" ["argument"] 0)
     '("nextstepbutton" ["argument"] 0)
     '("gobackbutton" ["argument"] 0)
     '("backstepbutton" ["argument"] 0)
     '("backpagebutton" ["argument"] 0)
     '("button" ["argument"] 0)
     '("vpagecolor" ["argument"] 1)
     '("hpagecolor" ["argument"] 1)
     '("backgroundstyle" ["argument"] 1)
     '("dblhgradbox" ["argument"] 0)
     '("dblvgradbox" ["argument"] 0)
     '("hgradbox" ["argument"] 0)
     '("vgradbox" ["argument"] 0)
     '("dgradrule" ["argument"] 0)
     '("clipbox" ["argument"] 1)
     '("dblhgradrule" ["argument"] 0)
     '("hgradrule" ["argument"] 0)
     '("dblvgradrule" ["argument"] 0)
     '("vgradrule" ["argument"] 0)
     '("present" ["argument"] 1)
     '("commandapp" ["argument"] 2)
     '("vanishcolors" ["argument"] 0)
     '("enhancecolors" ["argument"] 0)
     '("enhancecolor" ["argument"] 1)
     '("dimcolors" ["argument"] 0)
     '("dimcolor" ["argument"] 1)
     '("defineTPcolor" ["argument"] 3)
     '("colorbetween" ["argument"] 3)
     '("releasecounter" 1)
     '("afterstep" 1)
     '("highlightenhanced" 1)
     '("hidevanish" 1)
     '("hidedimmed" 1)
     '("hidesmartignore" 1)
     '("hideignore" 1)
     '("hidephantom" 1)
     '("pausesafecounter" 1)
     '("AtShipout" 1)
     '("pageDuration" 1)
     '("pageTransitionGlitter" 1)
     '("pageTransitionWipe" 1)
     '("pagetransition" 1)
     '("restorepanels" 1)
     '("carg" 1)
     '("macroname" 1)
     '("code" 1)
     '("origmath" 1)
     '("dumpcolorset" 1)
     '("usecolorset" 1)
     '("addTPcolor" 1)
     '("complementcolor" 2)
     '("mkfactor" 2)
     "oldfilteringon"
     "oldfilteringoff"
     "TPpagewidth"
     "TPpageheight"
     "interpolate"
     "processcolor"
     "complement"
     "replacecolor"
     "undefinecolor"
     "ifcolorexists"
     "colors"
     "removecolor"
     "replacecolors"
     "registervariant"
     "register"
     "currentvariant"
     "ifnormalvariant"
     "nonnormalwarnings"
     "dimlevel"
     "enhancelevel"
     "replacecolorsbyone"
     "vanishcolor"
     "whitebackground"
     "lightbackground"
     "darkbackground"
     "blackbackground"
     "em"
     "codeswitch"
     "underl"
     "concept"
     "inactive"
     "monochromeinactive"
     "mkpbox"
     "rulestripes"
     "stripeoverlap"
     "rulefirstgradprogression"
     "rulesecondgradprogression"
     "rulegradmidpoint"
     "firstgradprogression"
     "secondgradprogression"
     "gradmidpoint"
     "mkgradfirstfactor"
     "mkgradsecondfactor"
     "mkgradfactor"
     "vgradrule"
     "hstripe"
     "dblvgradrule"
     "hgradrule"
     "vstripe"
     "dblhgradrule"
     "dgradslope"
     "dgradrule"
     "dstripewd"
     "vgradbox"
     "hgradbox"
     "dblvgradbox"
     "dblhgradbox"
     "bgndstripes"
     "bgndgradmidpoint"
     "bgndfirstgradprogression"
     "bgndsecondgradprogression"
     "bgndtoppanelheight"
     "bgndbottompanelheight"
     "bgndleftpanelwidth"
     "bgndrightpanelwidth"
     "bgndtoppanelwidth"
     "bgndbottompanelwidth"
     "bgndleftpanelheight"
     "bgndrightpanelheight"
     "mkpanels"
     "initpanels"
     "phantomrule"
     "setnonebgnd"
     "setplainbgnd"
     "setvgradientbgnd"
     "sethgradientbgnd"
     "setdoublevgradientbgnd"
     "setdoublehgradientbgnd"
     "toppanelcontents"
     "bottompanelcontents"
     "leftpanelcontents"
     "rightpanelcontents"
     "DeclarePanel"
     "declarepanel"
     "storetoppanel"
     "storebottompanel"
     "storeleftpanel"
     "storerightpanel"
     "auto"
     "calctopdimen"
     "calcbottomdimen"
     "calcleftdimen"
     "calcrightdimen"
     "panel"
     "calcvdimen"
     "calchdimen"
     "optwidthsteps"
     "optwidthlinetolerance"
     "optwidth"
     "calcmaxbadness"
     "measureboxes"
     "mk"
     "panelalignment"
     "buttonsep"
     "buttonrule"
     "buttonshadowhshift"
     "buttonshadowvshift"
     "button"
     "buttonsymbolsize"
     "buttonleftarrowsymbol"
     "buttonrightarrowsymbol"
     "buttonbackarrowsymbol"
     "stdbuttonwidth"
     "currentpagevalue"
     "pageTransitionSplitHO"
     "pageTransitionSplitHI"
     "pageTransitionSplitVO"
     "pageTransitionSplitVI"
     "pageTransitionBlindsH"
     "pageTransitionBlindsV"
     "pageTransitionBoxO"
     "pageTransitionBoxI"
     "pageTransitionDissolve"
     "pageTransitionReplace"
     "infinitepageduration"
     "stopAdvancing"
     "shipoutinit"
     "at"
     "dont"
     "insert"
     "clearcolorcorrections"
     "TPeject"
     "filterwhatsits"
     "insertfilterwhatsits"
     "insertfirstduplicate"
     "insertsecondduplicate"
     "outputduplicate"
     "pause"
     "displayboxed"
     "math"
     "commitcolor"
     "boxedsteps"
     "nonboxedsteps"
     "highlightboxed"
     "pickup"
     "f"
     "deactivate"
     "activate"
     "proper"
     "if"
     "commitcolors"
     "normalstep"
     "laststep"
     "stepwise"
     "list"
     "liststepwise"
     "parstepwise"
     "count"
     "disable"
     "mklength"
     "definecolor"
     "textnormal"
     "text"
     "addTPcolor"
     "usecolorset"
     "dumpcolorset"
     "hss"
     "unhbox"
     "textsuperscript"
     "origmath"
     "setdgradslope"
     "leftpanelheight"
     "leftpanelraise"
     "leftpanelwidth"
     "rightpanelheight"
     "rightpanelraise"
     "rightpanelwidth"
     "toppanelwidth"
     "toppanelshift"
     "toppanelheight"
     "bottompanelwidth"
     "bottompanelshift"
     "bottompanelheight"
     "hyperlink"
     "Acrobatmenu"
     "pagetransition"
     "pageDuration"
     "shipout"
     "displayidentical"
     "hidetext"
     "hidedimmed"
     "hidevanish"
     "displaystepcontents"
     "hidestepcontents"
     "activatestep"
     "rlap"
     "highlighttext"
     "highlightenhanced"
     "afterstep"
     "restep"
     "rebstep"
     "redstep"
     "revstep"
     "steponce"
     "multistep"
     "movie"
     "overlays"
     "reswitch"
     "mathchoice"
     "step"
     "bstep"
     "dstep"
     "vstep"
     "switch")
    (TeX-run-style-hooks
     "color"
     "ifpdf"
     "keyval"
     "calc"
     "ifthen"
     ""
     "tpcolors")))

