(TeX-add-style-hook "texshade"
 (lambda ()
    (LaTeX-add-environments
     "rotopo")
    (TeX-add-symbols
     '("exportconsensus" ["argument"] 1)
     '("backtranstext" ["argument"] 1)
     '("backtranslabel" ["argument"] 1)
     '("includePHDtopo" ["argument"] 2)
     '("includePHDsec" ["argument"] 2)
     '("includeSTRIDE" ["argument"] 2)
     '("includeHMMTOP" ["argument"] 2)
     '("includeDSSP" ["argument"] 2)
     '("charge" ["argument"] 1)
     '("showruler" ["argument"] 2)
     '("namesubfamilylogo" ["argument"] 1)
     '("showconsensus" ["argument"] 1)
     '("showsequencelogo" ["argument"] 1)
     '("showrelevance" ["argument"] 1)
     '("showsubfamilylogo" ["argument"] 1)
     '("findsubfamily" ["argument"] 1)
     '("shownegatives" ["argument"] 0)
     '("showlogoscale" ["argument"] 1)
     '("clearlogocolors" ["argument"] 0)
     '("shownames" ["argument"] 1)
     '("shownumbering" ["argument"] 1)
     '("startnumber" ["argument"] 2)
     '("setends" ["argument"] 2)
     '("allmatchspecial" ["argument"] 0)
     '("shadingmode" ["argument"] 1)
     '("threshold" ["argument"] 1)
     '("showcaption" ["argument"] 1)
     "helixhook"
     "loopcount"
     "innerloopcount"
     "outerloopcount"
     "blacktriangleright"
     "blacktriangleleft"
     "yes"
     "gappenalty"
     "weighttable"
     "setweight"
     "shadeallresidues"
     "numcount"
     "Alphacount"
     "alphacount"
     "romancount"
     "Romancount"
     "clearfuncgroups"
     "germanlanguage"
     "spanishlanguage"
     "englishlanguage"
     "showlegend"
     "hidelegend"
     "movelegend"
     "shortcaption"
     "funcgroup"
     "pepgroups"
     "DNAgroups"
     "pepsims"
     "DNAsims"
     "fingerprint"
     "printPDBlist"
     "messagePDBlist"
     "shaderegion"
     "shadeblock"
     "tintregion"
     "tintblock"
     "tintdefault"
     "lowerregion"
     "lowerblock"
     "emphregion"
     "emphblock"
     "emphdefault"
     "frameblock"
     "changeshadingcolors"
     "bargraphstretch"
     "colorscalestretch"
     "feature"
     "showfeaturename"
     "showfeaturestylename"
     "hidefeaturename"
     "hidefeaturenames"
     "hidefeaturestylename"
     "hidefeaturestylenames"
     "seqtype"
     "nameseq"
     "constosingleseq"
     "constoallseqs"
     "residuesperline"
     "numberingwidth"
     "charstretch"
     "linestretch"
     "logostretch"
     "noblockskip"
     "smallblockskip"
     "medblockskip"
     "bigblockskip"
     "vblockspace"
     "topspace"
     "ttopspace"
     "tttopspace"
     "ttttopspace"
     "bottomspace"
     "bbottomspace"
     "bbbottomspace"
     "bbbbottomspace"
     "rulerspace"
     "fixblockspace"
     "flexblockspace"
     "nosepline"
     "smallsepline"
     "medsepline"
     "bigsepline"
     "vsepspace"
     "separationline"
     "hideallmatchpositions"
     "showallmatchpositions"
     "allmatchspecialoff"
     "stopchar"
     "gapchar"
     "gaprule"
     "domaingaprule"
     "seqlength"
     "hidenumbering"
     "hidenumber"
     "hidenames"
     "hidename"
     "hideresidues"
     "showresidues"
     "alignment"
     "donotshade"
     "hideseqs"
     "showseqs"
     "hideseq"
     "killseq"
     "hidesequencelogo"
     "hidesubfamilylogo"
     "logocolor"
     "dofrequencycorrection"
     "undofrequencycorrection"
     "hidelogoscale"
     "hidenegatives"
     "setsubfamily"
     "subfamilythreshold"
     "relevance"
     "hiderelevance"
     "consensuscolors"
     "ConsTextNomatch"
     "ConsNomatch"
     "ConsTextMatch"
     "ConsMatch"
     "ConsTextAllmatch"
     "ConsAllmatch"
     "defconsensus"
     "hideconsensus"
     "nameconsensus"
     "namesequencelogo"
     "hideleadinggaps"
     "showleadinggaps"
     "hideruler"
     "allowzero"
     "disallowzero"
     "rulersteps"
     "rotateruler"
     "unrotateruler"
     "namerulerpos"
     "featurerule"
     "orderseqs"
     "setfamily"
     "setseries"
     "setshape"
     "setsize"
     "setfont"
     "featurenamesrm"
     "featurenamessf"
     "featurenamestt"
     "featurenamesmd"
     "featurenamesbf"
     "featurenamesup"
     "featurenamesit"
     "featurenamessl"
     "featurenamessc"
     "featurenamestiny"
     "featurenamesscriptsize"
     "featurenamesfootnotesize"
     "featurenamessmall"
     "featurenamesnormalsize"
     "featurenameslarge"
     "featurenamesLarge"
     "featurenamesLARGE"
     "featurenameshuge"
     "featurenamesHuge"
     "featurestylenamesrm"
     "featurestylenamessf"
     "featurestylenamestt"
     "featurestylenamesmd"
     "featurestylenamesbf"
     "featurestylenamesup"
     "featurestylenamesit"
     "featurestylenamessl"
     "featurestylenamessc"
     "featurestylenamestiny"
     "featurestylenamesscriptsize"
     "featurestylenamesfootnotesize"
     "featurestylenamessmall"
     "featurestylenamesnormalsize"
     "featurestylenameslarge"
     "featurestylenamesLarge"
     "featurestylenamesLARGE"
     "featurestylenameshuge"
     "featurestylenamesHuge"
     "featuresrm"
     "featuressf"
     "featurestt"
     "featuresmd"
     "featuresbf"
     "featuresup"
     "featuresit"
     "featuressl"
     "featuressc"
     "featurestiny"
     "featuresscriptsize"
     "featuresfootnotesize"
     "featuressmall"
     "featuresnormalsize"
     "featureslarge"
     "featuresLarge"
     "featuresLARGE"
     "featureshuge"
     "featuresHuge"
     "featurestylesrm"
     "featurestylessf"
     "featurestylestt"
     "featurestylesmd"
     "featurestylesbf"
     "featurestylesup"
     "featurestylesit"
     "featurestylessl"
     "featurestylessc"
     "featurestylestiny"
     "featurestylesscriptsize"
     "featurestylesfootnotesize"
     "featurestylessmall"
     "featurestylesnormalsize"
     "featurestyleslarge"
     "featurestylesLarge"
     "featurestylesLARGE"
     "featurestyleshuge"
     "featurestylesHuge"
     "numberingrm"
     "numberingsf"
     "numberingtt"
     "numberingmd"
     "numberingbf"
     "numberingup"
     "numberingit"
     "numberingsl"
     "numberingsc"
     "numberingtiny"
     "numberingscriptsize"
     "numberingfootnotesize"
     "numberingsmall"
     "numberingnormalsize"
     "numberinglarge"
     "numberingLarge"
     "numberingLARGE"
     "numberinghuge"
     "numberingHuge"
     "namesrm"
     "namessf"
     "namestt"
     "namesmd"
     "namesbf"
     "namesup"
     "namesit"
     "namessl"
     "namessc"
     "namestiny"
     "namesscriptsize"
     "namesfootnotesize"
     "namessmall"
     "namesnormalsize"
     "nameslarge"
     "namesLarge"
     "namesLARGE"
     "nameshuge"
     "namesHuge"
     "residuesrm"
     "residuessf"
     "residuestt"
     "residuesmd"
     "residuesbf"
     "residuesup"
     "residuesit"
     "residuessl"
     "residuessc"
     "residuestiny"
     "residuesscriptsize"
     "residuesfootnotesize"
     "residuessmall"
     "residuesnormalsize"
     "residueslarge"
     "residuesLarge"
     "residuesLARGE"
     "residueshuge"
     "residuesHuge"
     "legendrm"
     "legendsf"
     "legendtt"
     "legendmd"
     "legendbf"
     "legendup"
     "legendit"
     "legendsl"
     "legendsc"
     "legendtiny"
     "legendscriptsize"
     "legendfootnotesize"
     "legendsmall"
     "legendnormalsize"
     "legendlarge"
     "legendLarge"
     "legendLARGE"
     "legendhuge"
     "legendHuge"
     "rulerrm"
     "rulersf"
     "rulertt"
     "rulertiny"
     "rulerscriptsize"
     "rulerfootnotesize"
     "rulersmall"
     "rulernormalsize"
     "rulerlarge"
     "rulerLarge"
     "rulerLARGE"
     "rulerhuge"
     "rulerHuge"
     "funcshadingstyle"
     "defshadingcolors"
     "shadingcolors"
     "nomatchresidues"
     "TextNomatch"
     "similarresidues"
     "TextSimilar"
     "conservedresidues"
     "TextIdentical"
     "allmatchresidues"
     "TextAllmatch"
     "gapcolors"
     "domaingapcolors"
     "shadebox"
     "featurenamescolor"
     "featurestylenamescolor"
     "featurenamecolor"
     "featurestylenamecolor"
     "namescolor"
     "namecolor"
     "numberingcolor"
     "numbercolor"
     "legendcolor"
     "rulercolor"
     "molweight"
     "TeXshade"
     "includeTCoffee"
     "firstcolumnDSSP"
     "secondcolumnDSSP"
     "appearance"
     "showonDSSP"
     "hideonDSSP"
     "showonSTRIDE"
     "hideonSTRIDE"
     "showonPHDtopo"
     "hideonPHDtopo"
     "showonPHDsec"
     "hideonPHDsec"
     "showonHMMTOP"
     "hideonHMMTOP"
     "codon"
     "geneticcode"
     "setdomain"
     "percentsimilarity"
     "percentidentity"
     "similaritytable"
     "identitytable"
     "savedseqlength"
     "readalignfile"
     "alignfilename"
     "standarddefinitions")
    (TeX-run-style-hooks
     "amssymb"
     "graphics"
     "color"
     ""
     "simtable")))

