(TeX-add-style-hook "tikz-timing"
 (lambda ()
    (LaTeX-add-environments
     "background"
     "extracode"
     "tikztimingtable")
    (TeX-add-symbols
     '("usetikztiminglibrary" ["argument"] 1)
     '("texttiming" ["argument"] 1)
     "tikztiming"
     "tikztimingsetwscale"
     "timingwidth"
     "timingheight"
     "fsize"
     "texttimingbefore"
     "texttimingafter"
     "texttiminggrid"
     "setwscale"
     "wscale"
     "xunit"
     "yunit"
     "lslope"
     "timing"
     "charc"
     "charb"
     "tikztimingmetachar"
     "abc"
     "tablegrid"
     "fulltablegrid"
     "horlines"
     "vertlines"
     "marknodes"
     "tablerules"
     "tableheader"
     "rowdist"
     "coldist"
     "nrows"
     "twidth"
     "list"
     "draw"
     "path"
     "p"
     "x"
     "y"
     "n"
     "width"
     "fwidth"
     "height"
     "slope"
     "zslope"
     "dslope"
     "gslope"
     "style"
     "bgstyle"
     "nstyle"
     "newdraw"
     "newdrawns"
     "code"
     "tikztimingsetslope"
     "tikztimingsetdslope"
     "tikztimingsetzslope"
     "tikztiminguse"
     "tikztimingdef"
     "tikztimingcpy"
     "tikztiminglet"
     "tikztimingchar"
     "tikztimingecopy"
     "tikztimingwidth")
    (TeX-run-style-hooks
     "amsmath"
     "environ"
     "tikz"
     "svn-prov"
     "")))

