(TeX-add-style-hook "ydoc-desc"
 (lambda ()
    (LaTeX-add-environments
     "DescribeEnv"
     "DescribeMacrosTab"
     "DescribeKeys"
     "DescribeMacros"
     "codequote"
     "macroquote")
    (TeX-add-symbols
     '("codeline" ["argument"] 0)
     '("DescribeEnv" ["argument"] 1)
     '("DeleteShortMacroArgs" 1)
     '("filestyle" 1)
     '("optstyle" 1)
     '("envstyle" 1)
     '("libstyle" 1)
     '("clsstyle" 1)
     '("pkgstyle" 1)
     "descindent"
     "beforedescskip"
     "afterdescskip"
     "descsep"
     "AlsoMacro"
     "MakeShortMacroArgs"
     "MacroArgs"
     "Describe"
     "codelinebefore"
     "codelineafter"
     "Needspace"
     "macrodescstyle"
     "keydescstyle"
     "macroargsstyle"
     "envcodestyle"
     "verbstyle"
     "metastyle"
     "margstyle"
     "Optional"
     "optionalstyle"
     "optionalon"
     "optionaloff"
     "optional"
     "oargstyle"
     "pargstyle"
     "aargstyle"
     "sargstyle"
     "handler"
     "DescribeMacro"
     "DescribeScript"
     "DescribeKey"
     "Macro"
     "Key"
     "PrintKeys"
     "DescribeMacrosTabcolsep"
     "DescribeLength"
     "PrintMacroName"
     "PrintKeyName"
     "PrintLengthName"
     "PrintEnvName"
     "PrintMacros"
     "descframe"
     "PrintLength"
     "PrintEnv"
     "PrintSubEnv"
     "xspace")
    (TeX-run-style-hooks
     "xspace"
     "hyperref"
     "xcolor"
     "etoolbox"
     "shortvrb"
     "needspace"
     "")))

