(TeX-add-style-hook "achemso"
 (lambda ()
    (LaTeX-add-environments
     "abstract"
     "acknowledgement"
     "suppinfo"
     "tocentry")
    (TeX-add-symbols
     '("alsoaffiliation" ["argument"] 1)
     '("affiliation" ["argument"] 1)
     '("bibnotetext" ["argument"] 0)
     '("bibnotemark" ["argument"] 0)
     '("bibnote" ["argument"] 0)
     '("keywords" 1)
     '("abbreviations" 1)
     '("phone" 1)
     '("fax" 1)
     '("email" 1)
     '("altaffiliation" 1)
     "acs"
     "printbibnotes"
     "affilsize"
     "authorsize"
     "emailsize"
     "titlesize"
     "affilfont"
     "authorfont"
     "emailfont"
     "titlefont"
     "ps"
     "schemename"
     "chartname"
     "graphname"
     "SectionNumbersOff"
     "SectionNumbersOn"
     "SectionsOff"
     "SectionsOn"
     "acknowledgementname"
     "suppinfoname"
     "AbstractOff"
     "AbstractOn"
     "tocentryname"
     "tocsize"
     "acksize"
     "suppsize"
     "bibnumfmt"
     "thebibnote"
     "bibliography"
     "author"
     "and"
     "thanks"
     "footnote"
     "UrlFont"
     "plainref"
     "section"
     "subsection"
     "subsubsection"
     "bibsection"
     "end"
     "refname"
     "normalsize"
     "thepage"
     "citenumfont"
     "bibliographystyle")
    (TeX-run-style-hooks
     "mciteplus"
     "natmove"
     "round"
     "natbib"
     "super"
     "numbers"
     "sort&compress"
     "fontenc"
     "T1"
     "courier"
     "xkeyval"
     ""
     "art12"
     "article"
     "letter"
     "12pt"
     "jacsat")))

