(TeX-add-style-hook "beamerbasecompatibility"
 (lambda ()
    (LaTeX-add-environments
     "pauses"
     "columnsonlytextwidth")
    (TeX-add-symbols
     '("beamertemplategridbackground" ["argument"] 0)
     '("beamertemplatesidebarhorizontalshading" ["argument"] 2)
     '("beamertemplatesidebarverticalshading" ["argument"] 2)
     '("beamertemplatesidebarcolor" ["argument"] 1)
     '("usesidebartemplate" ["argument"] 2)
     '("usesidebarbackgroundtemplate" ["argument"] 1)
     '("defverbatim" ["argument"] 1)
     '("usestructuretemplate" 2)
     '("usealerttemplate" 2)
     '("beamertemplateshadingbackground" 2)
     '("ExampleInline" 1)
     '("BeispielInline" 1)
     '("useprooftemplate" 2)
     '("usetheoremtemplate" 2)
     '("usebibliographyblocktemplate" 4)
     "hyper"
     "org"
     "textlatin"
     "theparagraph"
     "thesubparagraph"
     "listoffigures"
     "listoftables"
     "l"
     "ext"
     "nameslide"
     "beamertemplatebookbibitems"
     "beamertemplatearticlebibitems"
     "beamertemplatetextbibitems"
     "beamertemplatearrowbibitems"
     "beamertemplateonlinebibitems"
     "hyperlink"
     "itemize"
     "list"
     "WriteBookmarks"
     "phantomsection"
     "defverb"
     "tableofcontentscurrent"
     "plainframe"
     "pgfonly"
     "newoverlaycommand"
     "newoverlayenvironment"
     "untitledsubsection"
     "noteitems"
     "unpause"
     "tinyline"
     "tinycolouredline"
     "colouredline"
     "beamerline"
     "insertvrule"
     "usetitlepagetemplate"
     "usepartpagetemplate"
     "useframetitletemplate"
     "useitemizeitemtemplate"
     "usesubitemizeitemtemplate"
     "usesubsubitemizeitemtemplate"
     "useenumerateitemtemplate"
     "usesubenumerateitemtemplate"
     "usesubsubenumerateitemtemplate"
     "useitemizetemplate"
     "usesubitemizetemplate"
     "usesubsubitemizetemplate"
     "useenumerateitemminitemplate"
     "useenumeratetemplate"
     "usesubenumeratetemplate"
     "usesubsubenumeratetemplate"
     "useleftsidebartemplate"
     "userightsidebartemplate"
     "useleftsidebarbackgroundtemplate"
     "userightsidebarbackgroundtemplate"
     "useleftsidebarcolortemplate"
     "userightsidebarcolortemplate"
     "useleftsidebarverticalshadingtemplate"
     "userightsidebarverticalshadingtemplate"
     "useleftsidebarhorizontalshadingtemplate"
     "userightsidebarhorizontalshadingtemplate"
     "usedescriptionitemtemplate"
     "usedescriptionitemofwidthas"
     "usetemplatetocsection"
     "usetemplatetocsubsection"
     "usebibitemtemplate"
     "usebuttontemplate"
     "usetemplateabstract"
     "usetemplateverse"
     "usetemplatenote"
     "useheadtemplate"
     "addtoheadtemplate"
     "addtofoottemplate"
     "usefoottemplate"
     "usecaptiontemplate"
     "insertblockname"
     "usesectionheadtemplate"
     "usesubsectionheadtemplate"
     "usesectionsidetemplate"
     "usesubsectionsidetemplate"
     "useqedsymboltemplate"
     "usenavigationsymbolstemplate"
     "insertnavigationsymbols"
     "beamersetaveragebackground"
     "useminislidetemplate"
     "usefootnotetemplate"
     "beamertemplatedefaulttoc"
     "beamertemplatenumberedsubsectiontoc"
     "beamertemplatenumberedsectiontoc"
     "beamertemplatenumberedcirclesectiontoc"
     "beamertemplatenumberedsquaresectiontoc"
     "beamertemplatenumberedballsectiontoc"
     "beamertemplateballtoc"
     "beamertemplatedotitem"
     "beamertemplatetriangleitem"
     "beamertemplatesquareitem"
     "beamertemplateballitem"
     "beamertemplateenumeratealpha"
     "beamertemplateenumeratecircle"
     "beamertemplateenumeratesquare"
     "beamertemplatelargepartpage"
     "beamertemplateboldpartpage"
     "beamertemplatelargetitlepage"
     "beamertemplateboldtitlepage"
     "beamertemplateboldcenterframetitle"
     "beamertemplateboldframetitle"
     "beamertemplatelargeframetitle"
     "beamertemplateboldblocks"
     "beamertemplatelargeblocks"
     "beamertemplateshadowblocks"
     "beamertemplateplaintoc"
     "beamertemplatecircleminiframeinverted"
     "beamertemplatesphereminiframe"
     "beamertemplatesphereminiframeinverted"
     "beamertemplatelightsectionheads"
     "beamertemplatedarksectionheads"
     "usecontinuationtemplate"
     "beamertemplatecontinuationroman"
     "beamertemplatecontinuationtext"
     "beamertemplateroundedbuttons"
     "beamertemplateoutlinebuttons"
     "beamertemplatesolidbuttons"
     "usetemplatequotation"
     "beamertemplateheadempty"
     "beamertemplatefootempty"
     "beamertemplatefootpagenumber"
     "beamertemplatecaptionownline"
     "beamertemplatecaptionnwithnumber"
     "beamertemplateroundedblocks"
     "beamertemplatetheoremsunnumbered"
     "beamertemplatetheoremsnumbered"
     "beamertemplatetheoremsamslike"
     "beamertemplatetheoremssimple"
     "beamertemplatenavigationsymbolsempty"
     "beamertemplatenavigationsymbolsframe"
     "beamertemplatenavigationsymbolsvertical"
     "beamertemplatenavigationsymbolshorizontal"
     "beamertemplatedefaultsectionheads"
     "beamertemplatecircleminiframe"
     "beamertemplateticksminiframe"
     "beamertemplateboxminiframe"
     "beamertemplaterightsidebarlogonavigation"
     "insertdescriptionitem"
     "beamersetleftmargin"
     "beamersetrightmargin"
     "useframetemplate"
     "usebackgroundtemplate"
     "beamertemplatesolidbackgroundcolor"
     "useblocktemplate"
     "usealertblocktemplate"
     "useexampleblocktemplate"
     "beamertemplatetransparentcovereddynamic"
     "beamertemplatetransparentcovereddynamicmedium"
     "beamertemplatetransparentcovered"
     "beamertemplatetransparentcoveredmedium"
     "beamertemplatetransparentcoveredhigh"
     "beamertemplatetransparentcoveredhighest"
     "beamersetuncovermixins")))

