(TeX-add-style-hook "blog"
 (lambda ()
    (LaTeX-add-environments
     '("BigTableCell" 2)
     '("bigtablecell" 1)
     '("tablerow" 1)
     '("tablecoloredboldrow" 2)
     '("tablecoloredrow" 2)
     '("TableRow" 2)
     '("allrulestable" 2)
     '("enumtype" 1)
     '("commentlines" 1)
     '("style" 1)
     "stdallrulestable")
    (TeX-add-symbols
     "endline"
     "endcell"
     "endTd"
     "endtr"
     "endTable"
     "endqtd"
     '("BlogProcessFile" ["argument"] 1)
     '("HVspace" 3)
     '("fillrowcolor" 2)
     '("fillrow" 1)
     '("FillRow" 2)
     '("startTd" 1)
     '("tablewidthcell" 1)
     '("colorwidthcell" 2)
     '("TableCell" 2)
     '("startTable" 1)
     '("metavar" 1)
     '("texcs" 1)
     '("unicodehexentity" 1)
     '("unicodeentity" 1)
     '("htmlentity" 1)
     '("angled" 1)
     '("sfrac" 2)
     '("squoted" 1)
     '("lig" 1)
     '("declareHTMLsymbol" 1)
     '("hnewref" 2)
     '("itfileancref" 3)
     '("fileancref" 2)
     '("itfileref" 2)
     '("fileref" 1)
     '("emancref" 2)
     '("itancref" 2)
     '("ithref" 2)
     '("autref" 1)
     '("ancref" 1)
     '("autanc" 1)
     '("href" 1)
     '("hancref" 2)
     '("hanc" 1)
     '("ditem" 1)
     '("newabbr" 1)
     '("newacronym" 1)
     '("heading" 1)
     '("textcolor" 1)
     '("rightitpar" 1)
     '("stylespan" 1)
     '("comment" 1)
     '("stylesheet" 2)
     '("metanamelangcontent" 3)
     '("metanamecontent" 2)
     '("charset" 1)
     '("MetaTag" 1)
     '("xmlentitycode" 1)
     '("xmleltattrcode" 3)
     '("xmleltcode" 2)
     '("xmltagcode" 1)
     '("declareHTMLattrib" 1)
     '("TagSurr" 3)
     '("SimpleTagSurr" 2)
     '("ParseLigs" 1)
     '("newlet" 2)
     "htmakeext"
     "CLBrk"
     "BlogCodes"
     "BlogProcessFinalFile"
     "ProvideBlogExec"
     "BlogCopyLines"
     "NoBlogLigs"
     "BlogCopyFile"
     "UseBlogLigs"
     "BlogAutoPars"
     "noBlogAutoPars"
     "head"
     "metadescription"
     "keywords"
     "robots"
     "norobots"
     "langdescription"
     "langkeywords"
     "body"
     "topofpage"
     "finish"
     "rightpar"
     "code"
     "strong"
     "var"
     "acronym"
     "abbr"
     "useHTMLelement"
     "htext"
     "httpref"
     "httpsref"
     "declareHTMLsymbols"
     "renderHTMLsymbol"
     "crarrow"
     "emdash"
     "figurespace"
     "urlapostr"
     "quoted"
     "spone"
     "sptwo"
     "spthree"
     "spa"
     "spo"
     "degrees"
     "BibTeX"
     "allTeX"
     "LuaTeX"
     "pdfTeX"
     "XeTeX"
     "TeXbook"
     "starttr"
     "simplecell"
     "tablecell"
     "tableCell"
     "StartTd"
     "emptycell"
     "stdcellpadding"
     "stdtableheadcolor"
     "stdtableheadstyle"
     "hvspace"
     "BlogProvidesFile"
     "ProvidesFile"
     "protect"
     "BlogProcessLine"
     "BlogOutputJob"
     "begin"
     "end"
     "enqtd"
     "dedqtd"
     "deqtd"
     "geq"
     "leq"
     "neq"
     "subset"
     "subseteq"
     "cs")
    (TeX-run-style-hooks
     "texlinks"
     "markblog"
     "blogligs"
     "dowith"
     "blogexec"
     "fifinddo"
     "")))

