(TeX-add-style-hook "book"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "description"
     "verse"
     "quotation"
     "quote"
     "titlepage"
     "figure"
     "table"
     "theindex")
    (TeX-add-symbols
     '("descriptionlabel" 1)
     '("chaptermark" 1)
     "frontmatter"
     "mainmatter"
     "backmatter"
     "part"
     "chapter"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "appendix"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "tableofcontents"
     "l"
     "listoffigures"
     "listoftables"
     "bibindent"
     "newblock"
     "subitem"
     "subsubitem"
     "indexspace"
     "contentsname"
     "listfigurename"
     "listtablename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "chaptername"
     "appendixname"
     "chaptermark"
     "sectionmark"
     "footnotesize"
     "footnoterule"
     "thanks"
     "maketitle"
     "title"
     "author"
     "date"
     "and"
     "makelabel"
     "item"
     "today")
    (TeX-run-style-hooks
     "leqno"
     "fleqn")))

