(TeX-add-style-hook "chet"
 (lambda ()
    (LaTeX-add-environments
     "acknowledgments")
    (LaTeX-add-labels
     "#2"
     "#4"
     "#5"
     "#6"
     "#7"
     "#8"
     "#9")
    (TeX-add-symbols
     '("preprint" 1)
     '("affiliation" 1)
     '("emails" 1)
     '("email" 1)
     '("ack" 1)
     '("rcitedraft" 1)
     '("showkeyslabelformat" 1)
     "rcite"
     "draftmode"
     "foot"
     "toc"
     "thefootnote"
     "maketitle")
    (TeX-run-style-hooks
     "hyperref"
     "linktocpage"
     "geometry"
     "bottom=3cm"
     "top=2.5cm"
     "right=2.5cm"
     "left=2.5cm"
     "filecontents"
     "footmisc"
     "bottom"
     "manyfoot"
     "para"
     "collref"
     "color"
     "cite"
     "pifont"
     "tocloft"
     "caption"
     "labelfont=bf"
     "labelsep=colon"
     "amsmath"
     "datetime"
     "showkeys"
     "notcite"
     "notref"
     "xspace"
     "xparse"
     "kvoptions"
     "")))

