(TeX-add-style-hook "codedoc"
 (lambda ()
    (LaTeX-add-index-entries
     "#1@\\texttt{#1} (environment)|cdatDescribeFont"
     "#1@\\texttt{#1} (environment)|cdatDefineFont"
     "#1@\\texttt{\\char\\escapechar\\PrintPrefix\\Prefix#1}|cdatDescribeFont"
     "#1@\\texttt{\\char\\escapechar\\PrintPrefix\\Prefix#1}|cdatDefineFont"
     "#1@\\texttt{\\char\\escapechar#1}|cdatDescribeFont"
     "#1@\\texttt{\\char\\escapechar#1}|cdatDefineFont")
    (TeX-add-symbols
     "AtChar"
     "relax"
     "printindex"
     "StopHere"
     "DocStripMarginpar"
     "PrintMacro"
     "hyperpage"
     "DescribeIndexFont"
     "DescribeMacro"
     "DescribeEnvironment"
     "DefineIndexFont"
     "DefineMacro"
     "DefineEnvironment"
     "IgnorePrefix"
     "Prefix"
     "PrintPrefix"
     "meta"
     "marg"
     "oarg"
     "parg"
     "bslash"
     "texorpdfstring"
     "ShortVerb"
     "UndoShortVerb"
     "ShortCode"
     "UndoShortCode"
     "VerbBreak"
     "UndoVerbBreak"
     "VerbCommand"
     "UndoVerbCommand"
     "CodeEscape"
     "UndoCodeEscape"
     "BoxTolerance"
     "TabSize"
     "Gobble"
     "code"
     "invisible"
     "eTeXOn"
     "eTeXOff"
     "NewExample"
     "RenewExample"
     "CodeFont"
     "LineNumber"
     "CodeInput"
     "CodeOutput"
     "CloseFile"
     "FileSource"
     "ProduceFile"
     "FileName"
     "FileVersion"
     "FileDate"
     "Header"
     "AddBlankLine"
     "StartIgnore"
     "StopIgnore"
     "DangerousEnvironment"
     "normalsize")
    (TeX-run-style-hooks
     "makeidx"
     "")))

