(TeX-add-style-hook "datatool-base"
 (lambda ()
    (LaTeX-add-environments
     '("dtlenvgforint" 1))
    (TeX-add-symbols
     '("DTLiscurrencyunit" 2)
     '("DTLiscurrency" 1)
     '("DTLisreal" 1)
     '("DTLisint" 1)
     '("DTLisnumerical" 1)
     '("DTLisstring" 1)
     '("DTLisFPgteq" 2)
     '("DTLisFPlteq" 2)
     '("DTLisFPeq" 2)
     '("DTLisFPgt" 2)
     '("DTLisFPlt" 2)
     '("DTLisFPopenbetween" 3)
     '("DTLisiopenbetween" 3)
     '("DTLisopenbetween" 3)
     '("DTLisiclosedbetween" 3)
     '("DTLisclosedbetween" 3)
     '("DTLisnumopenbetween" 3)
     '("DTLisnumclosedbetween" 3)
     '("DTLisPrefix" 2)
     '("DTLisSubString" 2)
     '("DTLisieq" 2)
     '("DTLiseq" 2)
     '("DTLisigt" 2)
     '("DTLisgt" 2)
     '("DTLisilt" 2)
     '("DTLislt" 2)
     '("DTLifnumopenbetween" 5)
     '("DTLifnumclosedbetween" 5)
     '("DTLifStartsWith" 4)
     '("DTLifSubString" 4)
     '("DTLifnumeq" 4)
     '("DTLifnumgt" 4)
     '("dtlparsewords" 2)
     '("dtlifcasechargroup" 4)
     '("dtlcomparewords" 3)
     '("dtlicomparewords" 3)
     '("dtlletterindexcompare" 3)
     '("dtlwordindexcompare" 3)
     '("dtlicompare" 3)
     '("dtlcompare" 3)
     '("DTLifnumlt" 4)
     '("DTLifcasedatatype" 5)
     '("DTLifcurrencyunit" 4)
     '("DTLifcurrency" 3)
     '("DTLifstring" 3)
     '("DTLifint" 3)
     '("DTLifreal" 3)
     '("DTLifnumerical" 3)
     '("DTLsubstituteall" 3)
     '("DTLsplitstring" 4)
     '("DTLsubstitute" 3)
     '("DTLifAllLowerCase" 3)
     '("DTLifAllUpperCase" 3)
     '("DTLstoreinitials" 2)
     '("DTLinitials" 1)
     '("DTLgclip" 3)
     '("DTLclip" 2)
     '("DTLgtrunc" 3)
     '("DTLtrunc" 3)
     '("DTLground" 3)
     '("DTLround" 3)
     '("DTLgsdforall" 2)
     '("DTLsdforall" 2)
     '("DTLgvarianceforall" 2)
     '("DTLvarianceforall" 2)
     '("DTLgmeanforall" 2)
     '("DTLmeanforall" 2)
     '("DTLgmaxall" 2)
     '("DTLmaxall" 2)
     '("DTLgmax" 3)
     '("DTLmax" 3)
     '("DTLgminall" 2)
     '("DTLminall" 2)
     '("DTLgmin" 3)
     '("DTLmin" 3)
     '("DTLgsqrt" 2)
     '("DTLsqrt" 2)
     '("DTLgneg" 2)
     '("DTLneg" 2)
     '("DTLgabs" 2)
     '("DTLabs" 2)
     '("DTLgdiv" 3)
     '("DTLdiv" 3)
     '("DTLgmul" 3)
     '("DTLmul" 3)
     '("DTLgsub" 3)
     '("DTLsub" 3)
     '("DTLgaddall" 2)
     '("DTLaddall" 2)
     '("DTLgadd" 3)
     '("DTLadd" 3)
     '("DTLsetdefaultcurrency" 1)
     '("DTLnewcurrencysymbol" 1)
     '("DTLdecimaltocurrency" 2)
     '("DTLdecimaltolocale" 2)
     '("DTLsetnumberchars" 2)
     '("DTLnumitemsinlist" 2)
     '("DTLifinlist" 4)
     '("dtlifintclosedbetween" 5)
     '("dtlifintopenbetween" 5)
     "dtl"
     "toks"
     "DTLafterinitials"
     "DTLbetweeninitials"
     "DTLafterinitialbeforehyphen"
     "DTLinitialhyphen"
     "DTLifstringlt"
     "DTLiflt"
     "DTLifstringgt"
     "DTLifgt"
     "DTLifstringeq"
     "DTLifeq"
     "DTLifstringclosedbetween"
     "DTLifclosedbetween"
     "DTLifstringopenbetween"
     "DTLifopenbetween"
     "noexpand"
     "datatoolpersoncomma"
     "datatoolplacecomma"
     "datatoolsubjectcomma"
     "datatoolparenstart"
     "DTLifFPopenbetween"
     "DTLifFPclosedbetween"
     "DTLisFPclosedbetween"
     "dtlforint"
     "dtlbreak"
     "dtlgforint")
    (TeX-run-style-hooks
     "substr"
     "ifthen"
     "xfor"
     "xkeyval"
     "amsmath"
     "etoolbox"
     "")))

