(TeX-add-style-hook "ecv"
 (lambda ()
    (LaTeX-add-environments)
    (TeX-add-symbols
     '("ecvBreakEntryBlockedSubSection" ["argument"] 2)
     '("ecvBEBSub" ["argument"] 2)
     '("ecvEntryBlockedSubSection" ["argument"] 2)
     '("ecvEBSub" ["argument"] 2)
     '("ecvBreakEntryRaggedSubSection" ["argument"] 2)
     '("ecvBERSub" ["argument"] 2)
     '("ecvEntryRaggedSubSection" ["argument"] 2)
     '("ecvERSub" ["argument"] 2)
     '("ecvBreakSubSection" ["argument"] 1)
     '("ecvBSub" ["argument"] 1)
     '("ecvSubSection" ["argument"] 1)
     '("ecvSub" ["argument"] 1)
     '("ecvBreakSection" ["argument"] 1)
     '("ecvBSec" ["argument"] 1)
     '("ecvSection" ["argument"] 1)
     '("ecvSec" ["argument"] 1)
     '("ecvOnlyValueBlocked" ["argument"] 1)
     '("ecvOVB" ["argument"] 1)
     '("ecvOnlyValueRagged" ["argument"] 1)
     '("ecvOVR" ["argument"] 1)
     '("ecvTagNextValueBlocked" ["argument"] 2)
     '("ecvENB" ["argument"] 2)
     '("ecvTagNextValueRagged" ["argument"] 2)
     '("ecvENR" ["argument"] 2)
     '("ecvTagIntermediateValueBlocked" ["argument"] 2)
     '("ecvEIB" ["argument"] 2)
     '("ecvTagIntermediateValueRagged" ["argument"] 2)
     '("ecvEIR" ["argument"] 2)
     '("ecvTagFirstValueBlocked" ["argument"] 2)
     '("ecvEFB" ["argument"] 2)
     '("ecvTagFirstValueRagged" ["argument"] 2)
     '("ecvEFR" ["argument"] 2)
     '("ecvTagPlainValueBlocked" ["argument"] 2)
     '("ecvEPB" ["argument"] 2)
     '("ecvTagPlainValueRagged" ["argument"] 2)
     '("ecvEPR" ["argument"] 2)
     '("ecvValueBlocked" ["argument"] 1)
     '("ecvVB" ["argument"] 1)
     '("ecvValueRagged" ["argument"] 1)
     '("ecvVR" ["argument"] 1)
     '("ecvTN" ["argument"] 1)
     '("ecvTagIntermediate" ["argument"] 1)
     '("ecvTI" ["argument"] 1)
     '("ecvTagFirst" ["argument"] 1)
     '("ecvTF" ["argument"] 1)
     '("ecvTagPlain" ["argument"] 1)
     '("ecvTP" ["argument"] 1)
     '("ecvBold" ["argument"] 1)
     '("ecvSignature" 2)
     '("ecvSig" 2)
     '("ecvTagNext" 2)
     '("ecvRightBlock" 1)
     '("ecvRight" 1)
     '("ecvLeft" 1)
     '("ecvBulletedFirst" 1)
     '("ecvBulleted" 1)
     '("ecvNewPara" 0)
     '("ecvNewLine" 0)
     '("ecvBreakparagraphs" 0)
     '("ecvBreaksubsections" 0)
     '("ecvBreaksections" 0)
     '("ecvPortrait" 1)
     '("ecvName" 1)
     '("ecvHttp" 1)
     '("ecvHyperEMail" 1)
     '("ecvHyperLink" 1)
     "ecvURL"
     "ecvEMail"
     "ecvNewPage"
     "ecvPageBreak")
    (TeX-run-style-hooks
     "hyperref"
     "url"
     "fontenc"
     "T1"
     "selinput"
     "inputenc"
     "latin9"
     "fancyhdr"
     "xcolor"
     "helvet"
     "paralist"
     "pgf"
     "longtable"
     "dvips"
     "geometry"
     "pdftex"
     "ifthen"
     "ifpdf"
     ""
     "art11"
     "article"
     "11pt"
     "a4paper")))

