(TeX-add-style-hook "exam"
 (lambda ()
    (LaTeX-add-environments
     "MakeFramed"
     "coverpages"
     "questions"
     "parts"
     "subparts"
     "subsubparts"
     "choices"
     "oneparchoices"
     "checkboxes"
     "oneparcheckboxes"
     "EnvUplevel"
     "EnvFullwidth"
     "solution"
     "solutionorbox"
     "solutionorlines"
     "solutionordottedlines"
     "TheSolution"
     "framed"
     "shaded"
     "leftbar")
    (TeX-add-symbols
     "endgradingrange"
     '("answerline" ["argument"] 0)
     '("SolutionEmphasis" 1)
     '("settabletotalbonuspoints" 1)
     '("settabletotalpoints" 1)
     '("makeemptybox" 1)
     '("checkedchar" 1)
     '("checkboxchar" 1)
     '("CorrectChoiceEmphasis" 1)
     '("bonuspointpoints" 2)
     '("pointpoints" 2)
     "adj"
     "extraheadheight"
     "extrafootheight"
     "coverextraheadheight"
     "coverextrafootheight"
     "ps"
     "cover"
     "run"
     "cov"
     "covrun"
     "CheckIfChanged"
     "find"
     "new"
     "horiz"
     "slanted"
     "useslantedhalf"
     "usehorizontalhalf"
     "set"
     "copy"
     "addto"
     "add"
     "prtaux"
     "prt"
     "noqformat"
     "nobonusqformat"
     "thepoints"
     "themarginpoints"
     "first"
     "addquestionobject"
     "questionobject"
     "questionshook"
     "partshook"
     "subpartshook"
     "subsubpartshook"
     "choiceshook"
     "checkboxeshook"
     "questionlabel"
     "partlabel"
     "subpartlabel"
     "subsubpartlabel"
     "point"
     "bonuspoint"
     "points"
     "bonuspoints"
     "marksnotpoints"
     "choicelabel"
     "linefill"
     "solutiontitle"
     "FrameRule"
     "FrameSep"
     "FrameHeightAdjust"
     "addpoints"
     "noaddpoints"
     "extrawidth"
     "firstpageheader"
     "runningheader"
     "header"
     "firstpagefooter"
     "runningfooter"
     "footer"
     "lhead"
     "chead"
     "rhead"
     "lfoot"
     "cfoot"
     "rfoot"
     "coverfirstpageheader"
     "coverrunningheader"
     "coverheader"
     "coverfirstpagefooter"
     "coverrunningfooter"
     "coverfooter"
     "coverlhead"
     "coverchead"
     "coverrhead"
     "coverlfoot"
     "covercfoot"
     "coverrfoot"
     "firstpageheadrule"
     "nofirstpageheadrule"
     "runningheadrule"
     "norunningheadrule"
     "headrule"
     "noheadrule"
     "firstpagefootrule"
     "nofirstpagefootrule"
     "runningfootrule"
     "norunningfootrule"
     "footrule"
     "nofootrule"
     "coverfirstpageheadrule"
     "nocoverfirstpageheadrule"
     "coverrunningheadrule"
     "nocoverrunningheadrule"
     "coverheadrule"
     "nocoverheadrule"
     "coverfirstpagefootrule"
     "nocoverfirstpagefootrule"
     "coverrunningfootrule"
     "nocoverrunningfootrule"
     "coverfootrule"
     "nocoverfootrule"
     "numpages"
     "numcoverpages"
     "totalnumpages"
     "numpoints"
     "numbonuspoints"
     "numquestions"
     "numparts"
     "numsubparts"
     "numsubsubparts"
     "pointsofquestion"
     "bonuspointsofquestion"
     "pointsonpage"
     "bonuspointsonpage"
     "iflastpage"
     "oddeven"
     "PgInfo"
     "ifcontinuation"
     "nomorequestions"
     "ContinuedQuestion"
     "IncompleteQuestion"
     "ifincomplete"
     "greeknum"
     "qformat"
     "bonusqformat"
     "titledquestion"
     "bonustitledquestion"
     "question"
     "bonusquestion"
     "thequestiontitle"
     "subpart"
     "bonussubpart"
     "subsubpart"
     "bonussubsubpart"
     "part"
     "bonuspart"
     "thepartno"
     "thesubpart"
     "thesubsubpart"
     "droppoints"
     "droptotalpoints"
     "droptotalbonuspoints"
     "totalformat"
     "bonustotalformat"
     "totalpoints"
     "totalbonuspoints"
     "pointsinleftmargin"
     "pointsinrightmargin"
     "nopointsinmargin"
     "pointsdroppedatright"
     "pointsinmargin"
     "nopointsinrightmargin"
     "nopointsinleftmargin"
     "boxedpoints"
     "noboxedpoints"
     "bracketedpoints"
     "nobracketedpoints"
     "pointformat"
     "bonuspointformat"
     "thebonuspoints"
     "pointname"
     "bonuspointname"
     "half"
     "marginpointname"
     "marginbonuspointname"
     "correctchoiceemphasis"
     "makelabel"
     "choice"
     "CorrectChoice"
     "correctchoice"
     "fillwithlines"
     "fillwithdottedlines"
     "uplevel"
     "fullwidth"
     "cellwidth"
     "gradetablestretch"
     "hqword"
     "hpword"
     "hsword"
     "htword"
     "hpgword"
     "vqword"
     "vpword"
     "vsword"
     "vtword"
     "vpgword"
     "bhqword"
     "bhpword"
     "bhsword"
     "bhtword"
     "bhpgword"
     "bvqword"
     "bvpword"
     "bvsword"
     "bvtword"
     "bvpgword"
     "chqword"
     "chpword"
     "chbpword"
     "chsword"
     "chtword"
     "chpgword"
     "cvqword"
     "cvpword"
     "cvbpword"
     "cvsword"
     "cvtword"
     "cvpgword"
     "begingradingrange"
     "partialgradetable"
     "partialbonusgradetable"
     "partialcombinedgradetable"
     "partialpointtable"
     "partialbonuspointtable"
     "partialcombinedpointtable"
     "gradetable"
     "bonusgradetable"
     "combinedgradetable"
     "pointtable"
     "bonuspointtable"
     "combinedpointtable"
     "pointsinrange"
     "bonuspointsinrange"
     "printanswers"
     "noprintanswers"
     "cancelspace"
     "nocancelspace"
     "framedsolutions"
     "shadedsolutions"
     "unframedsolutions"
     "FrameCommand"
     "width"
     "height"
     "FrameRestore")
    (TeX-run-style-hooks
     "color"
     "art10"
     "article"
     "ifthen"
     "")))

