(TeX-add-style-hook "examdesign"
 (lambda ()
    (LaTeX-add-environments
     "chunk"
     "answer"
     "question"
     "keytop"
     "examtop"
     "keyclosing"
     "keypreface"
     "examclosing"
     "exampreface"
     "endmatter"
     "frontmatter"
     "section"
     "matching"
     "fillin"
     "truefalse"
     "shortanswer"
     "multiplechoice")
    (TeX-add-symbols
     "endblock"
     '("block" ["argument"] 0)
     '("StudentInfoLineSpacing" 1)
     "randomi"
     "ranval"
     "sixly"
     "ULdepth"
     "Fullpages"
     "NoKey"
     "OneKey"
     "BoldfaceCorrectMultipleChoiceAnswer"
     "UnderlineCorrectMultipleChoiceAnswer"
     "MCfont"
     "setrandomseed"
     "nextrandom"
     "setrannum"
     "setrandim"
     "pointless"
     "uline"
     "ULset"
     "ULon"
     "hskip"
     "newline"
     "hfil"
     "hfill"
     "hss"
     "penalty"
     "markoverwith"
     "uwave"
     "uuline"
     "sout"
     "xout"
     "useunder"
     "MakeRobust"
     "ULforem"
     "normalem"
     "em"
     "emph"
     "ULthickness"
     "append"
     "length"
     "remove"
     "NumberOfVersions"
     "instructions"
     "class"
     "classdata"
     "examname"
     "examtype"
     "namedata"
     "pair"
     "ConstantBlanks"
     "ProportionalBlanks"
     "word"
     "ifsection"
     "enumerate"
     "blank"
     "answerspace"
     "exam"
     "key"
     "examvspace"
     "examhspace"
     "keyvspace"
     "keyhspace"
     "problem"
     "SectionFont"
     "NoRearrange"
     "SectionPrefix"
     "ContinuousNumbering"
     "ShortKey"
     "choice"
     "MultipleChoiceShortKeyPrefix"
     "DefineAnswerWrapper"
     "pagebreak"
     "BreakPageOnVersion"
     "IncludeFromFile"
     "InsertChunk")
    (TeX-run-style-hooks
     "keyval"
     "multicol"
     "enumerate"
     "art10"
     "article"
     "")))

