(TeX-add-style-hook "floatrow"
 (lambda ()
    (LaTeX-add-environments
     "subfloatrow")
    (TeX-add-symbols
     "endfloatrow"
     '("floatrow" ["argument"] 0)
     '("floatbox" ["argument"] 1)
     '("DeclareNewFloatType" 2)
     '("DeclareFloatFootnoterule" 2)
     '("DeclareCBoxCorners" 5)
     '("DeclareColorBox" 2)
     '("DeclareFloatVCode" 2)
     '("DeclareMarginSet" 2)
     '("DeclareHtAdj" 2)
     '("DeclareFtPos" 2)
     '("DeclareSCPos" 2)
     '("DeclareFloatStyle" 2)
     '("clearfloatsetup" 1)
     '("buildFBBOX" 2)
     '("subcaptionlabel" 1)
     '("captionlabel" 1)
     '("renewfloatcommand" 2)
     '("newfloatcommand" 2)
     '("listof" 2)
     '("RawCaption" 1)
     '("floatplacement" 2)
     '("floatname" 2)
     '("floatstyle" 1)
     "flrow"
     "FR"
     "killfloatstyle"
     "restylefloat"
     "RawFloats"
     "newfloat"
     "FB"
     "FC"
     "float"
     "FBaskip"
     "FBbskip"
     "FCc"
     "FCo"
     "FBw"
     "floatHpenalties"
     "rotfloat"
     "rotdblfloat"
     "mpfootnotemark"
     "FBget"
     "FCget"
     "FBs"
     "FBf"
     "FCset"
     "adj"
     "FBsetbox"
     "capsubrowsettings"
     "subfloatrowsep"
     "CommonHeightRow"
     "DefaultCommonHeight"
     "begin"
     "CenterFloatBoxes"
     "TopFloatBoxes"
     "BottomFloatBoxes"
     "PlainFloatBoxes"
     "thisfloatsetup"
     "DeclareFROpt"
     "captionfootfont"
     "captop"
     "capbot"
     "CAPTOP"
     "capbeside"
     "nocapbeside"
     "useFCwidth"
     "FPOScnt"
     "LTright"
     "floatfacing"
     "floatboxmargins"
     "floatrowmargins"
     "floatcapbesidemargins"
     "setfloatmargins"
     "floatobjectset"
     "filFCOhsize"
     "nofilFCOhsize"
     "floatcapbesidesep"
     "FBstyle"
     "FRcolorboxwd"
     "FRcolorboxht"
     "FRcolorboxdp"
     "frulemax"
     "DeclareFNOpt"
     "flnew"
     "FBcheight"
     "FBfheight"
     "thempfn"
     "label"
     "refstepcounter"
     "stepcounter"
     "refsteponlycounter"
     "addtocounter"
     "caption"
     "floatfoot"
     "footnote"
     "footnotetext"
     "FBwidth"
     "FBheight"
     "FBoheight"
     "thepage"
     "protect"
     "string"
     "FBiffloatrow"
     "Xhsize"
     "FRleftmargin"
     "FRrightmargin"
     "floatrowsep"
     "CommonHeight"
     "newdimentocommand"
     "renewdimentocommand"
     "newskiptocommand"
     "renewskiptocommand"
     "newlengthtocommand"
     "renewlengthtocommand"
     "floatsetup"
     "floatfont"
     "DeclareFloatFont"
     "FBifcaptop"
     "FBifCAPTOP"
     "FBifcapbeside"
     "FCwidth"
     "FBafil"
     "FBbfil"
     "DeclareObjectSet"
     "DeclareFloatSeparators"
     "FRifFBOX"
     "unitlength"
     "captionskip"
     "floatfootskip"
     "FBfootnoterule"
     "CurrentOption"
     "ProcessOptionsWithKV")
    (TeX-run-style-hooks
     "fr-longtable"
     "fr-subfig"
     "fr-fancy"
     "color"
     "caption3"
     "keyval"
     "")))

