(TeX-add-style-hook "flowfram"
 (lambda ()
    (LaTeX-add-environments
     "xdynamiccontents"
     '("dynamiccontents" 1)
     '("staticcontents" 1)
     "staticcontents"
     "dynamiccontents"
     "statictable"
     "staticfigure")
    (LaTeX-add-labels
     "#1")
    (TeX-add-symbols
     '("enableminitoc" ["argument"] 0)
     '("makethumbtabs" ["argument"] 1)
     '("makebackgroundframe" ["argument"] 0)
     '("hNtoneright" ["argument"] 0)
     '("hNtoneleft" ["argument"] 0)
     '("hNtone" ["argument"] 0)
     '("htwotoneright" ["argument"] 0)
     '("htwotoneleft" ["argument"] 0)
     '("htwotone" ["argument"] 0)
     '("vNtonetop" ["argument"] 0)
     '("vNtonebottom" ["argument"] 0)
     '("vNtone" ["argument"] 0)
     '("vtwotonetop" ["argument"] 0)
     '("vtwotonebottom" ["argument"] 0)
     '("vtwotone" ["argument"] 0)
     '("NcolumnDbottominarea" ["argument"] 0)
     '("NcolumnSbottominarea" ["argument"] 0)
     '("Ncolumnbottominarea" ["argument"] 7)
     '("NcolumnDbottom" ["argument"] 2)
     '("NcolumnSbottom" ["argument"] 2)
     '("Ncolumnbottom" ["argument"] 3)
     '("twocolumnDbottominarea" ["argument"] 5)
     '("twocolumnSbottominarea" ["argument"] 5)
     '("twocolumnbottominarea" ["argument"] 6)
     '("twocolumnDbottom" ["argument"] 1)
     '("twocolumnSbottom" ["argument"] 1)
     '("twocolumnbottom" ["argument"] 2)
     '("onecolumnDbottominarea" ["argument"] 5)
     '("onecolumnSbottominarea" ["argument"] 5)
     '("onecolumnbottominarea" ["argument"] 6)
     '("onecolumnDbottom" ["argument"] 1)
     '("onecolumnSbottom" ["argument"] 1)
     '("onecolumnbottom" ["argument"] 2)
     '("NcolumnDtopinarea" ["argument"] 6)
     '("NcolumnStopinarea" ["argument"] 6)
     '("Ncolumntopinarea" ["argument"] 7)
     '("NcolumnDtop" ["argument"] 2)
     '("NcolumnStop" ["argument"] 2)
     '("Ncolumntop" ["argument"] 3)
     '("twocolumnDtopinarea" ["argument"] 5)
     '("twocolumnStopinarea" ["argument"] 5)
     '("twocolumnDtop" ["argument"] 1)
     '("twocolumnStop" ["argument"] 1)
     '("twocolumntop" ["argument"] 2)
     '("onecolumnDtopinarea" ["argument"] 5)
     '("onecolumnStopinarea" ["argument"] 5)
     '("onecolumntopinarea" ["argument"] 6)
     '("newframe" ["argument"] 5)
     '("onecolumnDtop" ["argument"] 1)
     '("onecolumnStop" ["argument"] 1)
     '("onecolumntop" ["argument"] 2)
     '("Ncolumninarea" ["argument"] 5)
     '("Ncolumn" ["argument"] 1)
     '("emulateonecolumn" ["argument"] 0)
     '("emulatetwocolumn" ["argument"] 0)
     '("framebreak" ["argument"] 0)
     '("minitocstyle" 1)
     '("dominitoc" 1)
     '("setthumbtabindex" 2)
     '("setthumbtab" 2)
     '("thumbtabformat" 2)
     '("thumbtabindexformat" 3)
     '("thumbtab" 4)
     '("DFschapterstyle" 1)
     '("DFchapterstyle" 1)
     '("ffhrule" 3)
     '("ffvrule" 3)
     '("adjustheight" 1)
     '("ffaddtoadjustframeshook" 1)
     '("setinitialframe" 1)
     '("computerightedgeeven" 1)
     '("computerightedgeodd" 1)
     '("computebottomedge" 1)
     '("computetopedge" 1)
     '("computeleftedgeeven" 1)
     '("computeleftedgeodd" 1)
     '("ffcontinuedtextfont" 1)
     '("ffcontinuedtextlayout" 1)
     '("dynamicaddexclusion" 2)
     '("dynamicsetexclusion" 2)
     '("dynamicsetpagelist" 2)
     '("setalldynamicframes" 1)
     '("dynamicframeeveny" 1)
     '("dynamicframeevenx" 1)
     '("dynamicframey" 1)
     '("dynamicframex" 1)
     '("getdynamicid" 2)
     '("getdynamiclabel" 1)
     '("staticaddexclusion" 2)
     '("staticsetexclusion" 2)
     '("staticsetpagelist" 2)
     '("setallstaticframes" 1)
     '("staticframeeveny" 1)
     '("staticframeevenx" 1)
     '("staticframey" 1)
     '("staticframex" 1)
     '("getstaticid" 2)
     '("getstaticlabel" 1)
     '("flowframeheight" 1)
     '("flowframewidth" 1)
     '("flowframeeveny" 1)
     '("flowframeevenx" 1)
     '("flowframey" 1)
     '("flowframex" 1)
     '("flowaddexclusion" 2)
     '("flowsetexclusion" 2)
     '("flowsetpagelist" 2)
     '("setallflowframes" 1)
     '("getflowid" 2)
     '("getflowlabel" 1)
     '("labelflow" 1)
     '("labelflowidn" 1)
     '("rotateframe" 2)
     "setffdraftcolor"
     "setffdrafttypeblockcolor"
     "fflabelfont"
     "flf"
     "chapterfirstpagestyle"
     "ffprechapterhook"
     "flowframeshowlayout"
     "finishthispage"
     "globalreversemargin"
     "globalnormalmargin"
     "setmargin"
     "newflowframe"
     "setflowframe"
     "ffswapoddeven"
     "newstaticframe"
     "setstaticframe"
     "simpar"
     "ffpshpar"
     "setstaticcontents"
     "sfswapoddeven"
     "newdynamicframe"
     "setdynamicframe"
     "dfswapoddeven"
     "setdynamiccontents"
     "appenddynamiccontents"
     "computeflowframearea"
     "getstaticbounds"
     "getstaticevenbounds"
     "getflowbounds"
     "getflowevenbounds"
     "getdynamicbounds"
     "getdynamicevenbounds"
     "checkifframeabove"
     "oddcheckifframeabove"
     "checkifframebelow"
     "oddcheckifframebelow"
     "checkifframeleft"
     "oddcheckifframeleft"
     "checkifframeright"
     "oddcheckifframeright"
     "evencheckifframeabove"
     "evencheckifframebelow"
     "evencheckifframeleft"
     "evencheckifframeright"
     "FFaboveleft"
     "FFaboveright"
     "FFbelowleft"
     "FFbelowright"
     "FFleft"
     "FFright"
     "FFabove"
     "FFbelow"
     "FFoverlap"
     "relativeframelocation"
     "reldynamicloc"
     "relstaticloc"
     "relflowloc"
     "setframes"
     "makedfheaderfooter"
     "footnotecolor"
     "flowswitchonnext"
     "flowswitchonnextodd"
     "flowswitchoffnext"
     "flowswitchoffnextodd"
     "flowswitchonnextonly"
     "flowswitchonnextoddonly"
     "flowswitchoffnextonly"
     "flowswitchoffnextoddonly"
     "dynamicswitchonnext"
     "dynamicswitchonnextodd"
     "dynamicswitchoffnext"
     "dynamicswitchoffnextodd"
     "dynamicswitchonnextonly"
     "dynamicswitchonnextoddonly"
     "dynamicswitchoffnextonly"
     "dynamicswitchoffnextoddonly"
     "staticswitchonnext"
     "staticswitchonnextodd"
     "staticswitchoffnext"
     "staticswitchoffnextodd"
     "staticswitchonnextonly"
     "staticswitchonnextoddonly"
     "staticswitchoffnextonly"
     "staticswitchoffnextoddonly"
     "onecolumninarea"
     "twocolumninarea"
     "twocolumntopinarea"
     "adjustcolsep"
     "ffruledeclarations"
     "insertvrule"
     "inserthrule"
     "dfchaphead"
     "defaultthumbtabtype"
     "enablethumbtabs"
     "disablethumbtabs"
     "thumbtabindex"
     "tocandthumbtabindex"
     "appenddfminitoc"
     "flowframetextcol"
     "flowframecol"
     "theHthisframe"
     "theHdisplayedframe"
     "cleardoublepage"
     "FLForgpar"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "continueonframe"
     "noexpand"
     "protect"
     "label"
     "index"
     "glossary"
     "firstmark"
     "oldpar")
    (TeX-run-style-hooks
     "color"
     "etoolbox"
     "xfor"
     "afterpage"
     "graphics"
     "xkeyval"
     "ifthen"
     "")))

