(TeX-add-style-hook "glossaries"
 (lambda ()
    (LaTeX-add-environments
     "theglossary")
    (LaTeX-add-labels
     "glsentry-#1")
    (TeX-add-symbols
     '("newacronym" ["argument"] 3)
     '("oldacronym" ["argument"] 3)
     '("setentrycounter" ["argument"] 1)
     '("printglossary" ["argument"] 0)
     '("glsseeformat" ["argument"] 2)
     '("glssee" ["argument"] 2)
     '("glshyperlink" ["argument"] 1)
     '("defglsdisplayfirst" ["argument"] 1)
     '("defglsdisplay" ["argument"] 1)
     '("loadglsentries" ["argument"] 1)
     '("glslocalunsetall" ["argument"] 0)
     '("glsunsetall" ["argument"] 0)
     '("glslocalresetall" ["argument"] 0)
     '("glsresetall" ["argument"] 0)
     '("newglossary" ["argument"] 4)
     '("forallglsentries" ["argument"] 2)
     '("forglsentries" ["argument"] 2)
     '("forallglossaries" ["argument"] 2)
     '("GlsSetXdyLanguage" ["argument"] 1)
     '("GlsAddXdyLocation" ["argument"] 2)
     '("glossarysection" ["argument"] 1)
     '("showglossaryentries" 1)
     '("showglossarycounter" 1)
     '("showglossarytitle" 1)
     '("showglossaryout" 1)
     '("showglossaryin" 1)
     '("showgloflag" 1)
     '("showgloindex" 1)
     '("showglosymbolplural" 1)
     '("showglosymbol" 1)
     '("showglosort" 1)
     '("showglodescplural" 1)
     '("showglodesc" 1)
     '("showgloname" 1)
     '("showglouservi" 1)
     '("showglouserv" 1)
     '("showglouseriv" 1)
     '("showglouseriii" 1)
     '("showglouserii" 1)
     '("showglouseri" 1)
     '("showglocounter" 1)
     '("showglotype" 1)
     '("showglofirstpl" 1)
     '("showglofirst" 1)
     '("showgloplural" 1)
     '("showglotext" 1)
     '("showglolevel" 1)
     '("showgloparent" 1)
     '("SetCustomDisplayStyle" 1)
     '("SetDUADisplayStyle" 1)
     '("SetSmallAcronymDisplayStyle" 1)
     '("SetFootnoteAcronymDisplayStyle" 1)
     '("SetDescriptionAcronymDisplayStyle" 1)
     '("SetDescriptionDUAAcronymDisplayStyle" 1)
     '("SetDescriptionFootnoteAcronymDisplayStyle" 1)
     '("acrnolinkfootnote" 3)
     '("acrlinkfootnote" 3)
     '("acrfootnote" 3)
     '("SetDefaultAcronymDisplayStyle" 1)
     '("acrnameformat" 2)
     '("firstacronymfont" 1)
     '("acronymfont" 1)
     '("acrfullformat" 2)
     '("acrlinkfullformat" 5)
     '("hyperemph" 1)
     '("hypersc" 1)
     '("hyperup" 1)
     '("hypersl" 1)
     '("hyperit" 1)
     '("hypermd" 1)
     '("hyperbf" 1)
     '("hypertt" 1)
     '("hypersf" 1)
     '("hyperrm" 1)
     '("glsnamefont" 1)
     '("renewglossarystyle" 2)
     '("newglossarystyle" 2)
     '("glossarystyle" 1)
     '("glsgetgrouplabel" 1)
     '("glsgetgrouptitle" 1)
     '("glsgroupheading" 1)
     '("glossarysubentryfield" 6)
     '("glossaryentryfield" 5)
     '("glstarget" 2)
     '("glssubentryitem" 1)
     '("glsentryitem" 1)
     '("glsrefentry" 1)
     '("glsstepsubentry" 1)
     '("glsstepentry" 1)
     '("glsseeitemformat" 1)
     '("glsseeitem" 1)
     '("glsseelist" 1)
     '("GlsSetXdyMinRangeLength" 1)
     '("GlsSetXdyFirstLetterAfterDigits" 1)
     '("glsdisplaynumberlist" 1)
     '("glsentrynumberlist" 1)
     '("Glsentryfullpl" 1)
     '("glsentryfullpl" 1)
     '("Glsentryfull" 1)
     '("glsentryfull" 1)
     '("Glsentrylongpl" 1)
     '("glsentrylongpl" 1)
     '("Glsentrylong" 1)
     '("glsentrylong" 1)
     '("Glsentryshortpl" 1)
     '("glsentryshortpl" 1)
     '("Glsentryshort" 1)
     '("glsentryshort" 1)
     '("Glsentryuservi" 1)
     '("glsentryuservi" 1)
     '("Glsentryuserv" 1)
     '("glsentryuserv" 1)
     '("Glsentryuseriv" 1)
     '("glsentryuseriv" 1)
     '("Glsentryuseriii" 1)
     '("glsentryuseriii" 1)
     '("Glsentryuserii" 1)
     '("glsentryuserii" 1)
     '("Glsentryuseri" 1)
     '("glsentryuseri" 1)
     '("glsentrysort" 1)
     '("glsentrytype" 1)
     '("Glsentryfirstplural" 1)
     '("glsentryfirstplural" 1)
     '("Glsentryfirst" 1)
     '("glsentryfirst" 1)
     '("Glsentrysymbolplural" 1)
     '("glsentrysymbolplural" 1)
     '("Glsentrysymbol" 1)
     '("glsentrysymbol" 1)
     '("Glsentryplural" 1)
     '("glsentryplural" 1)
     '("Glsentrytext" 1)
     '("glsentrytext" 1)
     '("Glsentrydescplural" 1)
     '("glsentrydescplural" 1)
     '("Glsentrydesc" 1)
     '("glsentrydesc" 1)
     '("Glsentryname" 1)
     '("glsentryname" 1)
     '("glsdisplay" 4)
     '("glsdisplayfirst" 4)
     '("glstextformat" 1)
     '("glslocalunset" 1)
     '("glsunset" 1)
     '("glslocalreset" 1)
     '("glsreset" 1)
     '("glsmoveentry" 2)
     '("altnewglossary" 3)
     '("ifglshasparent" 3)
     '("ifglshaschildren" 3)
     '("glsdoifnoexists" 2)
     '("glsdoifexists" 2)
     '("ifglsused" 3)
     '("ifglsentryexists" 3)
     '("ifglossaryexists" 3)
     '("GlsAddLetterGroup" 2)
     '("GlsSetXdyCodePage" 1)
     '("GlsSetXdyStyles" 1)
     '("GlsAddXdyStyle" 1)
     '("GlsAddSortRule" 2)
     '("GlsSetXdyLocationClassOrder" 1)
     '("GlsAddXdyLocation" 2)
     '("GlsAddXdyAlphabet" 2)
     '("GlsAddXdyAttribute" 1)
     '("GlsAddXdyCounters" 1)
     '("glsnoxindywarning" 1)
     '("setglossarysection" 1)
     '("glossarymark" 1)
     '("glsnumberformat" 1)
     '("glsSetSuffixFF" 1)
     '("glsSetSuffixF" 1)
     '("glsSetAlphaCompositor" 1)
     '("glsSetCompositor" 1)
     '("setStyleFile" 1)
     '("addglossarytocaptions" 1)
     '("glssettoctitle" 1)
     '("GlossariesWarningNoLine" 1)
     '("GlossariesWarning" 1)
     '("GlsDeclareNoHyperList" 1)
     '("SetAcronymLists" 1)
     '("glsIfListOfAcronyms" 1)
     '("DeclareAcronymList" 1)
     '("glssortnumberfmt" 1)
     '("glossaryentrynumbers" 1)
     "glsorg"
     "glsautoprefix"
     "glsdefmain"
     "acronymtype"
     "gls"
     "glscounter"
     "glossaryname"
     "acronymname"
     "entryname"
     "descriptionname"
     "symbolname"
     "pagelistname"
     "glssymbolsgroupname"
     "glsnumbersgroupname"
     "glspluralsuffix"
     "seename"
     "andname"
     "glspar"
     "glscompositor"
     "delimN"
     "delimR"
     "glossarypreamble"
     "glossarypostamble"
     "glsclearpage"
     "glolinkprefix"
     "glsdisablehyper"
     "glsenablehyper"
     "s"
     "ns"
     "glsnumlistsep"
     "glsnumlistlastsep"
     "noist"
     "warn"
     "glsseelastsep"
     "glsseesep"
     "printglossaries"
     "glsresetentrylist"
     "glsresetsubentrycounter"
     "glsresetentrycounter"
     "glsentrycounterlabel"
     "glssubentrycounterlabel"
     "glossaryheader"
     "glsgroupskip"
     "acrpluralsuffix"
     "glsshortkey"
     "glsshortpluralkey"
     "glslongkey"
     "glslongpluralkey"
     "newacronymhook"
     "DefaultNewAcronymDef"
     "SetDefaultAcronymStyle"
     "DescriptionFootnoteNewAcronymDef"
     "SetDescriptionFootnoteAcronymStyle"
     "DescriptionDUANewAcronymDef"
     "SetDescriptionDUAAcronymStyle"
     "DescriptionNewAcronymDef"
     "SetDescriptionAcronymStyle"
     "FootnoteNewAcronymDef"
     "SetFootnoteAcronymStyle"
     "SmallNewAcronymDef"
     "SetSmallAcronymStyle"
     "DUANewAcronymDef"
     "SetDUAStyle"
     "SetAcronymStyle"
     "CustomAcronymFields"
     "CustomNewAcronymDef"
     "SetCustomStyle"
     "DefineAcronymSynonyms"
     "showacronymlists"
     "showglossaries"
     "glossary"
     "glsorder"
     "glspostdescription"
     "istfilename"
     "GlsAddXdyCounters"
     "NeedsTeXFormat"
     "ProvidesPackage"
     "LdfInit"
     "languageattribute"
     "DeclareOption"
     "input"
     "stripldf"
     "findrootlanguage"
     "rootlanguagename"
     "glsdefaulttype"
     "theHglsentrycounter"
     "noexpand"
     "glslabel"
     "glsnumberformat"
     "writeist"
     "makeglossaries"
     "makeglossary"
     "istfile"
     "glswritefiles"
     "orgthe"
     "orgnumber"
     "orgromannumeral"
     "orgalph"
     "orgAlph"
     "orgRoman"
     "the"
     "number"
     "romannumeral"
     "currentglossary"
     "glsnonextpages"
     "glsnextpages"
     "nopostdesc"
     "glossarytitle"
     "glossarytoctitle"
     "glossaryentrynumbers"
     "theHglossaryentry"
     "theHglossarysubentry"
     "currentglssubentry"
     "glsentrycounter"
     "glshypernumber"
     "acs"
     "Acs"
     "acsp"
     "Acsp"
     "acl"
     "aclp"
     "Acl"
     "Aclp"
     "acf"
     "acfp"
     "Acf"
     "Acfp"
     "ac"
     "Ac"
     "acp"
     "Acp")
    (TeX-run-style-hooks
     "glossaries-compatible-207"
     "glossary-hypernav"
     "glossaries-babel"
     "glossaries-polyglossia"
     "translator"
     "glossary-tree"
     "glossary-list"
     "glossary-super"
     "glossary-long"
     "etoolbox"
     "amsgen"
     "datatool-base"
     "xfor"
     "mfirstuc"
     "xkeyval"
     "ifthen"
     "")))

