(TeX-add-style-hook "hcart"
 (lambda ()
    (LaTeX-add-environments
     "flexlist"
     "widedesc"
     "dialog"
     "ticklist"
     "crosslist"
     "checklist"
     "art"
     "artsubtit"
     "arttitsub")
    (TeX-add-symbols
     '("titver" ["argument"] 2)
     '("titautver" ["argument"] 3)
     '("tit" ["argument"] 1)
     '("titaut" ["argument"] 2)
     '("abs" ["argument"] 1)
     '("etal" ["argument"] 0)
     '("bibvol" ["argument"] 2)
     '("qul" ["argument"] 2)
     '("qu" ["argument"] 2)
     '("biblio" ["argument"] 1)
     '("cfcite" ["argument"] 1)
     '("hyperinfo" 4)
     '("keywords" 1)
     '("autinfo" 4)
     '("titinfo" 2)
     '("titsub" 2)
     '("titsubinfo" 3)
     '("bibmov" 3)
     '("biburl" 2)
     '("articlesection" 1)
     '("titlesubject" 2)
     '("subjecttitle" 2)
     '("articletitle" 1)
     '("htmail" 1)
     '("hturl" 1)
     '("htlink" 2)
     '("see" 1)
     '("Es" 1)
     '("enge" 2)
     '("newspeaker" 2)
     '("rightaddress" 1)
     '("marginbox" 1)
     '("cen" 1)
     '("hint" 1)
     '("intro" 1)
     '("sig" 1)
     '("phyp" 1)
     '("pcent" 1)
     '("dash" 1)
     '("fq" 1)
     '("hq" 1)
     '("q" 1)
     "thisclass"
     "superclass"
     "defaulttitle"
     "defaultauthor"
     "defaultaddress"
     "defaultemail"
     "defaulthomepage"
     "currenttitle"
     "currentauthor"
     "autinfodiv"
     "qdots"
     "arrow"
     "f"
     "ff"
     "distance"
     "stardistance"
     "linedistance"
     "shorttoday"
     "versiontext"
     "onlinetext"
     "accesstext"
     "cftext"
     "bibvoltext"
     "bvtext"
     "bibdir"
     "bibmovtext"
     "bibactorsbefore"
     "bibactorsafter"
     "noyear"
     "noaddress"
     "otherabstractname"
     "keywordsname"
     "tick"
     "cross"
     "checkbox"
     "E"
     "seetext"
     "currentsig"
     "bibliostyle"
     "beforebiblio"
     "bibdiv"
     "addrdiv"
     "hypertitle"
     "hyperauthor"
     "hyperabstract"
     "hyperkeywords"
     "toc"
     "abstext"
     "otherabstext"
     "keywordstext"
     "currentdate"
     "fictionsec"
     "nextstartq"
     "otherstartq"
     "tmpq"
     "nextendq"
     "otherendq"
     "sectionmark"
     "subsectionmark"
     "cite"
     "oldautdiv"
     "autdiv")
    (TeX-run-style-hooks
     "hyperref"
     "extension=pdf"
     "latex2html"
     "pdftex"
     "colorlinks=true"
     "hyperindex"
     "multicol"
     "typearea"
     "truncate"
     "breakwords"
     "html"
     "fancyref"
     "eurofont"
     "notextcomp"
     "right"
     "pifont"
     "mathpple"
     "palatino"
     "xspace"
     "babel"
     "ifthen"
     "inputenc"
     "latin1"
     "fontenc"
     "T1"
     "natbib"
     ""
     "german")))

