(TeX-add-style-hook "isov2"
 (lambda ()
    (LaTeX-add-environments
     "itemize"
     "enumerate"
     '("outofscope" 1)
     '("inscope" 1)
     "cover"
     "description"
     "quotation"
     "quote"
     "anote"
     "note"
     "anexample"
     "example"
     "nreferences"
     "references"
     "olddefinitions"
     "definitions"
     "symbols"
     "figure"
     "table"
     "bottomfloat"
     "theindex"
     "foreword"
     "introduction")
    (LaTeX-add-labels
     ";i1"
     ";i2"
     ";i3")
    (TeX-add-symbols
     '("normrefbp" 1)
     '("trfwdbpii" 1)
     '("deleted" 1)
     '("editorial" 1)
     '("otherindexspace" 1)
     '("alphaindexspace" 1)
     '("indexseealso" 1)
     '("indexsee" 1)
     '("maxsecnumdepth" 1)
     '("setsecnumdepth" 1)
     '("maxtocdepth" 1)
     '("settocdepth" 1)
     '("loftfillnum" 1)
     '("loftnumberline" 1)
     '("floatlist" 2)
     '("tocskip" 1)
     '("pref" 1)
     '("tref" 1)
     '("nref" 1)
     '("fref" 1)
     '("eref" 1)
     '("cref" 1)
     '("bref" 1)
     '("aref" 1)
     '("isourl" 1)
     '("symboldef" 2)
     '("symbollabel" 1)
     '("definition" 2)
     '("olddefinition" 2)
     '("reference" 3)
     '("disref" 2)
     '("isref" 2)
     '("nreferencelabel" 1)
     '("notelabel" 1)
     '("descriptionlabel" 1)
     '("repannex" 1)
     '("normannex" 1)
     '("infannex" 1)
     '("addannextotoc" 2)
     '("makeannexhead" 1)
     '("makepreannexhead" 1)
     '("compelement" 1)
     '("mainelement" 1)
     '("introelement" 1)
     '("hyperpage" 1)
     "fillline"
     "makecommand"
     "make"
     "captionsize"
     "copyrighthead"
     "extrahead"
     "ps"
     "rectoisotitlehead"
     "versoisotitlehead"
     "toclevel"
     "theHannex"
     "theHclause"
     "theHsclause"
     "theHssclause"
     "theHsssclause"
     "theHssssclause"
     "theHsssssclause"
     "zerocounters"
     "clause"
     "fibicl"
     "sclause"
     "ssclause"
     "sssclause"
     "ssssclause"
     "sssssclause"
     "init"
     "theHnote"
     "theHfloatnote"
     "theHexample"
     "labelinfref"
     "contcaption"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "tableofcontents"
     "l"
     "listoffigures"
     "listoftables"
     "subitem"
     "subsubitem"
     "indexspace"
     "indexfill"
     "sindexfill"
     "ssindexfill"
     "v"
     "scopeclause"
     "normrefsclause"
     "defclause"
     "symclause"
     "abbclause"
     "defsymclause"
     "defabbclause"
     "symabbclause"
     "defsymabbclause"
     "defsubclause"
     "symsubclause"
     "abbsubclause"
     "defsymsubclause"
     "defabbsubclause"
     "symabbsubclause"
     "fcandaclause"
     "bibannex"
     "copyrightnotice"
     "fwdbp"
     "tspasfwdbp"
     "trfwdbpi"
     "intropatents"
     "fwdnopatents"
     "abbname"
     "annexname"
     "bibname"
     "contentsname"
     "defname"
     "defabbname"
     "defsymname"
     "defsymabbname"
     "fcandaname"
     "forewordname"
     "indexname"
     "informativename"
     "introductionname"
     "normativename"
     "normrefsname"
     "scopename"
     "sectionname"
     "symname"
     "symabbname"
     "copyrightname"
     "examplename"
     "figurename"
     "inscopename"
     "ISname"
     "listannexname"
     "listfigurename"
     "listtablename"
     "notename"
     "outofscopename"
     "pagename"
     "tablename"
     "tbpname"
     "annexrefname"
     "clauserefname"
     "examplerefname"
     "figurerefname"
     "noterefname"
     "tablerefname"
     "pagerefname"
     "abstractname"
     "appendixname"
     "chaptername"
     "partname"
     "refname"
     "today"
     "isostringsequal"
     "isoemptystring"
     "standard"
     "yearofedition"
     "languageofedition"
     "clausemark"
     "sclausemark"
     "ssclausemark"
     "sssclausemark"
     "ssssclausemark"
     "sssssclausemark"
     "thenote"
     "makelabel"
     "numberline"
     "item"
     "added"
     "moved")
    (TeX-run-style-hooks
     "url"
     ""
     "isofwdbp"
     "tspasfwdbp"
     "trfwd1")))

