(TeX-add-style-hook "lstdoc"
 (lambda ()
    (LaTeX-add-index-entries
     "aspects:\\levelchar\\protect\\aspectname{#1}"
     "keys\\levelchar\\protect\\keyname{#1}"
     "unknown\\levelchar
                \\protect\\texttt{\\protect\\string\\string#1}#2"
     "\\@nameuse{lstisaspect@\\string#1}\\levelchar
                \\protect\\texttt{\\protect\\string\\string#1}#2")
    (LaTeX-add-environments
     "macroargs"
     "advise"
     "TODO"
     "ALTERNATIVE"
     "REMOVED"
     "OLDDEF"
     "syntax")
    (TeX-add-symbols
     '("lsthelper" 3)
     '("lstthanks" 2)
     '("packagename" 1)
     '("aspectname" 1)
     '("rcmdname" 1)
     '("icmdname" 1)
     '("rkeyname" 1)
     '("ekeyname" 1)
     '("ikeyname" 1)
     "syntaxnewline"
     "syntaxor"
     "syntaxbreak"
     "lst"
     "Cpp"
     "href"
     "small"
     "advisespace"
     "labeladvise"
     "syntaxfill"
     "alternative"
     "macro"
     "environment"
     "newdocenvironment"
     "PrintAspectName"
     "SpecialMainAspectIndex"
     "PrintKeyName"
     "SpecialMainKeyIndex"
     "labelargcount"
     "makelabel"
     "lstref"
     "lstaspectindex"
     "lstkeyindex"
     "lstisaspect"
     "lstprintaspectkeysandcmds"
     "lstcheckreference"
     "keyname"
     "keyvalue"
     "hookname"
     "switchfontfamily"
     "rstyle"
     "pointstyle"
     "lstscanlanguages"
     "lstprintlanguages")
    (TeX-run-style-hooks
     "url"
     "nameref"
     "lgrind"
     "algorithmic"
     "color"
     "hyperref"
     "colorlinks"
     "fancyvrb"
     ""
     "listings"
     "writefile")))

