(TeX-add-style-hook "ltxmdf"
 (lambda ()
    (LaTeX-add-index-entries
     "#1\\actualchar{\\protect\\ttfamily#1}
           (option)\\encapchar usage"
     "options:\\levelchar#1\\actualchar{\\protect\\ttfamily#1}\\encapchar
           usage")
    (TeX-add-symbols
     "mdfmaindate"
     "mdfrevision"
     "maketitle"
     "macro"
     "makelabel"
     "SpecialOptIndex")
    (TeX-run-style-hooks
     "kantlipsum"
     "lipsum"
     "showframe"
     "hypdoc"
     "numbered"
     "graphicx"
     "tikz"
     "xcolor"
     "booktabs"
     "array"
     "ntheorem"
     "amsmath"
     "enumitem"
     "inline"
     "listings"
     "scrpage2"
     "multicol"
     "xspace"
     "csquotes"
     "french=quotes"
     "fontspec"
     "microtype"
     "fontenc"
     "T1"
     "selinput"
     "etoolbox"
     "ifluatex"
     "ifxetex"
     "xparse"
     "l3keys2e"
     "expl3"
     "")))

