(TeX-add-style-hook "miniplot"
 (lambda ()
    (LaTeX-add-environments
     "centerlineenv"
     "arrangedFigure"
     "arrangedFigureNow"
     "arrangedSideWaysFigure"
     "arrangedSideWaysFigureNow"
     "arrangedWrapFigure"
     "arrangedWrapFigureNow")
    (TeX-add-symbols
     '("includeEpsWrapNow" ["argument"] 5)
     '("includeEpsWrap" ["argument"] 5)
     '("wrappedEpsContent" ["argument"] 7)
     '("setWrapFigOverhang" ["argument"] 0)
     '("subFig" ["argument"] 1)
     '("newSubFig" ["argument"] 2)
     '("arrangedFigContent" ["argument"] 3)
     '("includeStandardSideWaysGraphNow" ["argument"] 3)
     '("includeStandardSideWaysGraph" ["argument"] 3)
     '("includeSideWaysEpsNow" ["argument"] 4)
     '("includeSideWaysEps" ["argument"] 4)
     '("includeStandardGraphNow" ["argument"] 3)
     '("includeStandardGraph" ["argument"] 3)
     '("includeEpsNow" ["argument"] 4)
     '("includeEps" ["argument"] 4)
     '("epsContent" ["argument"] 6)
     '("aboveCaptionSpace" 1)
     '("printLabel" 1)
     '("setSubFigScale" 3)
     "standardGraphScale"
     "myCaptionText"
     "myLabel"
     "numSubFigCol"
     "numSubSubFigCol"
     "isFirstSubFig"
     "labelPrefix"
     "subLabelSuffix"
     "resetMiniPlot"
     "pointless"
     "doextractminiplotpath"
     "extractminiplotpath")
    (TeX-run-style-hooks
     "epsfig"
     "graphicx"
     "calc"
     "ifthen"
     "")))

