(TeX-add-style-hook "minitoc"
 (lambda ()
    (LaTeX-add-environments
     "mtchideinmaintoc"
     "mtchideinmainlof"
     "mtchideinmainlot")
    (TeX-add-symbols
     '("sectlot" ["argument"] 0)
     '("sectlof" ["argument"] 0)
     '("secttoc" ["argument"] 0)
     '("minilot" ["argument"] 0)
     '("minilof" ["argument"] 0)
     '("minitoc" ["argument"] 0)
     '("partlot" ["argument"] 0)
     '("partlof" ["argument"] 0)
     '("parttoc" ["argument"] 0)
     '("dosectlot" ["argument"] 0)
     '("dosectlof" ["argument"] 0)
     '("dosecttoc" ["argument"] 0)
     '("dominilot" ["argument"] 0)
     '("dominilof" ["argument"] 0)
     '("dominitoc" ["argument"] 0)
     '("dopartlot" ["argument"] 0)
     '("dopartlof" ["argument"] 0)
     '("doparttoc" ["argument"] 0)
     '("mtcfixnomenclature" ["argument"] 0)
     '("mtcfixindex" ["argument"] 0)
     '("mtcfixglossary" ["argument"] 0)
     '("adjuststc" ["argument"] 0)
     '("adjustptc" ["argument"] 0)
     '("adjustmtc" ["argument"] 0)
     '("mtcaddchapter" ["argument"] 0)
     '("mtcaddsection" ["argument"] 0)
     '("mtcaddpart" ["argument"] 0)
     '("mtcpolymlot" 4)
     '("mtcpolymlof" 4)
     '("mtcpolymtoc" 4)
     '("mtcsetoffset" 2)
     '("mtcsetdepth" 2)
     '("mtcsetfeature" 3)
     '("mtcsetrules" 2)
     '("mtcsetpagenumbers" 2)
     '("mtcsetformat" 3)
     '("mtcsettitle" 2)
     '("mtcsettitlefont" 2)
     '("mtcsetfont" 3)
     "mtcskipamount"
     "mtcsetpagenumbers"
     "mtcsetrules"
     "mtc"
     "l"
     "ptctitle"
     "plftitle"
     "plttitle"
     "mtctitle"
     "mlftitle"
     "mlttitle"
     "stctitle"
     "slftitle"
     "slttitle"
     "mtcskip"
     "mtcgapbeforeheads"
     "mtcgapafterheads"
     "kernafterparttoc"
     "kernafterpartlof"
     "kernafterpartlot"
     "kernaftersecttoc"
     "kernaftersectlof"
     "kernaftersectlot"
     "kernafterminitoc"
     "kernafterminilof"
     "kernafterminilot"
     "ptcoffset"
     "plfoffset"
     "pltoffset"
     "stcoffset"
     "slfoffset"
     "sltoffset"
     "mtcoffset"
     "mlfoffset"
     "mltoffset"
     "section"
     "newread"
     "mtcpagenumbers"
     "nomtcpagenumbers"
     "stcpagenumbers"
     "nostcpagenumbers"
     "ptcpagenumbers"
     "noptcpagenumbers"
     "mlfpagenumbers"
     "nomlfpagenumbers"
     "slfpagenumbers"
     "noslfpagenumbers"
     "plfpagenumbers"
     "noplfpagenumbers"
     "mltpagenumbers"
     "nomltpagenumbers"
     "sltpagenumbers"
     "nosltpagenumbers"
     "pltpagenumbers"
     "nopltpagenumbers"
     "beforeparttoc"
     "beforepartlof"
     "beforepartlot"
     "beforeminitoc"
     "beforeminilof"
     "beforeminilot"
     "beforesecttoc"
     "beforesectlof"
     "beforesectlot"
     "afterparttoc"
     "afterpartlof"
     "afterpartlot"
     "afterminitoc"
     "afterminilof"
     "afterminilot"
     "aftersecttoc"
     "aftersectlof"
     "aftersectlot"
     "openparttoc"
     "openpartlof"
     "openpartlot"
     "openminitoc"
     "openminilof"
     "openminilot"
     "opensecttoc"
     "opensectlof"
     "opensectlot"
     "closeparttoc"
     "closepartlof"
     "closepartlot"
     "closeminitoc"
     "closeminilof"
     "closeminilot"
     "closesecttoc"
     "closesectlof"
     "closesectlot"
     "thispageparttocstyle"
     "thispagepartlofstyle"
     "thispagepartlotstyle"
     "thispageminitocstyle"
     "thispageminilofstyle"
     "thispageminilotstyle"
     "thispagesecttocstyle"
     "thispagesectlofstyle"
     "thispagesectlotstyle"
     "firstchapteris"
     "decrementmtc"
     "incrementmtc"
     "mtcfont"
     "mtcSfont"
     "mtcSSfont"
     "mtcSSSfont"
     "mtcPfont"
     "mtcSPfont"
     "mlffont"
     "mlfSfont"
     "mltfont"
     "mltSfont"
     "mtifont"
     "coffeefont"
     "minilof"
     "minilot"
     "xchapter"
     "chapterbegin"
     "chapterend"
     "addstarredsection"
     "addstarredchapter"
     "addstarredpart"
     "mtcname"
     "mlfname"
     "mltname"
     "xpart"
     "Thepart"
     "firstpartis"
     "decrementptc"
     "incrementptc"
     "theptc"
     "ptcfont"
     "ptcCfont"
     "ptcSfont"
     "ptcSSfont"
     "ptcSSSfont"
     "ptcPfont"
     "ptcSPfont"
     "plffont"
     "plfSfont"
     "pltfont"
     "pltSfont"
     "ptifont"
     "parttoc"
     "partlof"
     "partlot"
     "pchapter"
     "psect"
     "partend"
     "partbegin"
     "ptcname"
     "plfname"
     "pltname"
     "firstsectionis"
     "decrementstc"
     "incrementstc"
     "stcfont"
     "stcSSfont"
     "stcSSSfont"
     "stcPfont"
     "stcSPfont"
     "slffont"
     "slfSfont"
     "sltfont"
     "sltSfont"
     "stifont"
     "secttoc"
     "sectlof"
     "sectlot"
     "xsect"
     "schapter"
     "sectend"
     "sectbegin"
     "stcname"
     "slfname"
     "sltname"
     "doparttoc"
     "dopartlof"
     "dopartlot"
     "dominitoc"
     "dominilof"
     "dominilot"
     "dosecttoc"
     "dosectlof"
     "dosectlot"
     "mtcprepare"
     "noptcrule"
     "nomtcrule"
     "nostcrule"
     "ptcrule"
     "mtcrule"
     "stcrule"
     "noplfrule"
     "nomlfrule"
     "noslfrule"
     "plfrule"
     "mlfrule"
     "slfrule"
     "nopltrule"
     "nomltrule"
     "nosltrule"
     "pltrule"
     "mltrule"
     "sltrule"
     "ptcpnumwidth"
     "stcpnumwidth"
     "mtcpnumwidth"
     "plfpnumwidth"
     "mlfpnumwidth"
     "slfpnumwidth"
     "pltpnumwidth"
     "mltpnumwidth"
     "sltpnumwidth"
     "ptctocrmarg"
     "mtctocrmarg"
     "stctocrmarg"
     "plftocrmarg"
     "mlftocrmarg"
     "slftocrmarg"
     "plttocrmarg"
     "mlttocrmarg"
     "slttocrmarg"
     "ptcdotsep"
     "mtcdotsep"
     "stcdotsep"
     "plfdotsep"
     "mlfdotsep"
     "slfdotsep"
     "pltdotsep"
     "mltdotsep"
     "sltdotsep"
     "mtcselectlanguage"
     "mtcloadmlo"
     "addcoffeeline"
     "coffeeline"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "faketableofcontents"
     "fakelistoffigures"
     "fakelistoftables")
    (TeX-run-style-hooks
     "notoccite"
     "placeins"
     "verbose"
     "section"
     "flafter"
     "mtcpatchmem"
     "mtcmess"
     "")))

