(TeX-add-style-hook "minutes"
 (lambda ()
    (LaTeX-add-environments
     "Notulen"
     "Protokoll"
     '("Protocoll" 5)
     "Minutes"
     "Postscript"
     "Vote"
     "Argumentation"
     "Opinions"
     "Abstimmung"
     "Meinungen"
     "Nachtrag"
     "Stemming"
     "Naschrift")
    (TeX-add-symbols
     "endtime"
     '("prepareCal" ["argument"] 0)
     '("listoftasks" ["argument"] 0)
     '("task" ["argument"] 1)
     '("enclosure" ["argument"] 2)
     '("attachment" ["argument"] 2)
     '("foreignMinutes" ["argument"] 1)
     '("newcols" ["argument"] 0)
     '("addtopic" ["argument"] 1)
     '("topic" ["argument"] 1)
     '("missing" ["argument"] 1)
     '("addto" 2)
     '("minutestask" 7)
     '("opinion" 2)
     '("decision" 2)
     '("decisiontheme" 2)
     '("vote" 1)
     '("postscript" 1)
     '("geheim" 1)
     '("secret" 1)
     '("minitopic" 1)
     '("inputminutes" 1)
     '("signature" 1)
     '("minutesstyle" 1)
     "min"
     "listofattachments"
     "l"
     "Onevote"
     "listofdecisions"
     "pro"
     "Pro"
     "contra"
     "Contra"
     "result"
     "schedule"
     "minfileversion"
     "minfiledate"
     "theHattachment"
     "maketitle"
     "protokollKopf"
     "notulenkop"
     "thesection"
     "subtitle"
     "minutetaker"
     "minutesdate"
     "starttime"
     "location"
     "participant"
     "guest"
     "missingExcused"
     "missingNoExcuse"
     "subtopic"
     "subsubtopic"
     "listofenclosure"
     "numberline"
     "ss"
     "untertitel"
     "moderation"
     "protokollant"
     "teilnehmer"
     "sitzungsdatum"
     "sitzungsbeginn"
     "sitzungsende"
     "sitzungsort"
     "gaeste"
     "verteiler"
     "fehlend"
     "fehlendEntschuldigt"
     "fehlendUnentschuldigt"
     "fremdProtokoll"
     "neueSpalte"
     "zusatztopic"
     "abstimmung"
     "Einzelabstimmung"
     "ergebnis"
     "meinung"
     "beschluss"
     "beschlussthema"
     "beschlussliste"
     "aufgabe"
     "aufgabenliste"
     "termin"
     "anhang"
     "anhangsliste"
     "nachtrag"
     "ondertitel"
     "voorzitter"
     "notulist"
     "deelnemer"
     "bijeenkomstdatum"
     "beginbijeenkomst"
     "eindbijeenkomst"
     "locatie"
     "gast"
     "cc"
     "afwezig"
     "afwezigBericht"
     "afwezigZonderBericht"
     "extranotulen"
     "nieuweKolom"
     "extrapunt"
     "stemming"
     "resultaat"
     "besluit"
     "besluitonderwerp"
     "besluitenlijst"
     "aktie"
     "aktielijst"
     "termijn"
     "bijlage"
     "bijlagenlijst"
     "naschrift"
     "mtctitle")
    (TeX-run-style-hooks
     "keyval"
     "minitoc"
     "url"
     "xspace"
     "multicol"
     "")))

