(TeX-add-style-hook "msc"
 (lambda ()
    (LaTeX-add-environments
     "mscdoc"
     "hmsc")
    (TeX-add-symbols
     '("mscmark" ["argument"] 2)
     '("msccomment" ["argument"] 2)
     '("nextlevel" ["argument"] 0)
     '("setstoptimer" ["argument"] 0)
     '("settimeout" ["argument"] 0)
     '("stoptimer" ["argument"] 0)
     '("timeout" ["argument"] 0)
     '("settimer" ["argument"] 0)
     '("found" ["argument"] 0)
     '("lost" ["argument"] 0)
     '("order" ["argument"] 2)
     '("referencestart" ["argument"] 0)
     '("inlinestart" ["argument"] 0)
     '("sethmsckeywordstyle" 1)
     '("sethmsckeyword" 1)
     '("hmsckeywordstyle" 1)
     '("setmscdockeywordstyle" 1)
     '("setmscdockeyword" 1)
     '("drawframe" 1)
     '("drawinstfoot" 1)
     '("drawinsthead" 1)
     '("setmsckeywordstyle" 1)
     '("setmsckeyword" 1)
     '("referenceend" 1)
     '("inlineseparator" 1)
     '("setmscscale" 1)
     "create"
     "inlineend"
     "mess"
     "order"
     "lostfound"
     "measure"
     "measurestart"
     "measureend"
     "showgrid"
     "nogrid"
     "MSC"
     "mscdoc"
     "arrow"
     "hmsc"
     "mscdate"
     "mscversion"
     "mscunit"
     "setmscunit"
     "mscscalefactor"
     "setfootcolor"
     "timerpos"
     "dummyinst"
     "declinst"
     "changeinstbarwidth"
     "inststart"
     "inststop"
     "coregionstart"
     "coregionend"
     "regionstart"
     "regionend"
     "messarrowscale"
     "action"
     "stop"
     "condition"
     "gate"
     "msckeyword"
     "msckeywordstyle"
     "mscdockeyword"
     "mscdockeywordstyle"
     "reference"
     "txt"
     "separator"
     "hmsckeyword"
     "hmsckeywordstyle"
     "ncsegline"
     "hmscstartsymbol"
     "hmscendsymbol"
     "hmsccondition"
     "ctxt"
     "hmscreference"
     "rtxt"
     "hmscconnection"
     "setmscvalues")
    (TeX-run-style-hooks
     "pst-node"
     "ifthen"
     "calc"
     "pstricks"
     "color"
     "")))

