(TeX-add-style-hook "ncc"
 (lambda ()
    (LaTeX-add-environments
     "figure"
     "table"
     "noeqbreak"
     "alloweqbreak"
     "verse"
     "quotation"
     "quote"
     "theindex"
     "theglossary"
     "NCC")
    (TeX-add-symbols
     '("preprint" 1)
     '("setissue" 1)
     '("setvolume" 1)
     '("setseries" 1)
     '("setyear" 1)
     "AuthorBeforeTitle"
     "TitleBeforeAuthor"
     "theyear"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "prefacename"
     "contentsname"
     "listfigurename"
     "listtablename"
     "refname"
     "bibname"
     "indexname"
     "glossaryname"
     "figurename"
     "tablename"
     "partname"
     "chaptername"
     "appendixname"
     "abstractname"
     "printglossary"
     "bibindent"
     "newblock"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "subitem"
     "subsubitem"
     "indexspace"
     "preprintname"
     "thepreprint"
     "bookeditor"
     "chapter"
     "thechapter"
     "today"
     "item")
    (TeX-run-style-hooks
     "nccbiblist"
     "nccold"
     "nccheadings"
     "ncctitlepage"
     "watermark"
     "topsection"
     "ncclatex"
     "makeidx"
     "dcounter"
     "tocenter"
     "afterpackage"
     "ncctitle"
     ""
     "nccart"
     "nccbook"
     "nccfit")))

