(TeX-add-style-hook "newlfm"
 (lambda ()
    (LaTeX-add-environments
     "figure"
     "table")
    (TeX-add-symbols
     '("fixfs" 1)
     '("fixhs" 1)
     '("fixhh" 1)
     '("fixtm" 1)
     '("fixcs" 1)
     '("fixem" 1)
     '("fixom" 1)
     '("fixtw" 1)
     '("fixth" 1)
     '("pgrph" 1)
     '("doltr" 1)
     '("letterbody" 1)
     '("ifpempty" 3)
     '("ifempty" 3)
     '("fixphr" 2)
     '("section" 1)
     "figurename"
     "tablename"
     "fps"
     "ftype"
     "ext"
     "fnum"
     "Prnt"
     "pressbegin"
     "faxpage"
     "faxblocka"
     "faxblockb"
     "openlfm"
     "x"
     "zheadrule"
     "zfootrule"
     "iftb"
     "txa"
     "txb"
     "newlfmParam"
     "Dimens"
     "Language"
     "MemoParam"
     "LetterParam"
     "FAZParam"
     "LetterP"
     "newlfmP"
     "LanguageP"
     "FAXP"
     "DimensP"
     "MemoP"
     "iffixt"
     "iffixf"
     "iffixq"
     "DatePhrase"
     "PhrFAXcovp"
     "PhrFAXpgcnt"
     "PhrEmail"
     "PhrFax"
     "PhrPager"
     "PhrDocument"
     "PhrPhone"
     "PhrRe"
     "PhrSubre"
     "PhrCc"
     "PhrPs"
     "PhrMessage"
     "PhrPps"
     "PhrPpps"
     "PhrEncl"
     "PhrTo"
     "PhrFrom"
     "PhrRegard"
     "PhrContact"
     "PhrRelease"
     "PhrMore"
     "PhrPRend"
     "lth"
     "sig"
     "adr"
     "letrh"
     "waterpage"
     "Background"
     "background"
     "addrt"
     "addrf"
     "sigtr"
     "MinHead"
     "minhead"
     "MinLeft"
     "minleft"
     "MinFoot"
     "minfoot"
     "MinRight"
     "minright"
     "textwidthsize"
     "textheightsize"
     "bottommarginskip"
     "bottommarginskipbelow"
     "topmarginskip"
     "topmarginsize"
     "headermarginskip"
     "rightmarginsize"
     "leftmarginsize"
     "headermarginsize"
     "footermarginsize"
     "leftmargintopdist"
     "rightmargintopdist"
     "leftmarginskipleft"
     "rightmarginskipleft"
     "leftmarginskipright"
     "rightmarginskipright"
     "dateskipbefore"
     "dateskipafter"
     "addrfromskipafter"
     "addrfromskipbefore"
     "addrtoskipafter"
     "addrtoskipbefore"
     "greettoskipafter"
     "sigskipbefore"
     "sigskipafter"
     "closeskipbefore"
     "closeskipafter"
     "sigskipcolumn"
     "sigskiprow"
     "sigsize"
     "postsigskipafter"
     "postsigskipbefore"
     "memoskipafter"
     "memoskipbefore"
     "restletter"
     "restlettera"
     "restletterb"
     "restletterc"
     "restletterd"
     "restlettere"
     "unprtop"
     "unprbottom"
     "unprright"
     "unprleft"
     "labpl"
     "boxht"
     "boxwd"
     "topht"
     "lftwd"
     "btwlb"
     "Alaba"
     "Alabb"
     "Alabc"
     "Alabd"
     "Alabe"
     "labsize"
     "celloheight"
     "cellowidth"
     "cellodown"
     "celloleft"
     "dateright"
     "dateleft"
     "datecenter"
     "dateno"
     "setsigl"
     "setsigc"
     "setsigr"
     "signatureleft"
     "sigleft"
     "signaturecenter"
     "sigcenter"
     "signatureright"
     "sigright"
     "signatureno"
     "showdim"
     "geometry"
     "monthname"
     "timestring"
     "timestamp"
     "datestamp"
     "noheadline"
     "nofootline"
     "nolines"
     "noHeadline"
     "noFootline"
     "noLines"
     "nopheadline"
     "nopfootline"
     "Headlinewd"
     "headlinewd"
     "Footlinewd"
     "footlinewd"
     "Lfooter"
     "Cfooter"
     "Rfooter"
     "LOfooter"
     "COfooter"
     "ROfooter"
     "lfooter"
     "cfooter"
     "rfooter"
     "Lheader"
     "Cheader"
     "Rheader"
     "LUheader"
     "CUheader"
     "RUheader"
     "lheader"
     "cheader"
     "rheader"
     "Rmargin"
     "Lmargin"
     "rmargin"
     "lmargin"
     "memosec"
     "closlfm"
     "ltrbody"
     "multletter"
     "doletter"
     "oneletter"
     "clearall"
     "makeenvst"
     "makeenvfn"
     "headrulewidth"
     "footrulewidth"
     "label"
     "index"
     "glossary"
     "firstmark"
     "ifta")
    (TeX-run-style-hooks
     "envlab"
     "afterpage"
     "addrset"
     "letter10"
     "letter"
     "rotating"
     "graphicx"
     "calc"
     "lastpage"
     "setspace"
     "eso-pic"
     "fancyhdr"
     "setdim"
     "ifpdf"
     "ifthen"
     "keyval"
     "")))

