(TeX-add-style-hook "omtext"
 (lambda ()
    (LaTeX-add-index-entries
     "\\@@idx @#2"
     "\\@@idx @{\\importmodule{\\mod@id} #2}"
     "\\@@idx @#2!#3"
     "\\@@idx @{\\importmodule{\\mod@id} #2}!{\\importmodule{\\mod@id} #3}"
     "\\@@idx @{\\importmodule{\\mod@id} #3}!{\\importmodule{\\mod@id} #2}"
     "\\@@idx @#2!#3!#4"
     "\\@@idx @#3!#2 (#4)"
     "\\@@idx @{\\importmodule{\\mod@id} #2}!{\\importmodule{\\mod@id} #3}!{\\importmodule{\\mod@id} #4}"
     "\\@@idx @{\\importmodule{\\mod@id} #3}!{\\importmodule{\\mod@id} #2} ({\\importmodule{\\mod@id} #4})")
    (LaTeX-add-environments
     "phrase"
     "sblockquote")
    (TeX-add-symbols
     '("atwintoo" ["argument"] 3)
     '("atwinalt" ["argument"] 4)
     '("twintoo" ["argument"] 2)
     '("twinalt" ["argument"] 3)
     '("indextoo" ["argument"] 1)
     '("indexalt" ["argument"] 2)
     '("mybgraphics" ["argument"] 1)
     '("mycgraphics" ["argument"] 1)
     '("mygraphics" ["argument"] 1)
     '("sinlinequote" ["argument"] 1)
     '("stDMemph" 1)
     "omdoc"
     "nlex"
     "nlcex"
     "lec"
     "omspace")
    (TeX-run-style-hooks
     "comment"
     "sref"
     "")))

