(TeX-add-style-hook "papertex"
 (lambda ()
    (LaTeX-add-environments
     '("shortnews" 4)
     '("editorial" 4)
     '("news" 5)
     '("indexblock" 1)
     '("authorblock" 0)
     '("weatherblock" 1)
     '("frontpage" 0))
    (LaTeX-add-labels
     "#5"
     "#4")
    (TeX-add-symbols
     '("grid" ["argument"] 2)
     '("shortnewsitem" 2)
     '("newsection" 1)
     '("authorandplace" 2)
     '("columntitle" 2)
     '("expandedtitle" 2)
     '("indexitem" 2)
     '("weatheritem" 5)
     '("firstimage" 2)
     '("thirdnews" 6)
     '("secondnews" 5)
     '("firstnews" 3)
     '("edition" 1)
     '("mylogo" 1)
     '("minilogo" 0)
     '("logo" 0)
     '("image" 2)
     '("timestamp" 1)
     '("foot" 3)
     '("heading" 3)
     "minraggedcols"
     "raggedFormat"
     "editionFormat"
     "indexFormat"
     "indexEntryFormat"
     "indexEntrySeparator"
     "indexEntryPageTxt"
     "indexEntryPageFormat"
     "headDateTimeFormat"
     "weatherFormat"
     "weatherTempFormat"
     "weatherUnits"
     "firstTitleFormat"
     "firstTextFormat"
     "secondTitleFormat"
     "secondSubtitleFormat"
     "secondTextFormat"
     "thirdTitleFormat"
     "thirdSubtitleFormat"
     "thirdTextFormat"
     "pictureCaptionFormat"
     "pagesFormat"
     "innerTitleFormat"
     "innerSubtitleFormat"
     "timestampTxt"
     "timestampSeparator"
     "timestampFormat"
     "innerAuthorFormat"
     "innerPlaceFormat"
     "innerTextFinalMark"
     "editorialTitleFormat"
     "editorialAuthorFormat"
     "shortnewsTitleFormat"
     "shortnewsSubtitleFormat"
     "shortnewsItemTitleFormat"
     "papertexInit"
     "newssep"
     "footnotesize"
     "footnoterule"
     "thanks"
     "maketitle"
     "title"
     "author"
     "date"
     "and")
    (TeX-run-style-hooks
     "ragged2e"
     "setspace"
     "lastpage"
     "wrapfig"
     "hyphenat"
     "textpos"
     "absolute"
     "dvips"
     "hyperref"
     "color"
     "graphicx"
     "pdftex"
     "fancybox"
     "fancyhdr"
     "multicol"
     "datetime"
     "multido"
     "ifpdf"
     "art10"
     "article"
     "a4paper"
     "titlepage"
     "onecolumn"
     "10pt"
     "ifthen"
     "")))

