(TeX-add-style-hook "ppr-prv"
 (lambda ()
    (LaTeX-add-environments
     "Itemize"
     "slide"
     "itemstep"
     "prv")
    (TeX-add-symbols
     '("part" ["argument"] 1)
     '("NewSlideStyle" ["argument"] 3)
     '("myitem" 2)
     '("ColorFoot" 1)
     '("DefaultTransition" 1)
     '("PDFtransition" 1)
     '("overlays" 2)
     '("FontText" 2)
     '("FontSubtitle" 2)
     '("FontTitle" 2)
     '("institution" 1)
     '("email" 1)
     '("subtitle" 1)
     '("slideCaption" 1)
     '("renewpagestyle" 3)
     '("slidepagestyle" 1)
     '("newslideframe" 2)
     '("slideframe" 1)
     '("slidetitle" 1)
     "NoPageBreak"
     "PageBreak"
     "Logo"
     "displayVersion"
     "PDForPS"
     "onlyInPS"
     "onlyInPDF"
     "slidename"
     "no"
     "ptsize"
     "slidefonts"
     "part"
     "FromSlide"
     "UntilSlide"
     "OnlySlide"
     "fromSlide"
     "untilSlide"
     "onlySlide"
     "NoFrenchBabelItemize"
     "fontTitle"
     "fontText")
    (TeX-run-style-hooks
     "float"
     "ifpdf"
     "keyval"
     "geometry"
     "noheadfoot"
     "vmargin=2cm"
     "hmargin=2cm"
     "graphicx"
     "textcomp"
     "pstricks"
     "art10"
     "article"
     "")))

