(TeX-add-style-hook "prosper"
 (lambda ()
    (LaTeX-add-environments
     "slide"
     "center"
     "Itemize"
     "SlideNormal"
     "SlideOverlay"
     "itemstep"
     "Overlays")
    (TeX-add-symbols
     "endminipage"
     '("part" ["argument"] 1)
     '("NewSlideStyle" ["argument"] 3)
     '("OnlySlide" 1)
     '("UntilSlide" 1)
     '("FromSlide" 1)
     '("institution" 1)
     '("email" 1)
     '("subtitle" 1)
     '("LogoPosition" 1)
     '("myitem" 2)
     '("titleSpacing" 1)
     '("fontText" 1)
     '("fontTitle" 1)
     '("ColorFoot" 1)
     '("FontText" 2)
     '("FontSubtitle" 2)
     '("FontTitle" 2)
     '("slideCaption" 1)
     '("DefaultTransition" 1)
     '("PDFtransition" 1)
     '("PDFCroppingBox" 1)
     "Logo"
     "PutLogo"
     "displayVersion"
     "timenow"
     "lastpage"
     "PDForPS"
     "onlyInPS"
     "onlyInPDF"
     "Split"
     "Blinds"
     "Box"
     "Wipe"
     "Dissolve"
     "Glitter"
     "R"
     "Replace"
     "thetrueslideCounter"
     "nobabel"
     "item"
     "fromSlide"
     "untilSlide"
     "onlySlide"
     "overlays"
     "Label"
     "label"
     "stepcounter"
     "overlay"
     "everyOverlay"
     "saveCtr"
     "part"
     "NoFrenchBabelItemize")
    (TeX-run-style-hooks
     "seminar10"
     "seminar"
     "leqno"
     "semcolor"
     "semlayer"
     "portrait"
     "graphicx"
     "")))

