(TeX-add-style-hook "pst-doc"
 (lambda ()
    (LaTeX-add-index-entries
     "#1"
     "#1@\\texttt{#1}"
     "Package!#1@\\texttt{#1}"
     "Program!#1@\\texttt{#1}"
     "File!#1@\\texttt{#1}"
     "#1@\\texttt{.#1}"
     "Extension!#1@\\texttt{.#1}"
     "#1@\\nxLcs{#1}"
     "Macro!#1@\\nxLcs{#1}"
     "#1*@\\nxLcs{#1*}"
     "Macro!#1@\\nxLcs{#1*}"
     "Environment!#1@\\texttt{#1}"
     "#1@\\texttt{\\textbackslash#1}"
     "Dimension!#1@\\texttt{\\textbackslash#1}"
     "Skip!#1@\\texttt{\\textbackslash#1}"
     "Keyword!#1@\\texttt{#1}"
     "Keyvalue!#1@\\texttt{#1}"
     "Package option!#1@\\texttt{#1}"
     "PostScript!#1@\\texttt{#1}"
     "Class!#1@\\texttt{#1}"
     "Counter!#1@\\texttt{#1}"
     "TeX Counter@\\TeX\\ Counter!#1@\\texttt{#1}"
     "Syntax!#1@\\nxLnotation{#1}"
     "#1@\\nxLnotation{#1}"
     "#2@\\texttt{#2}"
     "Value!#2@\\texttt{#2}")
    (LaTeX-add-environments
     '("Bsp" 1)
     "Xverbatim"
     "BDef"
     "BCmd")
    (TeX-add-symbols
     '("XInfoDanger" ["argument"] 1)
     '("XInfo" ["argument"] 1)
     '("LenToUnit" 1)
     '("LmEND" 1)
     '("LEND" 1)
     '("LmBEG" 1)
     '("LBEG" 1)
     '("Largr" 1)
     '("Largs" 1)
     '("Largb" 1)
     '("Larga" 1)
     '("xLnotation" 1)
     '("Lmnotation" 1)
     '("XInfocorr" 1)
     '("LoadPackageLater" 1)
     '("IfElseUnDefined" 3)
     '("IfElseDefined" 3)
     '("IfDefined" 2)
     '("IfElseChapterDefined" 2)
     '("IfChapterDefined" 1)
     '("IfElsePackageLoaded" 3)
     '("IfPackageNotLoaded" 2)
     '("IfPackageLoaded" 2)
     "frontmatter"
     "mainmatter"
     "backmatter"
     "LoadPackagesNow"
     "use"
     "ON"
     "OFF"
     "XInfofont"
     "SectionFontStyle"
     "RDO"
     "PST"
     "PS"
     "Lnotation"
     "Larg"
     "bs"
     "lcb"
     "rcb"
     "lsb"
     "rsb"
     "lrb"
     "rrb"
     "false"
     "true"
     "BDefaboveskip"
     "BDefbelowskip"
     "BDefinlineskip"
     "bgImage"
     "bgTitle"
     "fullWidth"
     "pstricksFV"
     "pstricksFD"
     "FancyVerbFormatLine"
     "dt"
     "Index"
     "LPack"
     "nxLPack"
     "Lprog"
     "nxLprog"
     "LFile"
     "nxLFile"
     "Lext"
     "nxLext"
     "xLcs"
     "Lcs"
     "LcsStar"
     "nxLcs"
     "xLenv"
     "Lenv"
     "Ldim"
     "Lskip"
     "Lkeyword"
     "xLkeyword"
     "nxLkeyword"
     "nxLKeyword"
     "nxLkeyval"
     "nxLenv"
     "Lkeyval"
     "xLkeyval"
     "xLoption"
     "Loption"
     "LPS"
     "xLps"
     "nxLps"
     "Lps"
     "LClass"
     "nxLClass"
     "nxLdim"
     "nxLskip"
     "Lctr"
     "LCtr"
     "nxLctr"
     "nxLnotation"
     "xLkeyset"
     "Lkeyset"
     "xLKeyset"
     "LKeyset"
     "LKeyword"
     "Coordx"
     "Coordy"
     "Coordz"
     "Coord"
     "Coordn"
     "CoordIII"
     "CAny"
     "CIIIAny"
     "coord"
     "coordn"
     "coordiii"
     "coordx"
     "coordy"
     "coordz"
     "cAny"
     "ciiiAny"
     "arraystretch"
     "OptArgs"
     "OptArg"
     "DBS"
     "docauthor"
     "thanks"
     "maketitle"
     "title"
     "author"
     "date"
     "and")
    (TeX-run-style-hooks
     "breakurl"
     "hyperref"
     "linktocpage=true"
     "breaklinks"
     "linkcolor=pdflinkcolor"
     "filecolor=pdffilecolor"
     "urlcolor=pdfurlcolor"
     "colorlinks=true"
     "caption"
     "scrpage2"
     "nouppercase"
     "automark"
     "manfnt"
     "showexpl"
     "filecontents"
     "fancyvrb"
     "paralist"
     "setspace"
     "subfig"
     "varioref"
     "nameref"
     "chngcntr"
     "footmisc"
     "ragged"
     "stable"
     "bottom"
     "booktabs"
     "ragged2e"
     "tabularx"
     "amssymb"
     "amsmath"
     "eso-pic"
     "graphicx"
     "lscape"
     "multido"
     "xkvview"
     "pstricks"
     "pst-xkey"
     "xkeyval"
     "babel"
     "calc"
     "makeidx"
     "xspace"
     "bera"
     "textcomp"
     "ifpdf"
     ""
     "fontenc"
     "T1"
     "xcolor"
     "table"
     "svgnames"
     "x11names"
     "dvipsnames")))

