(TeX-add-style-hook "scrlttr2"
 (lambda ()
    (LaTeX-add-environments
     "description"
     "labeling"
     "verse"
     "quotation"
     "quote"
     "addmargin"
     "letter")
    (TeX-add-symbols
     '("deffootnote" ["argument"] 3)
     '("setfootnoterule" ["argument"] 1)
     '("addtolengthplength" ["argument"] 2)
     '("setlengthtoplength" ["argument"] 2)
     '("changefontsizes" ["argument"] 1)
     '("addrchar" 1)
     '("addrentry" 9)
     '("adrentry" 7)
     '("encl" 1)
     '("cc" 1)
     '("closing" 1)
     '("opening" 1)
     '("addtoreffields" 1)
     '("labelinglabel" 1)
     '("descriptionlabel" 1)
     '("footref" 1)
     '("deffootnotemark" 1)
     '("marginline" 1)
     '("useplength" 1)
     '("ifkomavar" 1)
     '("LetterOptionNeedsPapersize" 2)
     '("LoadLetterOption" 1)
     '("textsubscript" 1)
     '("cleardoublepageusingstyle" 1)
     '("cleardoubleevenpageusingstyle" 1)
     '("cleardoubleoddpageusingstyle" 1)
     '("setparsizes" 3)
     "KOMAClassName"
     "ClassName"
     "lco"
     "x"
     "scr"
     "f"
     "default"
     "cleardoubleoddemptypage"
     "cleardoubleoddplainpage"
     "cleardoubleevenstandardpage"
     "cleardoubleevenemptypage"
     "cleardoubleevenplainpage"
     "cleardoublestandardpage"
     "cleardoubleemptypage"
     "cleardoubleplainpage"
     "if"
     "ltr"
     "backaddr"
     "subject"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "sfb"
     "cal"
     "mit"
     "new"
     "is"
     "ifthispageodd"
     "LOPNP"
     "g"
     "newkomavar"
     "setkomavar"
     "usekomavar"
     "ifkomavarempty"
     "parindent"
     "parskip"
     "parfillskip"
     "add"
     "set"
     "pnumfont"
     "headfont"
     "footfont"
     "pagemark"
     "ps"
     "ftn"
     "ftnm"
     "ftntm"
     "FN"
     "multiplefootnoteseparator"
     "multfootsep"
     "multiplefootnotemarker"
     "descfont"
     "firsthead"
     "firstfoot"
     "move"
     "vb"
     "specialmail"
     "removereffields"
     "defaultreffields"
     "nexthead"
     "nextfoot"
     "stopletter"
     "AtBeginLetter"
     "AtEndLetter"
     "stopbreaks"
     "startbreaks"
     "adrchar"
     "KOMAScript"
     "cleardoublepage"
     "cleardoubleoddpage"
     "cleardoubleevenpage"
     "cleardoubleoddstandardpage"
     "FamilyUnknownKeyValue"
     "aftergroup"
     "noexpand"
     "arabic"
     "captionsenglish"
     "dateenglish"
     "today"
     "languagename"
     "thefootnotemark"
     "makelabel"
     "raggedsubject"
     "vspace")
    (TeX-run-style-hooks
     "typearea"
     "scrkbase"
     "")))

