(TeX-add-style-hook "skak"
 (lambda ()
    (TeX-add-symbols
     '("skaklanguage" ["argument"] 0)
     '("setupboard" 2)
     '("runmoves" 1)
     "lastmove"
     "movehyphen"
     "leavestylec"
     "variation"
     "variationcurrent"
     "continuevariation"
     "continuevariationcurrent"
     "LambdaAnd"
     "And"
     "normalstyles"
     "IsNil"
     "Member"
     "MemberA"
     "Explode"
     "ExplodeA"
     "BoolToString"
     "Set"
     "Get"
     "StoreBool"
     "GetBool"
     "FileNames"
     "RankNames"
     "showonly"
     "showall"
     "showonlywhite"
     "showonlyblack"
     "showonlypawns"
     "NotMember"
     "showallbut"
     "TeXifx"
     "EqStr"
     "EqPiece"
     "RankOf"
     "FileOf"
     "EqSquare"
     "MySecond"
     "MyFirst"
     "MyEqual"
     "MyEqualB"
     "myrightfile"
     "RightRank"
     "RightFile"
     "Glue"
     "printfileangle"
     "printrankangle"
     "printknightmove"
     "printarrow"
     "highlight"
     "newskaklanguage"
     "currentlanguage"
     "PieceNames"
     "showskaklanguage"
     "IsPieceName"
     "IsFile"
     "IsRank"
     "IsCapture"
     "IsPromotion"
     "IsDash"
     "IsO"
     "File"
     "Rank"
     "Sideeffect"
     "Apply"
     "EmptyBoard"
     "FenConvert"
     "ParseFenRank"
     "ParseFenRankA"
     "SetCheckKing"
     "InitRank"
     "SetRank"
     "InitBoard"
     "WhiteCastling"
     "BlackCastling"
     "ExtractWhiteCastling"
     "tempCastling"
     "ExtractWhiteCastlingA"
     "ExtractBlackCastling"
     "tmpCastling"
     "ExtractBlackCastlingA"
     "FenBoard"
     "fenboard"
     "PieceToFen"
     "PrintCastling"
     "boardasfen"
     "EnPassantSquare"
     "WhiteToMove"
     "WhiteKingSquare"
     "BlackKingSquare"
     "KingSquare"
     "SetKingSquare"
     "SetNeighbour"
     "GetNeighbour"
     "FF"
     "ForwardDirection"
     "BackwardDirection"
     "LeftDirection"
     "RightDirection"
     "SetUpNeighbour"
     "SetDownNeighbour"
     "SetUpRightNeighbour"
     "SetDownRightNeighbour"
     "SetUpLeftNeighbour"
     "SetDownLeftNeighbour"
     "SetLeftNeighbour"
     "SetRightNeighbour"
     "KnightSquares"
     "SetKnightSquares"
     "StringToTokens"
     "StrToTokens"
     "BlackPiece"
     "PieceNameToPiece"
     "ParseMoveInit"
     "ParseMove"
     "ParseMoveA"
     "Castling"
     "FirstChar"
     "RestChars"
     "ParseCoordinates"
     "ParseCastlingA"
     "ParseCastling"
     "ShowParseInfo"
     "FirstRank"
     "CastleKingFile"
     "CastleRookToFile"
     "CastleRookFromFile"
     "CastleDone"
     "ExecuteCastling"
     "LookFor"
     "LookForA"
     "IsRightPiece"
     "IsRookQueen"
     "IsBishopQueen"
     "ScanDirections"
     "FindPieceSquares"
     "UniqueMove"
     "DoTheMove"
     "DoTheMoveList"
     "UndoMove"
     "NoEnemiesFound"
     "LegalMove"
     "TrimMoveList"
     "ExecuteKingMove"
     "RemoveLongCastling"
     "RemoveShortCastling"
     "UpdateCastling"
     "ExecutePieceMove"
     "FromRank"
     "InitialRank"
     "ExecutePawnMove"
     "MakeMove"
     "mainline"
     "hidemoves"
     "EatNumber"
     "EatNumberA"
     "LookForMove"
     "HandleMove"
     "StripMove"
     "MakeMoveMainline"
     "Mainline"
     "longmoves"
     "shortmoves"
     "printmove"
     "styleA"
     "styleB"
     "styleC"
     "opencommands"
     "closecommands"
     "whiteopen"
     "blackopen"
     "beforenumber"
     "beforewhite"
     "afterwhite"
     "beforeblack"
     "afterblack"
     "mainlinestyle"
     "variationstyle"
     "movewhite"
     "currentstyle"
     "wmove"
     "bmove"
     "movecomment"
     "tinyboard"
     "smallboard"
     "normalboard"
     "largeboard"
     "ToggleWhiteSquare"
     "WhiteSquarePiece"
     "BlackSquarePiece"
     "FilterShowOnly"
     "Showchar"
     "Showrank"
     "ShowrankInverse"
     "ShowMoverWhiteNormal"
     "ShowMoverBlackNormal"
     "ShowMoverWhiteInverse"
     "ShowMoverBlackInverse"
     "ShowrankNumber"
     "ShowrankWithNumber"
     "ShowrankInverseWithNumber"
     "Showfile"
     "Showfiles"
     "WhiteSquare"
     "notationOn"
     "notationOff"
     "showboard"
     "showinverseboard"
     "notationon"
     "notationoff"
     "showmoverOn"
     "showmoverOff"
     "ShowMover"
     "showmoveron"
     "showmoveroff"
     "newgame"
     "savegame"
     "loadgame"
     "mystore"
     "myrestore"
     "storegame"
     "restoregame")
    (TeX-run-style-hooks
     "pst-node"
     "pstricks"
     "textcomp"
     "calc"
     "ifthen"
     "lambda"
     "chessfss"
     "")))

