(TeX-add-style-hook "skrapport"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "abstract"
     "titlepage"
     "description"
     "quote"
     "quotation"
     "verse"
     "figure"
     "table"
     "theindex"
     "onecol")
    (TeX-add-symbols
     '("colortheme" 1)
     '("descriptionlabel" 1)
     '("license" 1)
     '("regarding" 1)
     "nobreakspace"
     "maketitle"
     "ps"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "appendix"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "em"
     "contentsname"
     "refname"
     "figurename"
     "tablename"
     "appendixname"
     "tableofcontents"
     "l"
     "bibindent"
     "newblock"
     "subitem"
     "subsubitem"
     "indexspace"
     "Finv"
     "Game"
     "beth"
     "gimel"
     "daleth"
     "makelabel"
     "today"
     "item"
     "oldoldtablest"
     "abstractname")
    (TeX-run-style-hooks
     "skmath"
     "textcomp"
     "amssymb"
     "amsmath"
     "icomma"
     "microtype"
     "calc"
     "multicol"
     "babel"
     "british"
     "swedish"
     "polyglossia"
     "xkeyval"
     "lmodern"
     "mathpazo"
     "sc"
     "tgpagella"
     "kpfonts"
     "sumlimits"
     "intlimits"
     "easyscsl"
     "xcolor"
     "etoolbox"
     "fontenc"
     "T1"
     "fontspec"
     "quiet"
     "a5paper"
     "geometry"
     "a4paper"
     "ifxetex"
     "kvoptions"
     "xstring"
     "xparse"
     ""
     "leqno"
     "fleqn")))

