(TeX-add-style-hook "stringstrings"
 (lambda ()
    (TeX-add-symbols
     "endofstring"
     '("isnextbyte" ["argument"] 2)
     '("getargs" ["argument"] 1)
     '("wordcount" ["argument"] 1)
     '("findwords" ["argument"] 2)
     '("whereisword" ["argument"] 2)
     '("whereischar" ["argument"] 2)
     '("findchars" ["argument"] 2)
     '("stringlength" ["argument"] 1)
     '("retokenize" ["argument"] 1)
     '("gobblechars" ["argument"] 2)
     '("gobblechar" ["argument"] 1)
     '("stringdecode" ["argument"] 1)
     '("stringencode" ["argument"] 1)
     '("removeleadingspaces" ["argument"] 1)
     '("rotateleadingspaces" ["argument"] 1)
     '("getaword" ["argument"] 2)
     '("getnextword" ["argument"] 1)
     '("removeword" ["argument"] 1)
     '("rotateword" ["argument"] 1)
     '("capitalizetitle" ["argument"] 1)
     '("convertword" ["argument"] 3)
     '("convertchar" ["argument"] 3)
     '("reversestring" ["argument"] 1)
     '("capitalizewords" ["argument"] 1)
     '("capitalize" ["argument"] 1)
     '("alphabetic" ["argument"] 1)
     '("nosymbolsnumerals" ["argument"] 1)
     '("noblanks" ["argument"] 1)
     '("changecase" ["argument"] 1)
     '("solelylowercase" ["argument"] 1)
     '("solelyuppercase" ["argument"] 1)
     '("caselower" ["argument"] 1)
     '("caseupper" ["argument"] 1)
     '("substring" ["argument"] 3)
     '("decodetoken" ["argument"] 1)
     '("encodetoken" ["argument"] 1)
     '("ESCrotate" 1)
     '("testalphabetic" 1)
     '("testsolelylowercase" 1)
     '("testlowercase" 1)
     '("testsolelyuppercase" 1)
     '("testuppercase" 1)
     '("testleadingalpha" 1)
     '("testuncapitalized" 1)
     '("testcapitalized" 1)
     '("testmatchingchar" 3)
     '("addlcword" 1)
     '("addlcwords" 1)
     '("resetlcwords" 0)
     '("Treatments" 6)
     "defaultTreatments"
     "undecipherable"
     "SaveDollar"
     "SaveHardspace"
     "SaveCircumflex"
     "SaveTilde"
     "SaveUmlaut"
     "SaveGrave"
     "SaveAcute"
     "SaveMacron"
     "SaveOverdot"
     "SaveBreve"
     "SaveCaron"
     "SaveDoubleAcute"
     "SaveCedilla"
     "SaveUnderdot"
     "SaveArchJoin"
     "SaveLineUnder"
     "SaveCopyright"
     "SavePounds"
     "SaveLeftBrace"
     "SaveRightBrace"
     "SaveUnderscore"
     "SaveDagger"
     "SaveDoubleDagger"
     "SaveSectionSymbol"
     "SavePilcrow"
     "SaveAEsc"
     "Saveaesc"
     "SaveOEthel"
     "Saveoethel"
     "SaveAngstrom"
     "Saveangstrom"
     "SaveSlashedO"
     "SaveSlashedo"
     "SaveBarredL"
     "SaveBarredl"
     "SaveEszett"
     "SaveLB"
     "SaveRB"
     "EncodedBlankSpace"
     "EscapeChar"
     "PipeCode"
     "EncodedPipe"
     "Pipe"
     "DollarCode"
     "EncodedDollar"
     "Dollar"
     "UvariCode"
     "EncodedUvari"
     "uvari"
     "UvariiCode"
     "EncodedUvarii"
     "uvarii"
     "UvariiiCode"
     "EncodedUvariii"
     "uvariii"
     "CaratCode"
     "EncodedCarat"
     "Carat"
     "carat"
     "LeftBraceCode"
     "EncodedLeftBrace"
     "LeftBrace"
     "RightBraceCode"
     "EncodedRightBrace"
     "RightBrace"
     "UnderscoreCode"
     "EncodedUnderscore"
     "Underscore"
     "CircumflexCode"
     "EncodedCircumflex"
     "Circumflex"
     "TildeCode"
     "EncodedTilde"
     "Tilde"
     "UmlautCode"
     "EncodedUmlaut"
     "Umlaut"
     "GraveCode"
     "EncodedGrave"
     "Grave"
     "AcuteCode"
     "EncodedAcute"
     "Acute"
     "MacronCode"
     "EncodedMacron"
     "Macron"
     "OverdotCode"
     "EncodedOverdot"
     "Overdot"
     "BreveCode"
     "EncodedBreve"
     "Breve"
     "CaronCode"
     "EncodedCaron"
     "Caron"
     "DoubleAcuteCode"
     "EncodedDoubleAcute"
     "DoubleAcute"
     "CedillaCode"
     "EncodedCedilla"
     "Cedilla"
     "UnderdotCode"
     "EncodedUnderdot"
     "Underdot"
     "ArchJoinCode"
     "EncodedArchJoin"
     "ArchJoin"
     "LineUnderCode"
     "EncodedLineUnder"
     "LineUnder"
     "CopyrightCode"
     "EncodedCopyright"
     "Copyright"
     "PoundsCode"
     "EncodedPounds"
     "Pounds"
     "LBCode"
     "EncodedLB"
     "UnencodedLB"
     "LB"
     "RBCode"
     "EncodedRB"
     "UnencodedRB"
     "RB"
     "DaggerCode"
     "EncodedDagger"
     "Dagger"
     "DoubleDaggerCode"
     "EncodedDoubleDagger"
     "DoubleDagger"
     "SectionSymbolCode"
     "EncodedSectionSymbol"
     "SectionSymbol"
     "PilcrowCode"
     "EncodedPilcrow"
     "Pilcrow"
     "AEscCode"
     "EncodedAEsc"
     "AEsc"
     "aescCode"
     "Encodedaesc"
     "aesc"
     "OEthelCode"
     "EncodedOEthel"
     "OEthel"
     "oethelCode"
     "Encodedoethel"
     "oethel"
     "AngstromCode"
     "EncodedAngstrom"
     "Angstrom"
     "angstromCode"
     "Encodedangstrom"
     "angstrom"
     "SlashedOCode"
     "EncodedSlashedO"
     "SlashedO"
     "SlashedoCode"
     "EncodedSlashedo"
     "Slashedo"
     "BarredLCode"
     "EncodedBarredL"
     "BarredL"
     "BarredlCode"
     "EncodedBarredl"
     "Barredl"
     "EszettCode"
     "EncodedEszett"
     "Eszett"
     "PunctuationTreatment"
     "NumeralTreatment"
     "SymbolTreatment"
     "BlankTreatment"
     "u"
     "v"
     "H"
     "c"
     "d"
     "t"
     "b"
     "copyright"
     "pounds"
     "dag"
     "ddag"
     "S"
     "P"
     "AE"
     "ae"
     "OE"
     "oe"
     "AA"
     "aa"
     "O"
     "o"
     "L"
     "l"
     "ss"
     "Uvari"
     "Uvarii"
     "Uvariii"
     "SaveAlphaTreatment"
     "SaveAlphaCapsTreatment"
     "CapitalizeString"
     "thestring"
     "PrimarySignalChar"
     "SecondarySignalChar"
     "SignalChar"
     "SeekBlankSpace"
     "AlphaTreatment"
     "AlphaCapsTreatment"
     "EncodingTreatment")
    (TeX-run-style-hooks
     "ifthen"
     "")))

