(TeX-add-style-hook "tkz-doc"
 (lambda ()
    (LaTeX-add-index-entries
     "Library_1@\\texttt{Library}!\\texttt{#1}"
     "Environment_1@\\texttt{Environment}!\\texttt{#1}"
     "#1_2@\\texttt{#1: arguments}!\\texttt{#2}"
     "#1_3@\\texttt{#1: options}!\\texttt{#2}"
     "#1_1@\\texttt{\\textbackslash#1}"
     "#1_2@\\texttt{\\textbackslash#1: arguments}!\\texttt{#2}"
     "#1_3@\\texttt{\\textbackslash#1: options}!\\texttt{#2}"
     "#1_3@\\texttt{\\textbackslash#1: styles}!\\texttt{#2}"
     "#1_3@\\texttt{#1: styles}!\\texttt{#2}"
     "#1@\\texttt{#2}"
     "Ti\\emph{k}Z Library !#1@\\texttt{#1}"
     "Operating System  !#1@\\texttt{#1}"
     "TeX Distributions  !#1@\\texttt{#1}"
     "Functions !#1@\\texttt{#1}"
     "Package !#1@\\texttt{#1}")
    (LaTeX-add-environments
     '("NewEnvBox" 1)
     '("NewMacroBox" 2))
    (TeX-add-symbols
     '("tkzhname" 1)
     '("tkzcname" 1)
     '("tkzimp" 1)
     '("tkzname" 1)
     '("tkzAttention" 3)
     '("tkzdft" 1)
     '("meta" 1)
     '("vara" 1)
     '("varp" 1)
     '("var" 1)
     '("ooarg" 1)
     '("opt" 1)
     '("parg" 1)
     '("oarg" 1)
     '("marg" 1)
     '("cs" 1)
     '("addbs" 1)
     '("tkzNameEnv" 1)
     '("tkzNameMacro" 1)
     '("tkzNamePack" 1)
     '("TMline" 3)
     '("TAline" 3)
     '("TOline" 3)
     '("TOenvline" 3)
     '("NamePack" 1)
     '("NameFonct" 1)
     '("NameDist" 1)
     '("NameSys" 1)
     '("NameLib" 1)
     '("Iaccent" 2)
     '("IstyleEnv" 2)
     '("Istyle" 2)
     '("Iopt" 2)
     '("IoptName" 2)
     '("IargName" 2)
     '("Iarg" 2)
     '("Imacro" 1)
     '("IoptNameEnv" 2)
     '("IoptEnv" 2)
     '("IargNameEnv" 2)
     '("IargEnv" 2)
     '("Ienv" 1)
     '("Ilib" 1)
     "PackageName"
     "PackageVersion"
     "SectionFontStyle"
     "thead"
     "tbody"
     "the"
     "ActivBoxName"
     "red"
     "blue"
     "BS"
     "tkz"
     "orange"
     "blanc"
     "PGF"
     "TIKZ"
     "beamer"
     "pdf"
     "pgfname"
     "tikzname"
     "pstricks"
     "LaTeX"
     "LATEX"
     "TEX"
     "tkzHand"
     "tkzHandBomb"
     "tkzBomb"
     "tkzTwoBomb"
     "presentation"
     "nodeshadowedone"
     "cmd"
     "FrameCommand"
     "nameoffile"
     "defoffile"
     "item"
     "tkzSetUpColors")
    (TeX-run-style-hooks
     "booktabs"
     "ragged2e"
     "tabularx"
     "multirow"
     "multicol"
     "array"
     "graphicx"
     "lscape"
     "multido"
     "tikz"
     "calc"
     "makeidx"
     "titlesec"
     "scrpage2"
     "nouppercase"
     "automark"
     "footmisc"
     "ragged"
     "stable"
     "bottom"
     "fourier"
     "upright"
     "textcomp"
     "amssymb"
     "amsmath"
     "eso-pic"
     "framed"
     "xkeyval"
     "inputenc"
     "utf8"
     "etex"
     ""
     "scrartcl10"
     "scrartcl"
     "oneside"
     "titlepage")))

