(TeX-add-style-hook "upmethodology-fmt"
 (lambda ()
    (LaTeX-add-environments
     '("framedminipage" 1)
     '("upmfontsize" 1)
     "mfigures"
     "mtabular"
     "mtable"
     "umlinpar"
     "inlineenumeration"
     "upm"
     "upmcaution"
     "upminfo"
     "upmquestion")
    (LaTeX-add-labels
     "fig:#5"
     "fig:##5")
    (TeX-add-symbols
     '("href" ["argument"] 2)
     '("url" ["argument"] 1)
     '("makename" ["argument"] 2)
     '("upmmakename" ["argument"] 3)
     '("inlineenumerationlabel" 1)
     '("setenumcounter" 1)
     '("restorecounter" 1)
     '("savecounter" 1)
     '("bibsize" 1)
     '("tabpageref" 1)
     '("tabref" 1)
     '("tablenote" 1)
     '("tabulartitle" 1)
     '("msubfigure" 3)
     '("figpageref" 1)
     '("figref" 1)
     '("textsub" 1)
     '("textsup" 1)
     "upm"
     "trademark"
     "regmark"
     "smalltrade"
     "smallreg"
     "smallcopy"
     "ust"
     "und"
     "urd"
     "uth"
     "captionastitle"
     "ps"
     "saveenumcounter"
     "restoreenumcounter"
     "getenumcounter"
     "savefootnote"
     "reffootnote"
     "mfigure"
     "figmath"
     "figtext"
     "mfigurewtex"
     "MakeUppercase"
     "parttoc"
     "chaptertoc"
     "sectiontoc"
     "subsectiontoc"
     "subsubsectiontoc"
     "protect"
     "makedate"
     "extractyear"
     "extractmonth"
     "extractday"
     "prname"
     "drname"
     "phdname"
     "scdname"
     "mdname"
     "pengname"
     "iengname"
     "Huge"
     "huge"
     "small"
     "scriptsize"
     "footnotesize"
     "tiny")
    (TeX-run-style-hooks
     "relsize"
     "txfonts"
     "varioref"
     "setspace"
     "pifont"
     "amsmath"
     "picinpar"
     "colortbl"
     "multicol"
     "tabularx"
     "subfigure"
     "graphicx"
     "final"
     "upmethodology-p-common"
     "")))

