(TeX-add-style-hook "xdoc2"
 (lambda ()
    (LaTeX-add-index-entries
     "%
         \\@tempa\\actualchar#1\\levelchar
         \\expandafter\\@firstoftwo\\saved@macroname\\actualchar
            \\expandafter\\@secondoftwo\\saved@macroname:\\levelchar
         #2\\actualchar#3%
      "
     "%
      \\@tempb\\actualchar #1\\levelchar
      \\space\\actualchar\\generalname:\\levelchar
      #2\\actualchar#3\\@tempa
   ")
    (LaTeX-add-environments
     "environment"
     "macro")
    (TeX-add-symbols
     '("setfileinfo" ["argument"] 0)
     '("meta" 1)
     '("aalph" 1)
     '("NewDescribeCommand" 4)
     '("GenericDescribePrint" 1)
     '("XDMainIndex" 1)
     '("XDParToMargin" 1)
     '("XDToMargin" 1)
     '("labelednumber" 2)
     '("usechange" 1)
     '("uintver" 1)
     '("SendExternalXRefMsg" 2)
     '("DoNotIndexHarmless" 1)
     '("DoNotIndexBy" 1)
     '("MakeSortKey" 3)
     '("IndexEntry" 3)
     '("SetCharProblematic" 1)
     '("PrintVisibleChar" 1)
     "InvisibleCharPrefix"
     "InvisibleCharSuffix"
     "Bslash"
     "levelsame"
     "levelsorted"
     "syncexternalxref"
     "definechange"
     "NewMacroEnvironment"
     "XD"
     "the"
     "MetaNormalfont"
     "PrintCodelineNo"
     "MakeHarmless"
     "LevelSame"
     "LevelSorted"
     "OldMakeIndex"
     "PrintChar"
     "protect"
     "IfOddPageSituation"
     "StepPageSituation"
     "RecordPageSituation"
     "XDStackItemLabels"
     "makelabel"
     "DescribeMacro"
     "DescribeEnv"
     "meta"
     "ttfamily"
     "DocInclude"
     "docincludeaux"
     "TheXDIndexNumber"
     "partname"
     "thepart"
     "fileinfo"
     "filekey"
     "BooleanFalse"
     "BooleanTrue"
     "NoValue"
     "thecodelineno"
     "theCodelineNo")
    (TeX-run-style-hooks
     "doc"
     "")))

