(TeX-add-style-hook "xunicode"
 (lambda ()
    (TeX-add-symbols
     '("UndeclareUTFcomposite" ["argument"] 3)
     '("DeclareUTFmulticomposite" ["argument"] 3)
     '("DeclareUTFcomposite" ["argument"] 3)
     '("UndeclareUTFcharacter" ["argument"] 2)
     '("DeclareUTFcharacter" ["argument"] 2)
     '("T" 1)
     '("faketextsc" 1)
     '("sups" 2)
     '("DeclareEncodedCompositeAccents" 4)
     '("DeclareEncodedCompositeCharacter" 4)
     '("DeclareMathAsUTFtext" 3)
     "UseMathAsText"
     "Declare"
     "textrectangle"
     "tipaTiiicode"
     "textscq"
     "textscdelta"
     "implementTIPAtext"
     "textrhookopeno"
     "notXeTeXformat"
     "protect"
     "UTFchar"
     "realLaTeXsuperscript"
     "realLaTeXsubscript"
     "super"
     "dental"
     "underarch"
     "realLaTeXacute"
     "tipaacuteaccent"
     "realLaTeXgrave"
     "tipagraveaccent"
     "realLaTeXcircum"
     "tipacircumaccent"
     "realLaTeXumlaut"
     "tipaumlautaccent"
     "realLaTeXmacron"
     "tipamacronaccent"
     "realLaTeXtilde"
     "tipatildeaccent"
     "realLaTeXdot"
     "tipadotaccent"
     "realLaTeXring"
     "tiparingaccent"
     "realLaTeXbreve"
     "tipabreveaccent"
     "realLaTeXcaron"
     "tipacaronaccent"
     "realLaTeXogonek"
     "tipaogonekaccent"
     "realLaTeXhungar"
     "tipahungaraccent"
     "realLaTeXcedilla"
     "tipacedillaaccent"
     "realLaTeXmisc"
     "tipamiscaccent"
     "realLaTeXtie"
     "tipatieaccent"
     "realLaTeXvert"
     "tipavertaccent"
     "realLaTeXmathcolon"
     "tipacolonmacro"
     "realLaTeXmathsemicolon"
     "tipasemicolonmacro"
     "realLaTeXmathstar"
     "tipastarmacro"
     "realLaTeXmathexclam"
     "tipaexclammacro"
     "setupTIPAaccents"
     "r"
     "k"
     "c"
     "u"
     "v"
     "H"
     "t"
     "m"
     "TIPAaccent"
     "doexpandaccentchar"
     "doexpandaccentgroup"
     "testforslash"
     "tmp"
     "donextaccent"
     "catchbareslash"
     "TIPAbareslash"
     "tipasubacuteaccent"
     "tipadotacuteaccent"
     "tipaacutemacronaccent"
     "tipasubgraveaccent"
     "tipasubcircumaccent"
     "tipasubtildeaccent"
     "tipasubdotaccent"
     "tipacircumdotaccent"
     "tipatildedotaccent"
     "tipagravedotaccent"
     "tipagravemacronaccent"
     "tipagravecircumaccent"
     "tipasubbaraccent"
     "tipasubringaccent"
     "tipasubwedgeaccent"
     "tipasubumlautaccent"
     "tipadoublegraveaccent"
     "tiparingmacronaccent"
     "tipabrevemacronaccent"
     "tipaacutewedgeaccent"
     "tipasubbridgeaccent"
     "tipainvsubbridgeaccent"
     "tipasublhalfringaccent"
     "tipasubrhalfringaccent"
     "tiparoundcapaccent"
     "tipasubplusaccent"
     "tiparaisingaccent"
     "tipaloweringaccent"
     "tipaadvancingaccent"
     "tiparetractingaccent"
     "tipaovercrossaccent"
     "tipasubwaccent"
     "tipaundertieaccent"
     "tipasubarchaccent"
     "tipaseagullaccent"
     "notipaloweraccent"
     "notipaupperaccent"
     "realtipaupperaccent"
     "supsdimi"
     "supsdimii"
     "tipaDOTacuteaccent"
     "tipagraveDOTaccent"
     "textdotacute"
     "textgravedot"
     "textaolig"
     "textctdctzlig"
     "textinvscripta"
     "textinvsca"
     "textscaolig"
     "textctstretchc"
     "textctstretchcvar"
     "textfrhookd"
     "textfrhookdvar"
     "textbktailgamma"
     "textfrtailgamma"
     "textrtailhth"
     "textraisevibyi"
     "textturnsck"
     "textlfishhookrlig"
     "textrevscl"
     "texthmlig"
     "textfrbarn"
     "textinvomega"
     "textfrhookt"
     "textctturnt"
     "textcttctclig"
     "textturnscu"
     "textturntwo"
     "textturnthree"
     "textglotstopvariii"
     "textctinvglotstop"
     "textturnglotstop"
     "textdoublebarslash"
     "textrevpolhook"
     "textoverw"
     "tipaencoding"
     "textretractingvar"
     "texthooktop"
     "textpalhook"
     "textpalhooklong"
     "textpalhookvar"
     "textrthook"
     "textrthooklong"
     "partvoiceless"
     "inipartvoiceless"
     "finpartvoiceless"
     "partvoice"
     "inipartvoice"
     "finpartvoice"
     "textfakeupstep"
     "textfakedownstep"
     "TIPAtextscq"
     "setTIPAcatcodes"
     "unsetTIPAcatcodes"
     "setuptipaaccents"
     "nextii"
     "zdef"
     "tipaprimstress"
     "tipaprimstressi"
     "tipanoendline"
     "tipalettercatcode"
     "tipacatchg"
     "tmpa"
     "tmpb"
     "useTIPAfont"
     "implementTIPAtextxx"
     "rtone"
     "stone"
     "tone"
     "implementTIPAtextx"
     "checkfortipa"
     "tipalasttoken"
     "tipacatchonechar"
     "textipa"
     "s"
     "tipatestforonechar"
     "tipatesttoken"
     "tipaaddtoken"
     "tipaparsegrouping"
     "tipaprocessthetokens"
     "gettipaletter"
     "gettipastar"
     "gettipasemicolon"
     "gettipacolon"
     "gettipaexclam"
     "activatetipa"
     "ttipatestforonechar"
     "parseTIPAtext"
     "DeclareTIPAstarmacro"
     "DeclareTIPAmacro"
     "tipasafemode"
     "textg"
     "TIPAtonebar"
     "TIPAtonebari"
     "TIPAtonebarx"
     "TIPAstonebar"
     "TIPAstonebari"
     "TIPArtonebari"
     "firstchar"
     "TIPArtonebarx"
     "TIPAfakertonebar"
     "TIPAfakertonebari"
     "TIPAfakertonebarii"
     "nextchar"
     "TIPAreversedata"
     "TIPAtonedata"
     "UseFakeRightTones"
     "TIPArtonebar"
     "DeclareUTFmathsymbols"
     "ReloadXunicode"
     "UTFencname")
    (TeX-run-style-hooks
     "graphicx"
     ""
     "t3enc")))

